#include <qbytearray.h>
#include <qcoreevent.h>
#include <qdatetime.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qtextstream.h>
#include <qurl.h>
#include <qvariant.h>
#include <soprano/asyncmodel.h>
#include <soprano/asyncresult.h>
#include <soprano/backend.h>
#include <soprano/bindingset.h>
#include <soprano/cluceneindex.h>
#include <soprano/dbusclient.h>
#include <soprano/dbusexportiterator.h>
#include <soprano/dbusexportmodel.h>
#include <soprano/dbusmodel.h>
#include <soprano/dbusnodeiterator.h>
#include <soprano/dbusqueryresultiterator.h>
#include <soprano/dbusstatementiterator.h>
#include <soprano/error.h>
#include <soprano/filtermodel.h>
#include <soprano/indexfiltermodel.h>
#include <soprano/indexqueryhit.h>
#include <soprano/inferencemodel.h>
#include <soprano/inferencerule.h>
#include <soprano/inferenceruleparser.h>
#include <soprano/inferenceruleset.h>
#include <soprano/literalvalue.h>
#include <soprano/localsocketclient.h>
#include <soprano/locator.h>
#include <soprano/model.h>
#include <soprano/mutexmodel.h>
#include <soprano/nao.h>
#include <soprano/node.h>
#include <soprano/nodeiterator.h>
#include <soprano/nodepattern.h>
#include <soprano/nrl.h>
#include <soprano/owl.h>
#include <soprano/parser.h>
#include <soprano/plugin.h>
#include <soprano/pluginmanager.h>
#include <soprano/queryresultiterator.h>
#include <soprano/rdf.h>
#include <soprano/rdfs.h>
#include <soprano/rdfschemamodel.h>
#include <soprano/readonlymodel.h>
#include <soprano/serializer.h>
#include <soprano/servercore.h>
#include <soprano/signalcachemodel.h>
#include <soprano/sil.h>
#include <soprano/simplenodeiterator.h>
#include <soprano/simplestatementiterator.h>
#include <soprano/sparqlmodel.h>
#include <soprano/statement.h>
#include <soprano/statementiterator.h>
#include <soprano/statementpattern.h>
#include <soprano/storagemodel.h>
#include <soprano/xesam.h>
#include <soprano/xsd.h>

#include <smoke.h>

#include <soprano_smoke.h>

static void *soprano_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//QByteArray
	switch(to) {
	    case 1: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 2:	//QChildEvent
	switch(to) {
	    case 5: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 2: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 3:	//QDate
	switch(to) {
	    case 3: return (void*)(QDate*)(QDate*)xptr;
	  default: return xptr;
	}
      case 4:	//QDateTime
	switch(to) {
	    case 4: return (void*)(QDateTime*)(QDateTime*)xptr;
	  default: return xptr;
	}
      case 5:	//QEvent
	switch(to) {
	    case 5: return (void*)(QEvent*)(QEvent*)xptr;
	    case 2: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 10: return (void*)(QTimerEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 6:	//QMetaObject
	switch(to) {
	    case 6: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 7:	//QObject
	switch(to) {
	    case 7: return (void*)(QObject*)(QObject*)xptr;
	    case 18: return (void*)(Soprano::Client::DBusClient*)(QObject*)xptr;
	    case 19: return (void*)(Soprano::Client::DBusModel*)(QObject*)xptr;
	    case 23: return (void*)(Soprano::Client::SparqlModel*)(QObject*)xptr;
	    case 28: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
	    case 31: return (void*)(Soprano::Index::IndexFilterModel*)(QObject*)xptr;
	    case 34: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
	    case 41: return (void*)(Soprano::Model*)(QObject*)xptr;
	    case 46: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
	    case 49: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
	    case 52: return (void*)(Soprano::Server::DBusExportIterator*)(QObject*)xptr;
	    case 53: return (void*)(Soprano::Server::DBusExportModel*)(QObject*)xptr;
	    case 54: return (void*)(Soprano::Server::ServerCore*)(QObject*)xptr;
	    case 57: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
	    case 59: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
	    case 60: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
	    case 61: return (void*)(Soprano::Util::MutexModel*)(QObject*)xptr;
	    case 62: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
	    case 63: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
	  default: return xptr;
	}
      case 8:	//QTextStream
	switch(to) {
	    case 8: return (void*)(QTextStream*)(QTextStream*)xptr;
	  default: return xptr;
	}
      case 9:	//QTime
	switch(to) {
	    case 9: return (void*)(QTime*)(QTime*)xptr;
	  default: return xptr;
	}
      case 10:	//QTimerEvent
	switch(to) {
	    case 5: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 10: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 11:	//QUrl
	switch(to) {
	    case 11: return (void*)(QUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 12:	//QVariant
	switch(to) {
	    case 12: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 14:	//Soprano::Backend
	switch(to) {
	    case 45: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
	    case 14: return (void*)(Soprano::Backend*)(Soprano::Backend*)xptr;
	  default: return xptr;
	}
      case 15:	//Soprano::BackendSetting
	switch(to) {
	    case 15: return (void*)(Soprano::BackendSetting*)(Soprano::BackendSetting*)xptr;
	  default: return xptr;
	}
      case 16:	//Soprano::BindingSet
	switch(to) {
	    case 16: return (void*)(Soprano::BindingSet*)(Soprano::BindingSet*)xptr;
	  default: return xptr;
	}
      case 18:	//Soprano::Client::DBusClient
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Client::DBusClient*)xptr;
	    case 18: return (void*)(Soprano::Client::DBusClient*)(Soprano::Client::DBusClient*)xptr;
	  default: return xptr;
	}
      case 19:	//Soprano::Client::DBusModel
	switch(to) {
	    case 57: return (void*)(Soprano::StorageModel*)(Soprano::Client::DBusModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Client::DBusModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Client::DBusModel*)xptr;
	    case 19: return (void*)(Soprano::Client::DBusModel*)(Soprano::Client::DBusModel*)xptr;
	  default: return xptr;
	}
      case 20:	//Soprano::Client::DBusNodeIterator
	switch(to) {
	    case 43: return (void*)(Soprano::NodeIterator*)(Soprano::Client::DBusNodeIterator*)xptr;
	    case 20: return (void*)(Soprano::Client::DBusNodeIterator*)(Soprano::Client::DBusNodeIterator*)xptr;
	  default: return xptr;
	}
      case 21:	//Soprano::Client::DBusQueryResultIterator
	switch(to) {
	    case 48: return (void*)(Soprano::QueryResultIterator*)(Soprano::Client::DBusQueryResultIterator*)xptr;
	    case 21: return (void*)(Soprano::Client::DBusQueryResultIterator*)(Soprano::Client::DBusQueryResultIterator*)xptr;
	  default: return xptr;
	}
      case 22:	//Soprano::Client::DBusStatementIterator
	switch(to) {
	    case 56: return (void*)(Soprano::StatementIterator*)(Soprano::Client::DBusStatementIterator*)xptr;
	    case 22: return (void*)(Soprano::Client::DBusStatementIterator*)(Soprano::Client::DBusStatementIterator*)xptr;
	  default: return xptr;
	}
      case 23:	//Soprano::Client::SparqlModel
	switch(to) {
	    case 41: return (void*)(Soprano::Model*)(Soprano::Client::SparqlModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Client::SparqlModel*)xptr;
	    case 23: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Client::SparqlModel*)xptr;
	  default: return xptr;
	}
      case 25:	//Soprano::Error::Error
	switch(to) {
	    case 25: return (void*)(Soprano::Error::Error*)(Soprano::Error::Error*)xptr;
	    case 27: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
	  default: return xptr;
	}
      case 26:	//Soprano::Error::Locator
	switch(to) {
	    case 26: return (void*)(Soprano::Error::Locator*)(Soprano::Error::Locator*)xptr;
	  default: return xptr;
	}
      case 27:	//Soprano::Error::ParserError
	switch(to) {
	    case 25: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
	    case 27: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::ParserError*)xptr;
	  default: return xptr;
	}
      case 28:	//Soprano::FilterModel
	switch(to) {
	    case 41: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::FilterModel*)xptr;
	    case 31: return (void*)(Soprano::Index::IndexFilterModel*)(Soprano::FilterModel*)xptr;
	    case 34: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
	    case 49: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
	    case 53: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::FilterModel*)xptr;
	    case 59: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
	    case 61: return (void*)(Soprano::Util::MutexModel*)(Soprano::FilterModel*)xptr;
	    case 63: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
	  default: return xptr;
	}
      case 30:	//Soprano::Index::CLuceneIndex
	switch(to) {
	    case 30: return (void*)(Soprano::Index::CLuceneIndex*)(Soprano::Index::CLuceneIndex*)xptr;
	  default: return xptr;
	}
      case 31:	//Soprano::Index::IndexFilterModel
	switch(to) {
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::Index::IndexFilterModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Index::IndexFilterModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Index::IndexFilterModel*)xptr;
	    case 31: return (void*)(Soprano::Index::IndexFilterModel*)(Soprano::Index::IndexFilterModel*)xptr;
	  default: return xptr;
	}
      case 32:	//Soprano::Index::QueryHit
	switch(to) {
	    case 32: return (void*)(Soprano::Index::QueryHit*)(Soprano::Index::QueryHit*)xptr;
	  default: return xptr;
	}
      case 34:	//Soprano::Inference::InferenceModel
	switch(to) {
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
	    case 34: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Inference::InferenceModel*)xptr;
	  default: return xptr;
	}
      case 35:	//Soprano::Inference::NodePattern
	switch(to) {
	    case 35: return (void*)(Soprano::Inference::NodePattern*)(Soprano::Inference::NodePattern*)xptr;
	  default: return xptr;
	}
      case 36:	//Soprano::Inference::Rule
	switch(to) {
	    case 36: return (void*)(Soprano::Inference::Rule*)(Soprano::Inference::Rule*)xptr;
	  default: return xptr;
	}
      case 37:	//Soprano::Inference::RuleParser
	switch(to) {
	    case 37: return (void*)(Soprano::Inference::RuleParser*)(Soprano::Inference::RuleParser*)xptr;
	  default: return xptr;
	}
      case 38:	//Soprano::Inference::RuleSet
	switch(to) {
	    case 38: return (void*)(Soprano::Inference::RuleSet*)(Soprano::Inference::RuleSet*)xptr;
	  default: return xptr;
	}
      case 39:	//Soprano::Inference::StatementPattern
	switch(to) {
	    case 39: return (void*)(Soprano::Inference::StatementPattern*)(Soprano::Inference::StatementPattern*)xptr;
	  default: return xptr;
	}
      case 40:	//Soprano::LiteralValue
	switch(to) {
	    case 40: return (void*)(Soprano::LiteralValue*)(Soprano::LiteralValue*)xptr;
	  default: return xptr;
	}
      case 41:	//Soprano::Model
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Model*)xptr;
	    case 19: return (void*)(Soprano::Client::DBusModel*)(Soprano::Model*)xptr;
	    case 23: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Model*)xptr;
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
	    case 31: return (void*)(Soprano::Index::IndexFilterModel*)(Soprano::Model*)xptr;
	    case 34: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
	    case 49: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
	    case 53: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Model*)xptr;
	    case 57: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
	    case 59: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
	    case 61: return (void*)(Soprano::Util::MutexModel*)(Soprano::Model*)xptr;
	    case 62: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
	    case 63: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
	  default: return xptr;
	}
      case 42:	//Soprano::Node
	switch(to) {
	    case 42: return (void*)(Soprano::Node*)(Soprano::Node*)xptr;
	  default: return xptr;
	}
      case 43:	//Soprano::NodeIterator
	switch(to) {
	    case 43: return (void*)(Soprano::NodeIterator*)(Soprano::NodeIterator*)xptr;
	    case 20: return (void*)(Soprano::Client::DBusNodeIterator*)(Soprano::NodeIterator*)xptr;
	    case 64: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
	  default: return xptr;
	}
      case 44:	//Soprano::Parser
	switch(to) {
	    case 45: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
	    case 44: return (void*)(Soprano::Parser*)(Soprano::Parser*)xptr;
	  default: return xptr;
	}
      case 45:	//Soprano::Plugin
	switch(to) {
	    case 45: return (void*)(Soprano::Plugin*)(Soprano::Plugin*)xptr;
	    case 14: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
	    case 44: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
	    case 50: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
	  default: return xptr;
	}
      case 46:	//Soprano::PluginManager
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
	    case 46: return (void*)(Soprano::PluginManager*)(Soprano::PluginManager*)xptr;
	  default: return xptr;
	}
      case 48:	//Soprano::QueryResultIterator
	switch(to) {
	    case 48: return (void*)(Soprano::QueryResultIterator*)(Soprano::QueryResultIterator*)xptr;
	    case 21: return (void*)(Soprano::Client::DBusQueryResultIterator*)(Soprano::QueryResultIterator*)xptr;
	  default: return xptr;
	}
      case 49:	//Soprano::RdfSchemaModel
	switch(to) {
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
	    case 49: return (void*)(Soprano::RdfSchemaModel*)(Soprano::RdfSchemaModel*)xptr;
	  default: return xptr;
	}
      case 50:	//Soprano::Serializer
	switch(to) {
	    case 45: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
	    case 50: return (void*)(Soprano::Serializer*)(Soprano::Serializer*)xptr;
	  default: return xptr;
	}
      case 52:	//Soprano::Server::DBusExportIterator
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Server::DBusExportIterator*)xptr;
	    case 52: return (void*)(Soprano::Server::DBusExportIterator*)(Soprano::Server::DBusExportIterator*)xptr;
	  default: return xptr;
	}
      case 53:	//Soprano::Server::DBusExportModel
	switch(to) {
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::Server::DBusExportModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Server::DBusExportModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Server::DBusExportModel*)xptr;
	    case 53: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Server::DBusExportModel*)xptr;
	  default: return xptr;
	}
      case 54:	//Soprano::Server::ServerCore
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Server::ServerCore*)xptr;
	    case 54: return (void*)(Soprano::Server::ServerCore*)(Soprano::Server::ServerCore*)xptr;
	  default: return xptr;
	}
      case 55:	//Soprano::Statement
	switch(to) {
	    case 55: return (void*)(Soprano::Statement*)(Soprano::Statement*)xptr;
	  default: return xptr;
	}
      case 56:	//Soprano::StatementIterator
	switch(to) {
	    case 56: return (void*)(Soprano::StatementIterator*)(Soprano::StatementIterator*)xptr;
	    case 22: return (void*)(Soprano::Client::DBusStatementIterator*)(Soprano::StatementIterator*)xptr;
	  default: return xptr;
	}
      case 57:	//Soprano::StorageModel
	switch(to) {
	    case 41: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
	    case 57: return (void*)(Soprano::StorageModel*)(Soprano::StorageModel*)xptr;
	    case 19: return (void*)(Soprano::Client::DBusModel*)(Soprano::StorageModel*)xptr;
	  default: return xptr;
	}
      case 59:	//Soprano::Util::AsyncModel
	switch(to) {
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
	    case 59: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Util::AsyncModel*)xptr;
	  default: return xptr;
	}
      case 60:	//Soprano::Util::AsyncResult
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
	    case 60: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Util::AsyncResult*)xptr;
	  default: return xptr;
	}
      case 61:	//Soprano::Util::MutexModel
	switch(to) {
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::Util::MutexModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Util::MutexModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::MutexModel*)xptr;
	    case 61: return (void*)(Soprano::Util::MutexModel*)(Soprano::Util::MutexModel*)xptr;
	  default: return xptr;
	}
      case 62:	//Soprano::Util::ReadOnlyModel
	switch(to) {
	    case 41: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
	    case 62: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Util::ReadOnlyModel*)xptr;
	  default: return xptr;
	}
      case 63:	//Soprano::Util::SignalCacheModel
	switch(to) {
	    case 28: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
	    case 41: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
	    case 63: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Util::SignalCacheModel*)xptr;
	  default: return xptr;
	}
      case 64:	//Soprano::Util::SimpleNodeIterator
	switch(to) {
	    case 43: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
	    case 64: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index soprano_inheritanceList[] = {
	0,	// 0: (no super class)
	45, 0,	// 1: Soprano::Error::ErrorCache, Soprano::Plugin
	7, 0,	// 3: Soprano::Error::ErrorCache, QObject
	57, 0,	// 5: Soprano::StorageModel
	43, 0,	// 7: Soprano::NodeIterator
	48, 0,	// 9: Soprano::QueryResultIterator
	56, 0,	// 11: Soprano::StatementIterator
	41, 0,	// 13: Soprano::Model
	25, 0,	// 15: Soprano::Error::Error
	28, 0,	// 17: Soprano::FilterModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Error(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__MutexModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Inference(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BindingSet(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusQueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__SparqlModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Locator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index__CLuceneIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index__IndexFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index__QueryHit(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__NodePattern(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__Rule(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__RuleParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__RuleSet(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__StatementPattern(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__LiteralValue(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__ServerCore(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__MutexModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class soprano_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 1
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 2
	{ "QDate", true, 0, 0, 0, 0 }, 	// 3
	{ "QDateTime", true, 0, 0, 0, 0 }, 	// 4
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 5
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 6
	{ "QObject", true, 0, 0, 0, 0 }, 	// 7
	{ "QTextStream", true, 0, 0, 0, 0 }, 	// 8
	{ "QTime", true, 0, 0, 0, 0 }, 	// 9
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 10
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 11
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 12
	{ "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_deepcopy }, 	//13
	{ "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//14
	{ "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//15
	{ "Soprano::BindingSet", false, 0, xcall_Soprano__BindingSet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//16
	{ "Soprano::Client", false, 0, xcall_Soprano__Client, 0, Smoke::cf_deepcopy }, 	//17
	{ "Soprano::Client::DBusClient", false, 3, xcall_Soprano__Client__DBusClient, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//18
	{ "Soprano::Client::DBusModel", false, 5, xcall_Soprano__Client__DBusModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//19
	{ "Soprano::Client::DBusNodeIterator", false, 7, xcall_Soprano__Client__DBusNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//20
	{ "Soprano::Client::DBusQueryResultIterator", false, 9, xcall_Soprano__Client__DBusQueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//21
	{ "Soprano::Client::DBusStatementIterator", false, 11, xcall_Soprano__Client__DBusStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//22
	{ "Soprano::Client::SparqlModel", false, 13, xcall_Soprano__Client__SparqlModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//23
	{ "Soprano::Error", false, 0, xcall_Soprano__Error, xenum_Soprano__Error, Smoke::cf_deepcopy }, 	//24
	{ "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//25
	{ "Soprano::Error::Locator", false, 0, xcall_Soprano__Error__Locator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//26
	{ "Soprano::Error::ParserError", false, 15, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//27
	{ "Soprano::FilterModel", false, 13, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//28
	{ "Soprano::Index", false, 0, xcall_Soprano__Index, 0, Smoke::cf_deepcopy }, 	//29
	{ "Soprano::Index::CLuceneIndex", false, 0, xcall_Soprano__Index__CLuceneIndex, 0, Smoke::cf_constructor }, 	//30
	{ "Soprano::Index::IndexFilterModel", false, 17, xcall_Soprano__Index__IndexFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//31
	{ "Soprano::Index::QueryHit", false, 0, xcall_Soprano__Index__QueryHit, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//32
	{ "Soprano::Inference", false, 0, xcall_Soprano__Inference, xenum_Soprano__Inference, Smoke::cf_deepcopy }, 	//33
	{ "Soprano::Inference::InferenceModel", false, 17, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//34
	{ "Soprano::Inference::NodePattern", false, 0, xcall_Soprano__Inference__NodePattern, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//35
	{ "Soprano::Inference::Rule", false, 0, xcall_Soprano__Inference__Rule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//36
	{ "Soprano::Inference::RuleParser", false, 0, xcall_Soprano__Inference__RuleParser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//37
	{ "Soprano::Inference::RuleSet", false, 0, xcall_Soprano__Inference__RuleSet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//38
	{ "Soprano::Inference::StatementPattern", false, 0, xcall_Soprano__Inference__StatementPattern, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//39
	{ "Soprano::LiteralValue", false, 0, xcall_Soprano__LiteralValue, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//40
	{ "Soprano::Model", false, 3, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//41
	{ "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//42
	{ "Soprano::NodeIterator", false, 0, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//43
	{ "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//44
	{ "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//45
	{ "Soprano::PluginManager", false, 3, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual }, 	//46
	{ "Soprano::Query", false, 0, xcall_Soprano__Query, xenum_Soprano__Query, Smoke::cf_deepcopy }, 	//47
	{ "Soprano::QueryResultIterator", false, 0, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//48
	{ "Soprano::RdfSchemaModel", false, 17, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//49
	{ "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//50
	{ "Soprano::Server", false, 0, xcall_Soprano__Server, 0, Smoke::cf_deepcopy }, 	//51
	{ "Soprano::Server::DBusExportIterator", false, 3, xcall_Soprano__Server__DBusExportIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//52
	{ "Soprano::Server::DBusExportModel", false, 17, xcall_Soprano__Server__DBusExportModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//53
	{ "Soprano::Server::ServerCore", false, 3, xcall_Soprano__Server__ServerCore, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//54
	{ "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//55
	{ "Soprano::StatementIterator", false, 0, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//56
	{ "Soprano::StorageModel", false, 13, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//57
	{ "Soprano::Util", false, 0, xcall_Soprano__Util, 0, Smoke::cf_deepcopy }, 	//58
	{ "Soprano::Util::AsyncModel", false, 17, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual }, 	//59
	{ "Soprano::Util::AsyncResult", false, 3, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual }, 	//60
	{ "Soprano::Util::MutexModel", false, 17, xcall_Soprano__Util__MutexModel, xenum_Soprano__Util__MutexModel, Smoke::cf_constructor|Smoke::cf_virtual }, 	//61
	{ "Soprano::Util::ReadOnlyModel", false, 13, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//62
	{ "Soprano::Util::SignalCacheModel", false, 17, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//63
	{ "Soprano::Util::SimpleNodeIterator", false, 7, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//64
	{ "Soprano::Vocabulary", false, 0, xcall_Soprano__Vocabulary, 0, Smoke::cf_deepcopy }, 	//65
	{ "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_deepcopy }, 	//66
	{ "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_deepcopy }, 	//67
	{ "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_deepcopy }, 	//68
	{ "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_deepcopy }, 	//69
	{ "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_deepcopy }, 	//70
	{ "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_deepcopy }, 	//71
	{ "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_deepcopy }, 	//72
	{ "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_deepcopy }, 	//73
	{ "lucene::analysis", true, 0, 0, 0, 0 }, 	// 74
	{ "lucene::document", true, 0, 0, 0, 0 }, 	// 75
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type soprano_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//1
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//2
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "QByteArray", 1, Smoke::t_class | Smoke::tf_stack },	//13
	{ "QChildEvent*", 2, Smoke::t_class | Smoke::tf_ptr },	//14
	{ "QColorDialog::ColorDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "QColorDialog::ColorDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//16
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//17
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//18
	{ "QDate", 3, Smoke::t_class | Smoke::tf_stack },	//19
	{ "QDateTime", 4, Smoke::t_class | Smoke::tf_stack },	//20
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//32
	{ "QEvent*", 5, Smoke::t_class | Smoke::tf_ptr },	//33
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//34
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//35
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//36
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//37
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//38
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//39
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//40
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//41
	{ "QFontDialog::FontDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//42
	{ "QFontDialog::FontDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//43
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//44
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//45
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//46
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//47
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//48
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//49
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//50
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//51
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//52
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//53
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//54
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//55
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//56
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//57
	{ "QInputDialog::InputDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//58
	{ "QInputDialog::InputDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//59
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//60
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//61
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//62
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//63
	{ "QList<QUrl>", 0, Smoke::t_voidp | Smoke::tf_stack },	//64
	{ "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//65
	{ "QList<Soprano::BindingSet>", 0, Smoke::t_voidp | Smoke::tf_stack },	//66
	{ "QList<Soprano::Inference::Rule>", 0, Smoke::t_voidp | Smoke::tf_stack },	//67
	{ "QList<Soprano::Inference::StatementPattern>", 0, Smoke::t_voidp | Smoke::tf_stack },	//68
	{ "QList<Soprano::Node>", 0, Smoke::t_voidp | Smoke::tf_stack },	//69
	{ "QList<Soprano::Statement>", 0, Smoke::t_voidp | Smoke::tf_stack },	//70
	{ "QList<const Soprano::Backend*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//71
	{ "QList<const Soprano::Parser*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//72
	{ "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//73
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//74
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//75
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//76
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//77
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//78
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//79
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//80
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//81
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//82
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//83
	{ "QMetaObject::Call", 6, Smoke::t_enum | Smoke::tf_stack },	//84
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//85
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "QNetworkProxy::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//87
	{ "QNetworkProxy::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "QObject*", 7, Smoke::t_class | Smoke::tf_ptr },	//89
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//90
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//91
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//92
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//93
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//94
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//95
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//96
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//97
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//98
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//99
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//100
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//101
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//102
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//103
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//104
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//105
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//106
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//107
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//108
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//109
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//110
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//111
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//112
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//113
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//114
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//115
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//116
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//117
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//118
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//119
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//120
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//121
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//122
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//123
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//124
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//125
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//126
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//127
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//128
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//129
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//130
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//131
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//132
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//133
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//135
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//136
	{ "QTextStream&", 8, Smoke::t_class | Smoke::tf_ref },	//137
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//138
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//139
	{ "QTime", 9, Smoke::t_class | Smoke::tf_stack },	//140
	{ "QTimerEvent*", 10, Smoke::t_class | Smoke::tf_ptr },	//141
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//142
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//143
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//144
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//145
	{ "QUrl", 11, Smoke::t_class | Smoke::tf_stack },	//146
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//147
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//148
	{ "QVariant", 12, Smoke::t_class | Smoke::tf_stack },	//149
	{ "QVariant::Type", 12, Smoke::t_enum | Smoke::tf_stack },	//150
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//151
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//152
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//153
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//154
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//155
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//156
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//157
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//158
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//159
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//160
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//161
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//162
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//163
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//164
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//165
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//166
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//167
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//168
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//169
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//170
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//171
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//172
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//173
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//174
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//175
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//176
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//177
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//178
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//179
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//180
	{ "Soprano::Backend*", 14, Smoke::t_class | Smoke::tf_ptr },	//181
	{ "Soprano::BackendFeature", 13, Smoke::t_enum | Smoke::tf_stack },	//182
	{ "Soprano::BackendFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//183
	{ "Soprano::BackendFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//184
	{ "Soprano::BackendOption", 13, Smoke::t_enum | Smoke::tf_stack },	//185
	{ "Soprano::BackendOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//186
	{ "Soprano::BackendOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//187
	{ "Soprano::BackendSetting&", 15, Smoke::t_class | Smoke::tf_ref },	//188
	{ "Soprano::BackendSetting*", 15, Smoke::t_class | Smoke::tf_ptr },	//189
	{ "Soprano::BindingSet", 16, Smoke::t_class | Smoke::tf_stack },	//190
	{ "Soprano::BindingSet&", 16, Smoke::t_class | Smoke::tf_ref },	//191
	{ "Soprano::BindingSet*", 16, Smoke::t_class | Smoke::tf_ptr },	//192
	{ "Soprano::Client::DBusClient*", 18, Smoke::t_class | Smoke::tf_ptr },	//193
	{ "Soprano::Client::DBusModel*", 19, Smoke::t_class | Smoke::tf_ptr },	//194
	{ "Soprano::Client::DBusNodeIterator*", 20, Smoke::t_class | Smoke::tf_ptr },	//195
	{ "Soprano::Client::DBusQueryResultIterator*", 21, Smoke::t_class | Smoke::tf_ptr },	//196
	{ "Soprano::Client::DBusStatementIterator*", 22, Smoke::t_class | Smoke::tf_ptr },	//197
	{ "Soprano::Client::SparqlModel*", 23, Smoke::t_class | Smoke::tf_ptr },	//198
	{ "Soprano::Error::Error&", 25, Smoke::t_class | Smoke::tf_ref },	//199
	{ "Soprano::Error::Error*", 25, Smoke::t_class | Smoke::tf_ptr },	//200
	{ "Soprano::Error::ErrorCode", 24, Smoke::t_enum | Smoke::tf_stack },	//201
	{ "Soprano::Error::ErrorData*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//202
	{ "Soprano::Error::Locator", 26, Smoke::t_class | Smoke::tf_stack },	//203
	{ "Soprano::Error::Locator&", 26, Smoke::t_class | Smoke::tf_ref },	//204
	{ "Soprano::Error::Locator*", 26, Smoke::t_class | Smoke::tf_ptr },	//205
	{ "Soprano::Error::ParserError", 27, Smoke::t_class | Smoke::tf_stack },	//206
	{ "Soprano::Error::ParserError&", 27, Smoke::t_class | Smoke::tf_ref },	//207
	{ "Soprano::Error::ParserError*", 27, Smoke::t_class | Smoke::tf_ptr },	//208
	{ "Soprano::FilterModel*", 28, Smoke::t_class | Smoke::tf_ptr },	//209
	{ "Soprano::Index::CLuceneIndex*", 30, Smoke::t_class | Smoke::tf_ptr },	//210
	{ "Soprano::Index::IndexFilterModel*", 31, Smoke::t_class | Smoke::tf_ptr },	//211
	{ "Soprano::Index::QueryHit&", 32, Smoke::t_class | Smoke::tf_ref },	//212
	{ "Soprano::Index::QueryHit*", 32, Smoke::t_class | Smoke::tf_ptr },	//213
	{ "Soprano::Inference::InferenceModel*", 34, Smoke::t_class | Smoke::tf_ptr },	//214
	{ "Soprano::Inference::NodePattern", 35, Smoke::t_class | Smoke::tf_stack },	//215
	{ "Soprano::Inference::NodePattern&", 35, Smoke::t_class | Smoke::tf_ref },	//216
	{ "Soprano::Inference::NodePattern*", 35, Smoke::t_class | Smoke::tf_ptr },	//217
	{ "Soprano::Inference::Rule", 36, Smoke::t_class | Smoke::tf_stack },	//218
	{ "Soprano::Inference::Rule&", 36, Smoke::t_class | Smoke::tf_ref },	//219
	{ "Soprano::Inference::Rule*", 36, Smoke::t_class | Smoke::tf_ptr },	//220
	{ "Soprano::Inference::RuleParser*", 37, Smoke::t_class | Smoke::tf_ptr },	//221
	{ "Soprano::Inference::RuleSet", 38, Smoke::t_class | Smoke::tf_stack },	//222
	{ "Soprano::Inference::RuleSet&", 38, Smoke::t_class | Smoke::tf_ref },	//223
	{ "Soprano::Inference::RuleSet*", 38, Smoke::t_class | Smoke::tf_ptr },	//224
	{ "Soprano::Inference::StandardRuleSet", 33, Smoke::t_enum | Smoke::tf_stack },	//225
	{ "Soprano::Inference::StatementPattern", 39, Smoke::t_class | Smoke::tf_stack },	//226
	{ "Soprano::Inference::StatementPattern*", 39, Smoke::t_class | Smoke::tf_ptr },	//227
	{ "Soprano::LiteralValue", 40, Smoke::t_class | Smoke::tf_stack },	//228
	{ "Soprano::LiteralValue&", 40, Smoke::t_class | Smoke::tf_ref },	//229
	{ "Soprano::LiteralValue*", 40, Smoke::t_class | Smoke::tf_ptr },	//230
	{ "Soprano::Model*", 41, Smoke::t_class | Smoke::tf_ptr },	//231
	{ "Soprano::Node", 42, Smoke::t_class | Smoke::tf_stack },	//232
	{ "Soprano::Node&", 42, Smoke::t_class | Smoke::tf_ref },	//233
	{ "Soprano::Node*", 42, Smoke::t_class | Smoke::tf_ptr },	//234
	{ "Soprano::Node::Type", 42, Smoke::t_enum | Smoke::tf_stack },	//235
	{ "Soprano::NodeIterator", 43, Smoke::t_class | Smoke::tf_stack },	//236
	{ "Soprano::NodeIterator&", 43, Smoke::t_class | Smoke::tf_ref },	//237
	{ "Soprano::NodeIterator*", 43, Smoke::t_class | Smoke::tf_ptr },	//238
	{ "Soprano::Parser*", 44, Smoke::t_class | Smoke::tf_ptr },	//239
	{ "Soprano::Plugin*", 45, Smoke::t_class | Smoke::tf_ptr },	//240
	{ "Soprano::PluginManager*", 46, Smoke::t_class | Smoke::tf_ptr },	//241
	{ "Soprano::Query::QueryLanguage", 47, Smoke::t_enum | Smoke::tf_stack },	//242
	{ "Soprano::Query::QueryLanguages", 0, Smoke::t_uint | Smoke::tf_stack },	//243
	{ "Soprano::Query::QueryLanguages&", 0, Smoke::t_voidp | Smoke::tf_ref },	//244
	{ "Soprano::QueryResultIterator", 48, Smoke::t_class | Smoke::tf_stack },	//245
	{ "Soprano::QueryResultIterator&", 48, Smoke::t_class | Smoke::tf_ref },	//246
	{ "Soprano::QueryResultIterator*", 48, Smoke::t_class | Smoke::tf_ptr },	//247
	{ "Soprano::QueryResultIteratorBackend*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//248
	{ "Soprano::RdfSchemaModel*", 49, Smoke::t_class | Smoke::tf_ptr },	//249
	{ "Soprano::RdfSerialization", 13, Smoke::t_enum | Smoke::tf_stack },	//250
	{ "Soprano::RdfSerializations", 0, Smoke::t_uint | Smoke::tf_stack },	//251
	{ "Soprano::RdfSerializations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//252
	{ "Soprano::Serializer*", 50, Smoke::t_class | Smoke::tf_ptr },	//253
	{ "Soprano::Server::DBusExportIterator*", 52, Smoke::t_class | Smoke::tf_ptr },	//254
	{ "Soprano::Server::DBusExportModel*", 53, Smoke::t_class | Smoke::tf_ptr },	//255
	{ "Soprano::Server::ServerCore*", 54, Smoke::t_class | Smoke::tf_ptr },	//256
	{ "Soprano::Statement", 55, Smoke::t_class | Smoke::tf_stack },	//257
	{ "Soprano::Statement&", 55, Smoke::t_class | Smoke::tf_ref },	//258
	{ "Soprano::Statement*", 55, Smoke::t_class | Smoke::tf_ptr },	//259
	{ "Soprano::StatementIterator", 56, Smoke::t_class | Smoke::tf_stack },	//260
	{ "Soprano::StatementIterator&", 56, Smoke::t_class | Smoke::tf_ref },	//261
	{ "Soprano::StatementIterator*", 56, Smoke::t_class | Smoke::tf_ptr },	//262
	{ "Soprano::StorageModel*", 57, Smoke::t_class | Smoke::tf_ptr },	//263
	{ "Soprano::Util::AsyncModel*", 59, Smoke::t_class | Smoke::tf_ptr },	//264
	{ "Soprano::Util::AsyncModel::AsyncModelMode", 59, Smoke::t_enum | Smoke::tf_stack },	//265
	{ "Soprano::Util::AsyncResult*", 60, Smoke::t_class | Smoke::tf_ptr },	//266
	{ "Soprano::Util::MutexModel*", 61, Smoke::t_class | Smoke::tf_ptr },	//267
	{ "Soprano::Util::MutexModel::ProtectionMode", 61, Smoke::t_enum | Smoke::tf_stack },	//268
	{ "Soprano::Util::ReadOnlyModel*", 62, Smoke::t_class | Smoke::tf_ptr },	//269
	{ "Soprano::Util::SignalCacheModel*", 63, Smoke::t_class | Smoke::tf_ptr },	//270
	{ "Soprano::Util::SimpleNodeIterator&", 64, Smoke::t_class | Smoke::tf_ref },	//271
	{ "Soprano::Util::SimpleNodeIterator*", 64, Smoke::t_class | Smoke::tf_ptr },	//272
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//273
	{ "const QByteArray&", 1, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//274
	{ "const QDate&", 3, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//275
	{ "const QDateTime&", 4, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//276
	{ "const QLatin1String&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//277
	{ "const QList<QUrl>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//278
	{ "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//279
	{ "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//280
	{ "const QList<Soprano::Node>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//281
	{ "const QList<Soprano::Statement>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//282
	{ "const QMetaObject", 6, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//283
	{ "const QMetaObject*", 6, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//284
	{ "const QString", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//285
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//286
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//287
	{ "const QTime&", 9, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//288
	{ "const QUrl&", 11, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//289
	{ "const QVariant&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//290
	{ "const Soprano::Backend*", 14, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//291
	{ "const Soprano::BackendSetting&", 15, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//292
	{ "const Soprano::BindingSet&", 16, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//293
	{ "const Soprano::Error::Error&", 25, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//294
	{ "const Soprano::Error::Locator&", 26, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//295
	{ "const Soprano::Error::ParserError&", 27, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//296
	{ "const Soprano::Index::QueryHit&", 32, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//297
	{ "const Soprano::Inference::NodePattern&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//298
	{ "const Soprano::Inference::Rule&", 36, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//299
	{ "const Soprano::Inference::RuleParser&", 37, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//300
	{ "const Soprano::Inference::RuleSet&", 38, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//301
	{ "const Soprano::Inference::StatementPattern&", 39, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//302
	{ "const Soprano::LiteralValue&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//303
	{ "const Soprano::Node&", 42, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//304
	{ "const Soprano::NodeIterator&", 43, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//305
	{ "const Soprano::Parser*", 44, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//306
	{ "const Soprano::Plugin&", 45, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//307
	{ "const Soprano::QueryResultIterator&", 48, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//308
	{ "const Soprano::Serializer*", 50, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//309
	{ "const Soprano::Statement&", 55, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//310
	{ "const Soprano::StatementIterator&", 56, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//311
	{ "const Soprano::Util::SimpleNodeIterator&", 64, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//312
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//313
	{ "const quint16", 0, Smoke::t_ushort | Smoke::tf_stack | Smoke::tf_const },	//314
	{ "double", 0, Smoke::t_double | Smoke::tf_stack },	//315
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//316
	{ "lucene::analysis::Analyzer*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//317
	{ "lucene::document::Document*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//318
	{ "qlonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//319
	{ "qulonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//320
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//321
	{ "unsigned int", 0, Smoke::t_uint | Smoke::tf_stack },	//322
	{ "unsigned short", 0, Smoke::t_ushort | Smoke::tf_stack },	//323
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//324
};

static Smoke::Index soprano_argumentList[] = {
	0,	//0  (void)
	137, 0,	//1  QTextStream&  
	137, 289, 250, 0,	//3  QTextStream&, const QUrl&, Soprano::RdfSerialization  
	137, 289, 250, 286, 0,	//7  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&  
	14, 0,	//12  QChildEvent*  
	141, 0,	//14  QTimerEvent*  
	150, 0,	//16  QVariant::Type  
	183, 0,	//18  Soprano::BackendFeatures  
	183, 287, 0,	//20  Soprano::BackendFeatures, const QStringList&  
	185, 0,	//23  Soprano::BackendOption  
	185, 290, 0,	//25  Soprano::BackendOption, const QVariant&  
	201, 0,	//28  Soprano::Error::ErrorCode  
	202, 0,	//30  Soprano::Error::ErrorData*  
	210, 0,	//32  Soprano::Index::CLuceneIndex*  
	210, 231, 0,	//34  Soprano::Index::CLuceneIndex*, Soprano::Model*  
	225, 0,	//37  Soprano::Inference::StandardRuleSet  
	231, 0,	//39  Soprano::Model*  
	236, 0,	//41  Soprano::NodeIterator  
	236, 89, 0,	//43  Soprano::NodeIterator, QObject*  
	242, 0,	//46  Soprano::Query::QueryLanguage  
	242, 286, 0,	//48  Soprano::Query::QueryLanguage, const QString&  
	245, 0,	//51  Soprano::QueryResultIterator  
	245, 89, 0,	//53  Soprano::QueryResultIterator, QObject*  
	248, 0,	//56  Soprano::QueryResultIteratorBackend*  
	250, 0,	//58  Soprano::RdfSerialization  
	250, 286, 0,	//60  Soprano::RdfSerialization, const QString&  
	260, 0,	//63  Soprano::StatementIterator  
	260, 137, 250, 0,	//65  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization  
	260, 137, 250, 286, 0,	//69  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&  
	260, 89, 0,	//74  Soprano::StatementIterator, QObject*  
	265, 0,	//77  Soprano::Util::AsyncModel::AsyncModelMode  
	266, 0,	//79  Soprano::Util::AsyncResult*  
	268, 0,	//81  Soprano::Util::MutexModel::ProtectionMode  
	268, 231, 0,	//83  Soprano::Util::MutexModel::ProtectionMode, Soprano::Model*  
	273, 0,	//86  bool  
	274, 0,	//88  const QByteArray&  
	275, 0,	//90  const QDate&  
	276, 0,	//92  const QDateTime&  
	277, 0,	//94  const QLatin1String&  
	278, 0,	//96  const QList<QUrl>&  
	279, 0,	//98  const QList<Soprano::BackendSetting>&  
	279, 185, 0,	//100  const QList<Soprano::BackendSetting>&, Soprano::BackendOption  
	279, 185, 286, 0,	//103  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&  
	280, 0,	//107  const QList<Soprano::Inference::Rule>&  
	281, 0,	//109  const QList<Soprano::Node>&  
	282, 0,	//111  const QList<Soprano::Statement>&  
	285, 0,	//113  const QString  
	286, 0,	//115  const QString&  
	286, 150, 0,	//117  const QString&, QVariant::Type  
	286, 231, 0,	//120  const QString&, Soprano::Model*  
	286, 242, 0,	//123  const QString&, Soprano::Query::QueryLanguage  
	286, 242, 286, 0,	//126  const QString&, Soprano::Query::QueryLanguage, const QString&  
	286, 273, 0,	//130  const QString&, bool  
	286, 279, 0,	//133  const QString&, const QList<Soprano::BackendSetting>&  
	286, 286, 0,	//136  const QString&, const QString&  
	286, 286, 286, 0,	//139  const QString&, const QString&, const QString&  
	286, 286, 286, 286, 0,	//143  const QString&, const QString&, const QString&, const QString&  
	286, 286, 286, 286, 310, 0,	//148  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&  
	286, 286, 291, 0,	//154  const QString&, const QString&, const Soprano::Backend*  
	286, 289, 0,	//158  const QString&, const QUrl&  
	286, 289, 250, 0,	//161  const QString&, const QUrl&, Soprano::RdfSerialization  
	286, 289, 250, 286, 0,	//165  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&  
	286, 290, 0,	//170  const QString&, const QVariant&  
	286, 299, 0,	//173  const QString&, const Soprano::Inference::Rule&  
	286, 304, 0,	//176  const QString&, const Soprano::Node&  
	286, 316, 0,	//179  const QString&, int  
	286, 323, 0,	//182  const QString&, unsigned short  
	286, 323, 286, 0,	//185  const QString&, unsigned short, const QString&  
	286, 323, 286, 286, 0,	//189  const QString&, unsigned short, const QString&, const QString&  
	286, 89, 0,	//194  const QString&, QObject*  
	288, 0,	//197  const QTime&  
	289, 0,	//199  const QUrl&  
	290, 0,	//201  const QVariant&  
	291, 0,	//203  const Soprano::Backend*  
	292, 0,	//205  const Soprano::BackendSetting&  
	293, 0,	//207  const Soprano::BindingSet&  
	294, 0,	//209  const Soprano::Error::Error&  
	295, 0,	//211  const Soprano::Error::Locator&  
	295, 286, 0,	//213  const Soprano::Error::Locator&, const QString&  
	295, 286, 316, 0,	//216  const Soprano::Error::Locator&, const QString&, int  
	296, 0,	//220  const Soprano::Error::ParserError&  
	297, 0,	//222  const Soprano::Index::QueryHit&  
	298, 0,	//224  const Soprano::Inference::NodePattern&  
	298, 298, 298, 0,	//226  const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&  
	299, 0,	//230  const Soprano::Inference::Rule&  
	300, 0,	//232  const Soprano::Inference::RuleParser&  
	301, 0,	//234  const Soprano::Inference::RuleSet&  
	302, 0,	//236  const Soprano::Inference::StatementPattern&  
	303, 0,	//238  const Soprano::LiteralValue&  
	303, 286, 0,	//240  const Soprano::LiteralValue&, const QString&  
	304, 0,	//243  const Soprano::Node&  
	304, 304, 0,	//245  const Soprano::Node&, const Soprano::Node&  
	304, 304, 304, 0,	//248  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&  
	304, 304, 304, 304, 0,	//252  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&  
	304, 315, 0,	//257  const Soprano::Node&, double  
	305, 0,	//260  const Soprano::NodeIterator&  
	307, 0,	//262  const Soprano::Plugin&  
	308, 0,	//264  const Soprano::QueryResultIterator&  
	310, 0,	//266  const Soprano::Statement&  
	311, 0,	//268  const Soprano::StatementIterator&  
	312, 0,	//270  const Soprano::Util::SimpleNodeIterator&  
	313, 0,	//272  const char*  
	315, 0,	//274  double  
	316, 0,	//276  int  
	316, 316, 0,	//278  int, int  
	316, 316, 316, 0,	//281  int, int, int  
	316, 316, 316, 286, 0,	//285  int, int, int, const QString&  
	317, 0,	//290  lucene::analysis::Analyzer*  
	318, 0,	//292  lucene::document::Document*  
	319, 0,	//294  qlonglong  
	320, 0,	//296  qulonglong  
	321, 0,	//298  uint  
	323, 0,	//300  unsigned short  
	33, 0,	//302  QEvent*  
	65, 185, 0,	//304  QList<Soprano::BackendSetting>&, Soprano::BackendOption  
	65, 185, 286, 0,	//307  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&  
	84, 316, 324, 0,	//311  QMetaObject::Call, int, void**  
	89, 0,	//315  QObject*  
	89, 33, 0,	//317  QObject*, QEvent*  
};

// Raw list of all methods, using munged names
static const char *soprano_methodNames[] = {
    "",	//0
    "AllDifferent",	//1
    "Alt",	//2
    "Annotation",	//3
    "AnnotationProperty",	//4
    "Archive",	//5
    "ArchivedFile",	//6
    "AsymmetricProperty",	//7
    "AsyncModel",	//8
    "AsyncModel#",	//9
    "Audio",	//10
    "AudioList",	//11
    "Backend",	//12
    "Backend$",	//13
    "BackendFeatureAddStatement",	//14
    "BackendFeatureContext",	//15
    "BackendFeatureInference",	//16
    "BackendFeatureInferenceOptional",	//17
    "BackendFeatureListStatements",	//18
    "BackendFeatureNone",	//19
    "BackendFeatureQuery",	//20
    "BackendFeatureRemoveStatements",	//21
    "BackendFeatureStorageMemory",	//22
    "BackendFeatureUser",	//23
    "BackendOptionEnableInference",	//24
    "BackendOptionNone",	//25
    "BackendOptionStorageDir",	//26
    "BackendOptionStorageMemory",	//27
    "BackendOptionUser",	//28
    "BackendSetting",	//29
    "BackendSetting#",	//30
    "BackendSetting$",	//31
    "BackendSetting$#",	//32
    "Bag",	//33
    "BindingSet",	//34
    "BindingSet#",	//35
    "BlankNode",	//36
    "BlockDevice",	//37
    "Bookmark",	//38
    "CLuceneIndex",	//39
    "CLuceneIndex?",	//40
    "Class",	//41
    "CommunicationChannel",	//42
    "Configuration",	//43
    "Contact",	//44
    "ContactGroup",	//45
    "Container",	//46
    "ContainerMembershipProperty",	//47
    "Content",	//48
    "DBusClient",	//49
    "DBusClient$",	//50
    "DBusClient$#",	//51
    "DBusExportIterator",	//52
    "DBusExportIterator#",	//53
    "DBusExportIterator##",	//54
    "DBusExportModel",	//55
    "DBusExportModel#",	//56
    "DBusModel",	//57
    "DBusModel$$",	//58
    "DBusModel$$#",	//59
    "DBusNodeIterator",	//60
    "DBusNodeIterator$$",	//61
    "DBusQueryResultIterator",	//62
    "DBusQueryResultIterator$$",	//63
    "DBusStatementIterator",	//64
    "DBusStatementIterator$$",	//65
    "DEFAULT_PORT",	//66
    "Data",	//67
    "DataObject",	//68
    "DataRange",	//69
    "Datatype",	//70
    "DatatypeProperty",	//71
    "DefaultGraph",	//72
    "DeletedFile",	//73
    "DeprecatedClass",	//74
    "DeprecatedProperty",	//75
    "Document",	//76
    "DocumentGraph",	//77
    "Documentation",	//78
    "Email",	//79
    "EmailAttachment",	//80
    "EmbeddedObject",	//81
    "EmptyNode",	//82
    "Error",	//83
    "Error#",	//84
    "Error$",	//85
    "Error$$",	//86
    "Error?",	//87
    "ErrorInvalidArgument",	//88
    "ErrorInvalidStatement",	//89
    "ErrorNone",	//90
    "ErrorNotSupported",	//91
    "ErrorParsingFailed",	//92
    "ErrorPermissionDenied",	//93
    "ErrorUnknown",	//94
    "ExternalViewSpecification",	//95
    "File",	//96
    "FileSystem",	//97
    "Filelike",	//98
    "FilterModel",	//99
    "FilterModel#",	//100
    "Folder",	//101
    "FreeDesktopIcon",	//102
    "FunctionalProperty",	//103
    "Graph",	//104
    "GraphMetadata",	//105
    "GraphView",	//106
    "IMAP4Message",	//107
    "IMMessage",	//108
    "Image",	//109
    "IndexFilterModel",	//110
    "IndexFilterModel#",	//111
    "IndexFilterModel##",	//112
    "IndexFilterModel$",	//113
    "IndexFilterModel$#",	//114
    "InferenceGraph",	//115
    "InferenceMetaData",	//116
    "InferenceModel",	//117
    "InferenceModel#",	//118
    "InstanceBase",	//119
    "InverseFunctionalProperty",	//120
    "KnowledgeBase",	//121
    "List",	//122
    "Literal",	//123
    "LiteralNode",	//124
    "LiteralValue",	//125
    "LiteralValue#",	//126
    "LiteralValue$",	//127
    "LiteralValue?",	//128
    "Locator",	//129
    "Locator#",	//130
    "Locator$$",	//131
    "Locator$$$",	//132
    "Locator$$$$",	//133
    "MailingList",	//134
    "MailingListEmail",	//135
    "Media",	//136
    "MediaList",	//137
    "Message",	//138
    "MessageboxMessage",	//139
    "Model",	//140
    "MultiThreaded",	//141
    "Music",	//142
    "MutexModel",	//143
    "MutexModel$",	//144
    "MutexModel$#",	//145
    "NRL",	//146
    "NewsGroup",	//147
    "NewsGroupEmail",	//148
    "Node",	//149
    "Node#",	//150
    "Node#$",	//151
    "Node$",	//152
    "NodeIterator",	//153
    "NodeIterator#",	//154
    "NodePattern",	//155
    "NodePattern#",	//156
    "NodePattern$",	//157
    "Nothing",	//158
    "ObjectProperty",	//159
    "OfflineMedia",	//160
    "Ontology",	//161
    "OntologyProperty",	//162
    "Organization",	//163
    "POP3Message",	//164
    "Parser",	//165
    "Parser$",	//166
    "ParserError",	//167
    "ParserError#",	//168
    "ParserError#$",	//169
    "ParserError#$$",	//170
    "Party",	//171
    "Person",	//172
    "PersonalEmail",	//173
    "Photo",	//174
    "PlainMultiThreading",	//175
    "Plugin",	//176
    "Plugin#",	//177
    "Plugin$",	//178
    "Presentation",	//179
    "Project",	//180
    "Property",	//181
    "QUERY_LANGUAGE_NONE",	//182
    "QUERY_LANGUAGE_RDQL",	//183
    "QUERY_LANGUAGE_SERQL",	//184
    "QUERY_LANGUAGE_SPARQL",	//185
    "QUERY_LANGUAGE_USER",	//186
    "QueryHit",	//187
    "QueryHit#",	//188
    "QueryHit#$",	//189
    "QueryLanguageNone",	//190
    "QueryLanguageRdql",	//191
    "QueryLanguageSerql",	//192
    "QueryLanguageSparql",	//193
    "QueryLanguageUser",	//194
    "QueryResultIterator",	//195
    "QueryResultIterator#",	//196
    "QueryResultIterator?",	//197
    "RDFS",	//198
    "RSSFeed",	//199
    "RSSMessage",	//200
    "RdfSchemaModel",	//201
    "RdfSchemaModel#",	//202
    "ReadOnlyModel",	//203
    "ReadOnlyModel#",	//204
    "ReadWriteMultiThreading",	//205
    "ReadWriteSingleThreading",	//206
    "ReflexiveProperty",	//207
    "RemoteFile",	//208
    "RemoteMessageboxMessage",	//209
    "RemoteResource",	//210
    "Resource",	//211
    "ResourceNode",	//212
    "Restriction",	//213
    "RevisionControlledFile",	//214
    "RevisionControlledRepository",	//215
    "Rule",	//216
    "Rule#",	//217
    "RuleParser",	//218
    "RuleParser#",	//219
    "RuleSet",	//220
    "RuleSet#",	//221
    "RuleViewSpecification",	//222
    "Schema",	//223
    "Semantics",	//224
    "Seq",	//225
    "SerializationN3",	//226
    "SerializationNQuads",	//227
    "SerializationNTriples",	//228
    "SerializationRdfXml",	//229
    "SerializationTrig",	//230
    "SerializationTurtle",	//231
    "SerializationUnknown",	//232
    "SerializationUser",	//233
    "Serializer",	//234
    "Serializer$",	//235
    "ServerCore",	//236
    "ServerCore#",	//237
    "SignalCacheModel",	//238
    "SignalCacheModel#",	//239
    "SimpleNodeIterator",	//240
    "SimpleNodeIterator#",	//241
    "SimpleNodeIterator?",	//242
    "SingleThreaded",	//243
    "SoftwarePackage",	//244
    "Source",	//245
    "SourceCode",	//246
    "SparqlModel",	//247
    "SparqlModel$",	//248
    "SparqlModel$$",	//249
    "SparqlModel$$$",	//250
    "SparqlModel$$$$",	//251
    "Spreadsheet",	//252
    "Statement",	//253
    "Statement#",	//254
    "Statement###",	//255
    "Statement####",	//256
    "StatementIterator",	//257
    "StatementIterator#",	//258
    "StatementPattern",	//259
    "StatementPattern#",	//260
    "StatementPattern###",	//261
    "StorageModel",	//262
    "StorageModel#",	//263
    "Symbol",	//264
    "SymmetricProperty",	//265
    "SystemResource",	//266
    "Tag",	//267
    "Text",	//268
    "TextDocument",	//269
    "Thing",	//270
    "TransitiveProperty",	//271
    "UncategorizedText",	//272
    "Video",	//273
    "ViewSpecification",	//274
    "Visual",	//275
    "XML",	//276
    "XMLLiteral",	//277
    "acl",	//278
    "addForceIndexPredicate",	//279
    "addForceIndexPredicate#",	//280
    "addIndexOnlyPredicate",	//281
    "addIndexOnlyPredicate#",	//282
    "addPrecondition",	//283
    "addPrecondition#",	//284
    "addRule",	//285
    "addRule#",	//286
    "addStatement",	//287
    "addStatement#",	//288
    "addStatement###",	//289
    "addStatement####",	//290
    "addStatementAsync",	//291
    "addStatementAsync#",	//292
    "addStatementAsync###",	//293
    "addStatementAsync####",	//294
    "addStatements",	//295
    "addStatements?",	//296
    "addStatementsAsync",	//297
    "addStatementsAsync?",	//298
    "album",	//299
    "albumArtist",	//300
    "albumGain",	//301
    "albumPeakGain",	//302
    "albumTrackCount",	//303
    "allBackends",	//304
    "allBindings",	//305
    "allModels",	//306
    "allNodes",	//307
    "allParsers",	//308
    "allRules",	//309
    "allSerializers",	//310
    "allStatements",	//311
    "allValuesFrom",	//312
    "altLabel",	//313
    "altSymbol",	//314
    "annotation",	//315
    "aperture",	//316
    "artist",	//317
    "asText",	//318
    "aspectRatio",	//319
    "asyncCalls",	//320
    "at",	//321
    "at$",	//322
    "attachmentEncoding",	//323
    "audioBPM",	//324
    "audioBitrate",	//325
    "audioChannels",	//326
    "audioCodec",	//327
    "audioCodecType",	//328
    "audioSampleBitDepth",	//329
    "audioSampleCount",	//330
    "audioSampleDataType",	//331
    "audioSampleRate",	//332
    "author",	//333
    "autoRating",	//334
    "backend",	//335
    "backwardCompatibleWith",	//336
    "base64Binary",	//337
    "baseRevisionID",	//338
    "bcc",	//339
    "bindEffect",	//340
    "bindEffect#",	//341
    "bindPreconditions",	//342
    "bindPreconditions#",	//343
    "bindToStatement",	//344
    "bindToStatement#",	//345
    "binding",	//346
    "binding$",	//347
    "bindingCount",	//348
    "bindingNames",	//349
    "birthDate",	//350
    "blogContactURL",	//351
    "boolValue",	//352
    "boolean",	//353
    "boundToStatement",	//354
    "byte",	//355
    "cacheTime",	//356
    "cameraManufacturer",	//357
    "cameraModel",	//358
    "cardinality",	//359
    "cc",	//360
    "ccdWidth",	//361
    "cellPhoneNumber",	//362
    "changeCommitTime",	//363
    "changeCommitter",	//364
    "characterCount",	//365
    "charset",	//366
    "chatRoom",	//367
    "childEvent",	//368
    "childEvent#",	//369
    "classes",	//370
    "clear",	//371
    "clearInference",	//372
    "close",	//373
    "closeTransaction",	//374
    "closeTransaction$",	//375
    "code",	//376
    "colorCount",	//377
    "colorSpace",	//378
    "column",	//379
    "columnCount",	//380
    "comment",	//381
    "commentCharacterCount",	//382
    "commitDiff",	//383
    "communicationChannel",	//384
    "complementOf",	//385
    "composer",	//386
    "compressionAlgorithm",	//387
    "compressionLevel",	//388
    "conflicts",	//389
    "connectNotify",	//390
    "connectNotify$",	//391
    "contactMedium",	//392
    "contactNick",	//393
    "contactURL",	//394
    "contains",	//395
    "contains$",	//396
    "containsAnyStatement",	//397
    "containsAnyStatement#",	//398
    "containsAnyStatement###",	//399
    "containsAnyStatement####",	//400
    "containsAnyStatementAsync",	//401
    "containsAnyStatementAsync#",	//402
    "containsAnyStatementAsync###",	//403
    "containsAnyStatementAsync####",	//404
    "containsContext",	//405
    "containsContext#",	//406
    "containsStatement",	//407
    "containsStatement#",	//408
    "containsStatement###",	//409
    "containsStatement####",	//410
    "containsStatementAsync",	//411
    "containsStatementAsync#",	//412
    "containsStatementAsync###",	//413
    "containsStatementAsync####",	//414
    "contentComment",	//415
    "contentCreated",	//416
    "contentKeyword",	//417
    "contentModified",	//418
    "contentType",	//419
    "context",	//420
    "contributor",	//421
    "convertErrorCode",	//422
    "convertErrorCode$",	//423
    "copyright",	//424
    "coreGraphMetadataFor",	//425
    "count",	//426
    "createBlankNode",	//427
    "createBlankNode$",	//428
    "createBlankNodeAsync",	//429
    "createEmptyNode",	//430
    "createLiteralNode",	//431
    "createLiteralNode#$",	//432
    "createModel",	//433
    "createModel$",	//434
    "createModel$?",	//435
    "createModel?",	//436
    "createResourceNode",	//437
    "createResourceNode#",	//438
    "createResult",	//439
    "createSparqlGraphPattern",	//440
    "createSparqlGraphPattern#",	//441
    "createSparqlNodePattern",	//442
    "createSparqlNodePattern#",	//443
    "createSparqlQuery",	//444
    "createSparqlQuery$",	//445
    "created",	//446
    "creator",	//447
    "currentBindings",	//448
    "currentStatement",	//449
    "customEvent",	//450
    "customEvent#",	//451
    "dataType",	//452
    "dataTypeUri",	//453
    "dataTypeUriFromType",	//454
    "dataTypeUriFromType$",	//455
    "date",	//456
    "dateTime",	//457
    "dbusObjectPath",	//458
    "decimal",	//459
    "defaultSearchField",	//460
    "definesClass",	//461
    "definesFunction",	//462
    "definesGlobalVariable",	//463
    "deleteModelData",	//464
    "deleteModelData?",	//465
    "deleteOnClose",	//466
    "deletionTime",	//467
    "depends",	//468
    "derivedFrom",	//469
    "description",	//470
    "differentFrom",	//471
    "directSubClassOf",	//472
    "directSubClassOf#",	//473
    "directSubClassOf##",	//474
    "directSubPropertyOf",	//475
    "directSubPropertyOf#",	//476
    "directSubPropertyOf##",	//477
    "directType",	//478
    "directType##",	//479
    "discNumber",	//480
    "disclaimer",	//481
    "disconnectNotify",	//482
    "disconnectNotify$",	//483
    "discoverBackendByFeatures",	//484
    "discoverBackendByFeatures$",	//485
    "discoverBackendByFeatures$?",	//486
    "discoverBackendByName",	//487
    "discoverBackendByName$",	//488
    "discoverParserByName",	//489
    "discoverParserByName$",	//490
    "discoverParserForSerialization",	//491
    "discoverParserForSerialization$",	//492
    "discoverParserForSerialization$$",	//493
    "discoverSerializerByName",	//494
    "discoverSerializerByName$",	//495
    "discoverSerializerForSerialization",	//496
    "discoverSerializerForSerialization$",	//497
    "discoverSerializerForSerialization$$",	//498
    "disjointWith",	//499
    "distinctMembers",	//500
    "documentCategory",	//501
    "documentForResource",	//502
    "documentForResource#",	//503
    "domain",	//504
    "domain##",	//505
    "dump",	//506
    "dump#",	//507
    "effect",	//508
    "emailAddress",	//509
    "encodeStringForLuceneQuery",	//510
    "encodeStringForLuceneQuery$",	//511
    "encodeUriForLuceneQuery",	//512
    "encodeUriForLuceneQuery#",	//513
    "engineeringTool",	//514
    "equivalentClass",	//515
    "equivalentGraph",	//516
    "equivalentProperty",	//517
    "errorCode",	//518
    "errorMessage",	//519
    "errorMessage$",	//520
    "event",	//521
    "event#",	//522
    "eventFilter",	//523
    "eventFilter##",	//524
    "executeQuery",	//525
    "executeQuery$",	//526
    "executeQuery$$",	//527
    "executeQuery$$$",	//528
    "executeQueryAsync",	//529
    "executeQueryAsync$",	//530
    "executeQueryAsync$$",	//531
    "executeQueryAsync$$$",	//532
    "exposureBias",	//533
    "exposureProgram",	//534
    "exposureTime",	//535
    "externalRealizer",	//536
    "familyName",	//537
    "faxPhoneNumber",	//538
    "fileExtension",	//539
    "fileName",	//540
    "fileSystemType",	//541
    "fingerprint",	//542
    "first",	//543
    "firstUsed",	//544
    "flashUsed",	//545
    "focalLength",	//546
    "focusDistance",	//547
    "forceIndexPredicates",	//548
    "formatSubtype",	//549
    "frameCount",	//550
    "frameRate",	//551
    "freeSpace",	//552
    "fromString",	//553
    "fromString$#",	//554
    "fromString$$",	//555
    "gender",	//556
    "generator",	//557
    "generatorOptions",	//558
    "genre",	//559
    "getResource",	//560
    "getResource?",	//561
    "givenName",	//562
    "graphMetadataFor",	//563
    "group",	//564
    "hasDefaultNamespace",	//565
    "hasDefaultNamespaceAbbreviation",	//566
    "hasSemantics",	//567
    "hasSpecification",	//568
    "hasSubResource",	//569
    "hasSuperResource",	//570
    "hasSymbol",	//571
    "hasTag",	//572
    "hasTopic",	//573
    "hasValue",	//574
    "height",	//575
    "homeEmailAddress",	//576
    "homePhoneNumber",	//577
    "homePostalAddress",	//578
    "homepageContactURL",	//579
    "honorificPrefix",	//580
    "honorificSuffix",	//581
    "horizontalResolution",	//582
    "iconName",	//583
    "id",	//584
    "identifier",	//585
    "imContactMedium",	//586
    "imports",	//587
    "inReplyTo",	//588
    "incompatibleWith",	//589
    "index",	//590
    "indexOnlyPredicates",	//591
    "insert",	//592
    "insert$#",	//593
    "instance",	//594
    "integer",	//595
    "interest",	//596
    "interlaceMode",	//597
    "intersectionOf",	//598
    "inverseOf",	//599
    "inverseProperty",	//600
    "ircContactMedium",	//601
    "isAvailable",	//602
    "isBinding",	//603
    "isBlank",	//604
    "isBool",	//605
    "isByteArray",	//606
    "isClass",	//607
    "isClass#",	//608
    "isContentEncrypted",	//609
    "isDate",	//610
    "isDateTime",	//611
    "isDefinedBy",	//612
    "isDirectSubClassOf",	//613
    "isDirectSubClassOf##",	//614
    "isDirectSubPropertyOf",	//615
    "isDirectSubPropertyOf##",	//616
    "isDirectType",	//617
    "isDirectType##",	//618
    "isDouble",	//619
    "isEmpty",	//620
    "isEmptyAsync",	//621
    "isEncrypted",	//622
    "isGraph",	//623
    "isImportant",	//624
    "isInProgress",	//625
    "isInt",	//626
    "isInt64",	//627
    "isLiteral",	//628
    "isOpen",	//629
    "isOptionInSettings",	//630
    "isOptionInSettings?$",	//631
    "isOptionInSettings?$$",	//632
    "isParserError",	//633
    "isProperty",	//634
    "isProperty#",	//635
    "isPublicChannel",	//636
    "isRead",	//637
    "isRelated",	//638
    "isResource",	//639
    "isSourceEncrypted",	//640
    "isString",	//641
    "isSubClassOf",	//642
    "isSubClassOf##",	//643
    "isSubPropertyOf",	//644
    "isSubPropertyOf##",	//645
    "isTagFor",	//646
    "isTime",	//647
    "isTopicOf",	//648
    "isType",	//649
    "isType##",	//650
    "isUnsignedInt",	//651
    "isUnsignedInt64",	//652
    "isValid",	//653
    "isVariable",	//654
    "isoEquivalent",	//655
    "iterateBindings",	//656
    "iterateBindings$",	//657
    "iterateContexts",	//658
    "iterateObjects",	//659
    "iteratePredicates",	//660
    "iterateStatements",	//661
    "iterateStatementsFromBindings",	//662
    "iterateStatementsFromBindings$$$",	//663
    "iterateStatementsFromBindings$$$$",	//664
    "iterateStatementsFromBindings$$$$#",	//665
    "iterateSubjects",	//666
    "jabberContactMedium",	//667
    "keyword",	//668
    "knows",	//669
    "label",	//670
    "language",	//671
    "lastModified",	//672
    "lastRefreshed",	//673
    "lastUsed",	//674
    "legal",	//675
    "license",	//676
    "licenseType",	//677
    "line",	//678
    "lineCount",	//679
    "links",	//680
    "listContexts",	//681
    "listContextsAsync",	//682
    "listStatements",	//683
    "listStatements#",	//684
    "listStatements###",	//685
    "listStatements####",	//686
    "listStatementsAsync",	//687
    "listStatementsAsync#",	//688
    "listStatementsAsync###",	//689
    "listStatementsAsync####",	//690
    "listStatementsInContext",	//691
    "listStatementsInContext#",	//692
    "listen",	//693
    "listen$",	//694
    "literal",	//695
    "localRevision",	//696
    "locator",	//697
    "lyricist",	//698
    "mailingList",	//699
    "mailingPostalAddress",	//700
    "maintainer",	//701
    "markupCharacterCount",	//702
    "match",	//703
    "match#",	//704
    "matches",	//705
    "matches#",	//706
    "maxCardinality",	//707
    "md5Hash",	//708
    "mediaBitrate",	//709
    "mediaCodec",	//710
    "mediaCodecType",	//711
    "mediaDuration",	//712
    "member",	//713
    "mergeConflict",	//714
    "message",	//715
    "metaObject",	//716
    "meteringMode",	//717
    "mimeType",	//718
    "mimeTypeToSerialization",	//719
    "mimeTypeToSerialization$",	//720
    "minCardinality",	//721
    "mode",	//722
    "model",	//723
    "model$",	//724
    "modified",	//725
    "mountPoint",	//726
    "name",	//727
    "naoNamespace",	//728
    "negativeInteger",	//729
    "newsGroup",	//730
    "nil",	//731
    "node",	//732
    "nodeIterator",	//733
    "nonNegativeInteger",	//734
    "nrlNamespace",	//735
    "numericRating",	//736
    "object",	//737
    "objectPattern",	//738
    "occupiedSpace",	//739
    "onProperty",	//740
    "oneOf",	//741
    "open",	//742
    "open$",	//743
    "open$$",	//744
    "operator bool",	//745
    "operator!=",	//746
    "operator!=#",	//747
    "operator=",	//748
    "operator=#",	//749
    "operator=$",	//750
    "operator==",	//751
    "operator==#",	//752
    "operator=?",	//753
    "operator[]",	//754
    "operator[]$",	//755
    "optimize",	//756
    "optimizeIndex",	//757
    "option",	//758
    "orientation",	//759
    "originURL",	//760
    "originalLocation",	//761
    "otherName",	//762
    "owlNamespace",	//763
    "owner",	//764
    "pageCount",	//765
    "paragraphCount",	//766
    "parentModel",	//767
    "parentStatementAdded",	//768
    "parentStatementAdded#",	//769
    "parentStatementRemoved",	//770
    "parentStatementRemoved#",	//771
    "parentStatementsAdded",	//772
    "parentStatementsRemoved",	//773
    "parseFile",	//774
    "parseFile$",	//775
    "parseFile$#$",	//776
    "parseFile$#$$",	//777
    "parseStream",	//778
    "parseStream##$",	//779
    "parseStream##$$",	//780
    "parseString",	//781
    "parseString$#$",	//782
    "parseString$#$$",	//783
    "performInference",	//784
    "performer",	//785
    "permissions",	//786
    "personPhoto",	//787
    "personalIdentifier",	//788
    "phoneNumber",	//789
    "pixelDataBitDepth",	//790
    "pixelDataType",	//791
    "pluginName",	//792
    "pluralPrefLabel",	//793
    "postalAddress",	//794
    "preconditions",	//795
    "predicate",	//796
    "predicatePattern",	//797
    "prefLabel",	//798
    "prefSymbol",	//799
    "primaryRecipient",	//800
    "priorVersion",	//801
    "programmingLanguage",	//802
    "properties",	//803
    "qt_metacall",	//804
    "qt_metacall$$?",	//805
    "queryLanguageFromString",	//806
    "queryLanguageFromString$",	//807
    "queryLanguageToString",	//808
    "queryLanguageToString$",	//809
    "queryLanguageToString$$",	//810
    "queryResultIterator",	//811
    "range",	//812
    "range##",	//813
    "rating",	//814
    "rdfNamespace",	//815
    "rdfsNamespace",	//816
    "realizes",	//817
    "rebuildIndex",	//818
    "receptionTime",	//819
    "recipient",	//820
    "registerAsDBusObject",	//821
    "registerAsDBusObject$",	//822
    "registerIterator",	//823
    "registerIterator$",	//824
    "registerIterator$$",	//825
    "registerModel",	//826
    "registerModel$",	//827
    "related",	//828
    "remotePassword",	//829
    "remotePort",	//830
    "remoteServer",	//831
    "remoteUser",	//832
    "removeAllStatements",	//833
    "removeAllStatements#",	//834
    "removeAllStatements###",	//835
    "removeAllStatements####",	//836
    "removeAllStatementsAsync",	//837
    "removeAllStatementsAsync#",	//838
    "removeAllStatementsAsync###",	//839
    "removeAllStatementsAsync####",	//840
    "removeContext",	//841
    "removeContext#",	//842
    "removeModel",	//843
    "removeModel$",	//844
    "removeStatement",	//845
    "removeStatement#",	//846
    "removeStatement###",	//847
    "removeStatement####",	//848
    "removeStatementAsync",	//849
    "removeStatementAsync#",	//850
    "removeStatementAsync###",	//851
    "removeStatementAsync####",	//852
    "removeStatements",	//853
    "removeStatements?",	//854
    "removeStatementsAsync",	//855
    "removeStatementsAsync?",	//856
    "replyTo",	//857
    "resource",	//858
    "resourceCount",	//859
    "rest",	//860
    "resultReady",	//861
    "resultReady#",	//862
    "rowCount",	//863
    "rssFeed",	//864
    "rule",	//865
    "rule$",	//866
    "ruleLanguage",	//867
    "ruleNames",	//868
    "rules",	//869
    "sameAs",	//870
    "sampleConfiguration",	//871
    "sampleDataBitDepth",	//872
    "sampleDataType",	//873
    "score",	//874
    "scoreParameter",	//875
    "secondaryRecipient",	//876
    "seeAlso",	//877
    "seenAttachedAs",	//878
    "semanticsDefinedBy",	//879
    "serializationLanguage",	//880
    "serializationMimeType",	//881
    "serializationMimeType$",	//882
    "serializationMimeType$$",	//883
    "serialize",	//884
    "serialize##$",	//885
    "serialize##$$",	//886
    "serverPort",	//887
    "setAsyncCalls",	//888
    "setAsyncCalls$",	//889
    "setBackend",	//890
    "setBackend#",	//891
    "setBackendSettings",	//892
    "setBackendSettings?",	//893
    "setByte",	//894
    "setByte$",	//895
    "setCacheTime",	//896
    "setCacheTime$",	//897
    "setColumn",	//898
    "setColumn$",	//899
    "setCompressedSourceStatements",	//900
    "setCompressedSourceStatements$",	//901
    "setContext",	//902
    "setContext#",	//903
    "setCount",	//904
    "setDeleteOnClose",	//905
    "setDeleteOnClose$",	//906
    "setEffect",	//907
    "setEffect#",	//908
    "setFileName",	//909
    "setFileName$",	//910
    "setForceIndexPredicates",	//911
    "setForceIndexPredicates?",	//912
    "setHost",	//913
    "setHost$",	//914
    "setHost$$",	//915
    "setIndexOnlyPredicates",	//916
    "setIndexOnlyPredicates?",	//917
    "setLine",	//918
    "setLine$",	//919
    "setMode",	//920
    "setMode$",	//921
    "setObject",	//922
    "setObject#",	//923
    "setOptimizedQueriesEnabled",	//924
    "setOptimizedQueriesEnabled$",	//925
    "setParentModel",	//926
    "setParentModel#",	//927
    "setPath",	//928
    "setPath$",	//929
    "setPredicate",	//930
    "setPredicate#",	//931
    "setRate",	//932
    "setRules",	//933
    "setRules?",	//934
    "setSubject",	//935
    "setSubject#",	//936
    "setTransactionCacheSize",	//937
    "setTransactionCacheSize$",	//938
    "setUsedBackend",	//939
    "setUsedBackend#",	//940
    "setUser",	//941
    "setUser$",	//942
    "setUser$$",	//943
    "setValue",	//944
    "setValue#",	//945
    "settingInSettings",	//946
    "settingInSettings?$",	//947
    "settingInSettings?$$",	//948
    "sha1Hash",	//949
    "silNamespace",	//950
    "size",	//951
    "someValuesFrom",	//952
    "sourceCreated",	//953
    "sourceModified",	//954
    "sourceStatement",	//955
    "standardRuleSet",	//956
    "standardRuleSet$",	//957
    "start",	//958
    "start$",	//959
    "startTransaction",	//960
    "statementAdded",	//961
    "statementAdded#",	//962
    "statementCount",	//963
    "statementCountAsync",	//964
    "statementIterator",	//965
    "statementRemoved",	//966
    "statementRemoved#",	//967
    "statementsAdded",	//968
    "statementsRemoved",	//969
    "staticMetaObject",	//970
    "status",	//971
    "storageSize",	//972
    "string",	//973
    "subClassOf",	//974
    "subClassOf#",	//975
    "subClassOf##",	//976
    "subGraphOf",	//977
    "subPropertyOf",	//978
    "subPropertyOf#",	//979
    "subPropertyOf##",	//980
    "subject",	//981
    "subjectPattern",	//982
    "summary",	//983
    "superGraphOf",	//984
    "supercedes",	//985
    "supportedFeatures",	//986
    "supportedSerializations",	//987
    "supportedUserFeatures",	//988
    "supportedUserSerializations",	//989
    "supportsFeatures",	//990
    "supportsFeatures$",	//991
    "supportsFeatures$?",	//992
    "supportsSerialization",	//993
    "supportsSerialization$",	//994
    "supportsSerialization$$",	//995
    "targetQuality",	//996
    "time",	//997
    "timerEvent",	//998
    "timerEvent#",	//999
    "title",	//1000
    "to",	//1001
    "toBool",	//1002
    "toByteArray",	//1003
    "toDate",	//1004
    "toDateTime",	//1005
    "toDouble",	//1006
    "toInt",	//1007
    "toInt64",	//1008
    "toN3",	//1009
    "toParserError",	//1010
    "toString",	//1011
    "toTime",	//1012
    "toUnsignedInt",	//1013
    "toUnsignedInt64",	//1014
    "totalSpace",	//1015
    "totalUncompressedSize",	//1016
    "trackGain",	//1017
    "trackNumber",	//1018
    "trackPeakGain",	//1019
    "transactionCacheSize",	//1020
    "type",	//1021
    "type##",	//1022
    "typeFromDataTypeUri",	//1023
    "typeFromDataTypeUri#",	//1024
    "unionOf",	//1025
    "unregisterIterator",	//1026
    "unregisterModel",	//1027
    "unsignedInt",	//1028
    "unsignedLong",	//1029
    "unsignedShort",	//1030
    "updatable",	//1031
    "uri",	//1032
    "url",	//1033
    "useCount",	//1034
    "usedBackend",	//1035
    "userComment",	//1036
    "userKeyword",	//1037
    "userOptionName",	//1038
    "userRating",	//1039
    "usesNamespace",	//1040
    "value",	//1041
    "value$",	//1042
    "valueInSettings",	//1043
    "valueInSettings?$",	//1044
    "valueInSettings?$$",	//1045
    "variableName",	//1046
    "variant",	//1047
    "version",	//1048
    "versionInfo",	//1049
    "versionMajor",	//1050
    "versionMinor",	//1051
    "versionRelease",	//1052
    "versionString",	//1053
    "verticalResolution",	//1054
    "videoBitrate",	//1055
    "videoCodec",	//1056
    "videoCodecType",	//1057
    "viewOn",	//1058
    "whiteBalance",	//1059
    "width",	//1060
    "wordCount",	//1061
    "workEmailAddress",	//1062
    "workPhoneNumber",	//1063
    "workPostalAddress",	//1064
    "write",	//1065
    "write#",	//1066
    "xesam35mmEquivalent",	//1067
    "xesamNamespace",	//1068
    "xsdDouble",	//1069
    "xsdFloat",	//1070
    "xsdInt",	//1071
    "xsdLong",	//1072
    "xsdNamespace",	//1073
    "xsdShort",	//1074
    "~AsyncModel",	//1075
    "~AsyncResult",	//1076
    "~Backend",	//1077
    "~BackendSetting",	//1078
    "~BindingSet",	//1079
    "~CLuceneIndex",	//1080
    "~DBusClient",	//1081
    "~DBusExportIterator",	//1082
    "~DBusExportModel",	//1083
    "~DBusModel",	//1084
    "~DBusNodeIterator",	//1085
    "~DBusQueryResultIterator",	//1086
    "~DBusStatementIterator",	//1087
    "~Error",	//1088
    "~FilterModel",	//1089
    "~IndexFilterModel",	//1090
    "~InferenceModel",	//1091
    "~LiteralValue",	//1092
    "~Locator",	//1093
    "~Model",	//1094
    "~MutexModel",	//1095
    "~Node",	//1096
    "~NodeIterator",	//1097
    "~NodePattern",	//1098
    "~Parser",	//1099
    "~ParserError",	//1100
    "~Plugin",	//1101
    "~PluginManager",	//1102
    "~QueryHit",	//1103
    "~QueryResultIterator",	//1104
    "~RdfSchemaModel",	//1105
    "~ReadOnlyModel",	//1106
    "~Rule",	//1107
    "~RuleParser",	//1108
    "~RuleSet",	//1109
    "~Serializer",	//1110
    "~ServerCore",	//1111
    "~SignalCacheModel",	//1112
    "~SimpleNodeIterator",	//1113
    "~SparqlModel",	//1114
    "~Statement",	//1115
    "~StatementIterator",	//1116
    "~StatementPattern",	//1117
    "~StorageModel",	//1118
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method soprano_methods[] = {
	{7, 716, 0, 0, Smoke::mf_const, 284, 2},	//0 QObject::metaObject() const
	{7, 804, 311, 3, 0, 316, 3},	//1 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{7, 521, 302, 1, 0, 273, 6},	//2 QObject::event(QEvent*)
	{7, 523, 317, 2, 0, 273, 7},	//3 QObject::eventFilter(QObject*, QEvent*)
	{7, 998, 14, 1, Smoke::mf_protected, 0, 49},	//4 QObject::timerEvent(QTimerEvent*)
	{7, 368, 12, 1, Smoke::mf_protected, 0, 50},	//5 QObject::childEvent(QChildEvent*)
	{7, 450, 302, 1, Smoke::mf_protected, 0, 51},	//6 QObject::customEvent(QEvent*)
	{7, 390, 272, 1, Smoke::mf_protected, 0, 52},	//7 QObject::connectNotify(const char*)
	{7, 482, 272, 1, Smoke::mf_protected, 0, 53},	//8 QObject::disconnectNotify(const char*)
	{13, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 1},	//9 Soprano::SerializationUnknown (enum)
	{13, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 2},	//10 Soprano::SerializationRdfXml (enum)
	{13, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 3},	//11 Soprano::SerializationN3 (enum)
	{13, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 4},	//12 Soprano::SerializationNTriples (enum)
	{13, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 5},	//13 Soprano::SerializationTurtle (enum)
	{13, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 6},	//14 Soprano::SerializationTrig (enum)
	{13, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 7},	//15 Soprano::SerializationNQuads (enum)
	{13, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 8},	//16 Soprano::SerializationUser (enum)
	{13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 9},	//17 Soprano::BackendOptionNone (enum)
	{13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 10},	//18 Soprano::BackendOptionStorageMemory (enum)
	{13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 11},	//19 Soprano::BackendOptionEnableInference (enum)
	{13, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 12},	//20 Soprano::BackendOptionStorageDir (enum)
	{13, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 13},	//21 Soprano::BackendOptionUser (enum)
	{13, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 14},	//22 Soprano::BackendFeatureNone (enum)
	{13, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 15},	//23 Soprano::BackendFeatureAddStatement (enum)
	{13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 16},	//24 Soprano::BackendFeatureRemoveStatements (enum)
	{13, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 17},	//25 Soprano::BackendFeatureListStatements (enum)
	{13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 18},	//26 Soprano::BackendFeatureQuery (enum)
	{13, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 19},	//27 Soprano::BackendFeatureInference (enum)
	{13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 20},	//28 Soprano::BackendFeatureInferenceOptional (enum)
	{13, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 21},	//29 Soprano::BackendFeatureContext (enum)
	{13, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 22},	//30 Soprano::BackendFeatureStorageMemory (enum)
	{13, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 23},	//31 Soprano::BackendFeatureUser (enum)
	{13, 881, 60, 2, Smoke::mf_static, 102, 24},	//32 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
	{13, 881, 58, 1, Smoke::mf_static, 102, 25},	//33 Soprano::serializationMimeType(Soprano::RdfSerialization)
	{13, 719, 115, 1, Smoke::mf_static, 250, 26},	//34 Soprano::mimeTypeToSerialization(const QString&)
	{13, 630, 103, 3, Smoke::mf_static, 273, 27},	//35 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
	{13, 630, 100, 2, Smoke::mf_static, 273, 28},	//36 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
	{13, 946, 307, 3, Smoke::mf_static, 188, 29},	//37 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
	{13, 946, 304, 2, Smoke::mf_static, 188, 30},	//38 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
	{13, 1043, 103, 3, Smoke::mf_static, 149, 31},	//39 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
	{13, 1043, 100, 2, Smoke::mf_static, 149, 32},	//40 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
	{13, 1050, 0, 0, Smoke::mf_static, 322, 33},	//41 Soprano::versionMajor()
	{13, 1051, 0, 0, Smoke::mf_static, 322, 34},	//42 Soprano::versionMinor()
	{13, 1052, 0, 0, Smoke::mf_static, 322, 35},	//43 Soprano::versionRelease()
	{13, 1053, 0, 0, Smoke::mf_static, 313, 36},	//44 Soprano::versionString()
	{13, 487, 115, 1, Smoke::mf_static, 291, 37},	//45 Soprano::discoverBackendByName(const QString&)
	{13, 484, 20, 2, Smoke::mf_static, 291, 38},	//46 Soprano::discoverBackendByFeatures(Soprano::BackendFeatures, const QStringList&)
	{13, 484, 18, 1, Smoke::mf_static, 291, 39},	//47 Soprano::discoverBackendByFeatures(Soprano::BackendFeatures)
	{13, 939, 203, 1, Smoke::mf_static, 0, 40},	//48 Soprano::setUsedBackend(const Soprano::Backend*)
	{13, 1035, 0, 0, Smoke::mf_static, 291, 41},	//49 Soprano::usedBackend()
	{13, 433, 98, 1, Smoke::mf_static, 231, 42},	//50 Soprano::createModel(const QList<Soprano::BackendSetting>&)
	{13, 433, 0, 0, Smoke::mf_static, 231, 43},	//51 Soprano::createModel()
	{14, 12, 115, 1, Smoke::mf_ctor, 181, 1},	//52 Soprano::Backend::Backend(const QString&)
	{14, 1077, 0, 0, Smoke::mf_dtor, 0, 8},	//53 Soprano::Backend::~Backend()
	{14, 433, 98, 1, Smoke::mf_const, 263, 2},	//54 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
	{14, 433, 0, 0, Smoke::mf_const, 263, -1},	//55 Soprano::Backend::createModel() const [pure virtual]
	{14, 464, 98, 1, Smoke::mf_const, 273, 3},	//56 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
	{14, 986, 0, 0, Smoke::mf_const, 183, 4},	//57 Soprano::Backend::supportedFeatures() const [pure virtual]
	{14, 988, 0, 0, Smoke::mf_const, 106, 5},	//58 Soprano::Backend::supportedUserFeatures() const
	{14, 990, 20, 2, Smoke::mf_const, 273, 6},	//59 Soprano::Backend::supportsFeatures(Soprano::BackendFeatures, const QStringList&) const
	{14, 990, 18, 1, Smoke::mf_const, 273, 7},	//60 Soprano::Backend::supportsFeatures(Soprano::BackendFeatures) const
	{15, 29, 0, 0, Smoke::mf_ctor, 189, 1},	//61 Soprano::BackendSetting::BackendSetting()
	{15, 29, 23, 1, Smoke::mf_ctor, 189, 2},	//62 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
	{15, 29, 25, 2, Smoke::mf_ctor, 189, 3},	//63 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
	{15, 29, 170, 2, Smoke::mf_ctor, 189, 4},	//64 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
	{15, 29, 205, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 189, 5},	//65 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
	{15, 1078, 0, 0, Smoke::mf_dtor, 0, 11},	//66 Soprano::BackendSetting::~BackendSetting()
	{15, 748, 205, 1, 0, 188, 6},	//67 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
	{15, 758, 0, 0, Smoke::mf_const, 185, 7},	//68 Soprano::BackendSetting::option() const
	{15, 1038, 0, 0, Smoke::mf_const, 102, 8},	//69 Soprano::BackendSetting::userOptionName() const
	{15, 1041, 0, 0, Smoke::mf_const, 149, 9},	//70 Soprano::BackendSetting::value() const
	{15, 944, 201, 1, 0, 0, 10},	//71 Soprano::BackendSetting::setValue(const QVariant&)
	{16, 34, 0, 0, Smoke::mf_ctor, 192, 1},	//72 Soprano::BindingSet::BindingSet()
	{16, 34, 207, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 192, 2},	//73 Soprano::BindingSet::BindingSet(const Soprano::BindingSet&)
	{16, 1079, 0, 0, Smoke::mf_dtor, 0, 12},	//74 Soprano::BindingSet::~BindingSet()
	{16, 748, 207, 1, 0, 191, 3},	//75 Soprano::BindingSet::operator=(const Soprano::BindingSet&)
	{16, 349, 0, 0, Smoke::mf_const, 106, 4},	//76 Soprano::BindingSet::bindingNames() const
	{16, 754, 276, 1, Smoke::mf_const, 232, 5},	//77 Soprano::BindingSet::operator[](int) const
	{16, 754, 113, 1, Smoke::mf_const, 232, 6},	//78 Soprano::BindingSet::operator[](const QString) const
	{16, 1041, 276, 1, Smoke::mf_const, 232, 7},	//79 Soprano::BindingSet::value(int) const
	{16, 1041, 115, 1, Smoke::mf_const, 232, 8},	//80 Soprano::BindingSet::value(const QString&) const
	{16, 395, 115, 1, Smoke::mf_const, 273, 9},	//81 Soprano::BindingSet::contains(const QString&) const
	{16, 426, 0, 0, Smoke::mf_const, 316, 10},	//82 Soprano::BindingSet::count() const
	{16, 592, 176, 2, 0, 0, 11},	//83 Soprano::BindingSet::insert(const QString&, const Soprano::Node&)
	{18, 716, 0, 0, Smoke::mf_const, 284, 2},	//84 Soprano::Client::DBusClient::metaObject() const
	{18, 804, 311, 3, 0, 316, 3},	//85 Soprano::Client::DBusClient::qt_metacall(QMetaObject::Call, int, void**)
	{18, 49, 194, 2, Smoke::mf_ctor, 193, 4},	//86 Soprano::Client::DBusClient::DBusClient(const QString&, QObject*)
	{18, 49, 115, 1, Smoke::mf_ctor, 193, 5},	//87 Soprano::Client::DBusClient::DBusClient(const QString&)
	{18, 49, 0, 0, Smoke::mf_ctor, 193, 6},	//88 Soprano::Client::DBusClient::DBusClient()
	{18, 1081, 0, 0, Smoke::mf_dtor, 0, 12},	//89 Soprano::Client::DBusClient::~DBusClient()
	{18, 653, 0, 0, Smoke::mf_const, 273, 7},	//90 Soprano::Client::DBusClient::isValid() const
	{18, 306, 0, 0, Smoke::mf_const, 106, 8},	//91 Soprano::Client::DBusClient::allModels() const
	{18, 433, 133, 2, 0, 194, 9},	//92 Soprano::Client::DBusClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
	{18, 433, 115, 1, 0, 194, 10},	//93 Soprano::Client::DBusClient::createModel(const QString&)
	{18, 843, 115, 1, 0, 0, 11},	//94 Soprano::Client::DBusClient::removeModel(const QString&)
	{18, 970, 0, 0, Smoke::mf_static, 283, 1},	//95 Soprano::Client::DBusClient::staticMetaObject (static var)
	{19, 716, 0, 0, Smoke::mf_const, 284, 2},	//96 Soprano::Client::DBusModel::metaObject() const
	{19, 804, 311, 3, 0, 316, 3},	//97 Soprano::Client::DBusModel::qt_metacall(QMetaObject::Call, int, void**)
	{19, 57, 154, 3, Smoke::mf_ctor, 194, 4},	//98 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&, const Soprano::Backend*)
	{19, 57, 136, 2, Smoke::mf_ctor, 194, 5},	//99 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&)
	{19, 1084, 0, 0, Smoke::mf_dtor, 0, 20},	//100 Soprano::Client::DBusModel::~DBusModel()
	{19, 888, 86, 1, 0, 0, 6},	//101 Soprano::Client::DBusModel::setAsyncCalls(bool)
	{19, 320, 0, 0, Smoke::mf_const, 273, 7},	//102 Soprano::Client::DBusModel::asyncCalls() const
	{19, 287, 266, 1, 0, 201, 8},	//103 Soprano::Client::DBusModel::addStatement(const Soprano::Statement&)
	{19, 681, 0, 0, Smoke::mf_const, 236, 9},	//104 Soprano::Client::DBusModel::listContexts() const
	{19, 525, 126, 3, Smoke::mf_const, 245, 10},	//105 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{19, 525, 123, 2, Smoke::mf_const, 245, 11},	//106 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{19, 683, 266, 1, Smoke::mf_const, 260, 12},	//107 Soprano::Client::DBusModel::listStatements(const Soprano::Statement&) const
	{19, 845, 266, 1, 0, 201, 13},	//108 Soprano::Client::DBusModel::removeStatement(const Soprano::Statement&)
	{19, 833, 266, 1, 0, 201, 14},	//109 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Statement&)
	{19, 963, 0, 0, Smoke::mf_const, 316, 15},	//110 Soprano::Client::DBusModel::statementCount() const
	{19, 620, 0, 0, Smoke::mf_const, 273, 16},	//111 Soprano::Client::DBusModel::isEmpty() const
	{19, 407, 266, 1, Smoke::mf_const, 273, 17},	//112 Soprano::Client::DBusModel::containsStatement(const Soprano::Statement&) const
	{19, 397, 266, 1, Smoke::mf_const, 273, 18},	//113 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Statement&) const
	{19, 427, 0, 0, 0, 232, 19},	//114 Soprano::Client::DBusModel::createBlankNode()
	{19, 970, 0, 0, Smoke::mf_static, 283, 1},	//115 Soprano::Client::DBusModel::staticMetaObject (static var)
	{20, 60, 136, 2, Smoke::mf_ctor, 195, 1},	//116 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const QString&, const QString&)
	{20, 1085, 0, 0, Smoke::mf_dtor, 0, 2},	//117 Soprano::Client::DBusNodeIterator::~DBusNodeIterator()
	{21, 62, 136, 2, Smoke::mf_ctor, 196, 1},	//118 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const QString&, const QString&)
	{21, 1086, 0, 0, Smoke::mf_dtor, 0, 2},	//119 Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator()
	{22, 64, 136, 2, Smoke::mf_ctor, 197, 1},	//120 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const QString&, const QString&)
	{22, 1087, 0, 0, Smoke::mf_dtor, 0, 2},	//121 Soprano::Client::DBusStatementIterator::~DBusStatementIterator()
	{23, 716, 0, 0, Smoke::mf_const, 284, 2},	//122 Soprano::Client::SparqlModel::metaObject() const
	{23, 804, 311, 3, 0, 316, 3},	//123 Soprano::Client::SparqlModel::qt_metacall(QMetaObject::Call, int, void**)
	{23, 247, 189, 4, Smoke::mf_ctor, 198, 4},	//124 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&, const QString&)
	{23, 247, 185, 3, Smoke::mf_ctor, 198, 5},	//125 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&)
	{23, 247, 182, 2, Smoke::mf_ctor, 198, 6},	//126 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short)
	{23, 247, 115, 1, Smoke::mf_ctor, 198, 7},	//127 Soprano::Client::SparqlModel::SparqlModel(const QString&)
	{23, 247, 0, 0, Smoke::mf_ctor, 198, 8},	//128 Soprano::Client::SparqlModel::SparqlModel()
	{23, 1114, 0, 0, Smoke::mf_dtor, 0, 30},	//129 Soprano::Client::SparqlModel::~SparqlModel()
	{23, 913, 182, 2, 0, 0, 9},	//130 Soprano::Client::SparqlModel::setHost(const QString&, unsigned short)
	{23, 913, 115, 1, 0, 0, 10},	//131 Soprano::Client::SparqlModel::setHost(const QString&)
	{23, 941, 136, 2, 0, 0, 11},	//132 Soprano::Client::SparqlModel::setUser(const QString&, const QString&)
	{23, 941, 115, 1, 0, 0, 12},	//133 Soprano::Client::SparqlModel::setUser(const QString&)
	{23, 928, 115, 1, 0, 0, 13},	//134 Soprano::Client::SparqlModel::setPath(const QString&)
	{23, 287, 266, 1, 0, 201, 14},	//135 Soprano::Client::SparqlModel::addStatement(const Soprano::Statement&)
	{23, 845, 266, 1, 0, 201, 15},	//136 Soprano::Client::SparqlModel::removeStatement(const Soprano::Statement&)
	{23, 833, 266, 1, 0, 201, 16},	//137 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Statement&)
	{23, 683, 266, 1, Smoke::mf_const, 260, 17},	//138 Soprano::Client::SparqlModel::listStatements(const Soprano::Statement&) const
	{23, 525, 126, 3, Smoke::mf_const, 245, 18},	//139 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{23, 525, 123, 2, Smoke::mf_const, 245, 19},	//140 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{23, 525, 115, 1, Smoke::mf_const, 245, 20},	//141 Soprano::Client::SparqlModel::executeQuery(const QString&) const
	{23, 529, 126, 3, Smoke::mf_const, 266, 21},	//142 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{23, 529, 123, 2, Smoke::mf_const, 266, 22},	//143 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
	{23, 529, 115, 1, Smoke::mf_const, 266, 23},	//144 Soprano::Client::SparqlModel::executeQueryAsync(const QString&) const
	{23, 681, 0, 0, Smoke::mf_const, 236, 24},	//145 Soprano::Client::SparqlModel::listContexts() const
	{23, 407, 266, 1, Smoke::mf_const, 273, 25},	//146 Soprano::Client::SparqlModel::containsStatement(const Soprano::Statement&) const
	{23, 397, 266, 1, Smoke::mf_const, 273, 26},	//147 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Statement&) const
	{23, 963, 0, 0, Smoke::mf_const, 316, 27},	//148 Soprano::Client::SparqlModel::statementCount() const
	{23, 620, 0, 0, Smoke::mf_const, 273, 28},	//149 Soprano::Client::SparqlModel::isEmpty() const
	{23, 427, 0, 0, 0, 232, 29},	//150 Soprano::Client::SparqlModel::createBlankNode()
	{23, 970, 0, 0, Smoke::mf_static, 283, 1},	//151 Soprano::Client::SparqlModel::staticMetaObject (static var)
	{24, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 1},	//152 Soprano::Error::ErrorNone (enum)
	{24, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 2},	//153 Soprano::Error::ErrorInvalidArgument (enum)
	{24, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 3},	//154 Soprano::Error::ErrorInvalidStatement (enum)
	{24, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 4},	//155 Soprano::Error::ErrorNotSupported (enum)
	{24, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 5},	//156 Soprano::Error::ErrorParsingFailed (enum)
	{24, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 6},	//157 Soprano::Error::ErrorPermissionDenied (enum)
	{24, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 7},	//158 Soprano::Error::ErrorUnknown (enum)
	{24, 519, 28, 1, Smoke::mf_static, 102, 8},	//159 Soprano::Error::errorMessage(Soprano::Error::ErrorCode)
	{24, 422, 276, 1, Smoke::mf_static, 201, 9},	//160 Soprano::Error::convertErrorCode(int)
	{25, 83, 0, 0, Smoke::mf_ctor, 200, 1},	//161 Soprano::Error::Error::Error()
	{25, 83, 179, 2, Smoke::mf_ctor, 200, 2},	//162 Soprano::Error::Error::Error(const QString&, int)
	{25, 83, 115, 1, Smoke::mf_ctor, 200, 3},	//163 Soprano::Error::Error::Error(const QString&)
	{25, 83, 209, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 200, 4},	//164 Soprano::Error::Error::Error(const Soprano::Error::Error&)
	{25, 1088, 0, 0, Smoke::mf_dtor, 0, 12},	//165 Soprano::Error::Error::~Error()
	{25, 748, 209, 1, 0, 199, 5},	//166 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
	{25, 745, 0, 0, Smoke::mf_const, 0, 6},	//167 Soprano::Error::Error::operator bool() const
	{25, 715, 0, 0, Smoke::mf_const, 102, 7},	//168 Soprano::Error::Error::message() const
	{25, 376, 0, 0, Smoke::mf_const, 316, 8},	//169 Soprano::Error::Error::code() const
	{25, 633, 0, 0, Smoke::mf_const, 273, 9},	//170 Soprano::Error::Error::isParserError() const
	{25, 1010, 0, 0, Smoke::mf_const, 206, 10},	//171 Soprano::Error::Error::toParserError() const
	{25, 83, 30, 1, Smoke::mf_ctor|Smoke::mf_protected, 200, 11},	//172 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
	{26, 129, 0, 0, Smoke::mf_ctor, 205, 1},	//173 Soprano::Error::Locator::Locator()
	{26, 129, 285, 4, Smoke::mf_ctor, 205, 2},	//174 Soprano::Error::Locator::Locator(int, int, int, const QString&)
	{26, 129, 281, 3, Smoke::mf_ctor, 205, 3},	//175 Soprano::Error::Locator::Locator(int, int, int)
	{26, 129, 278, 2, Smoke::mf_ctor, 205, 4},	//176 Soprano::Error::Locator::Locator(int, int)
	{26, 129, 211, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 205, 5},	//177 Soprano::Error::Locator::Locator(const Soprano::Error::Locator&)
	{26, 1093, 0, 0, Smoke::mf_dtor, 0, 15},	//178 Soprano::Error::Locator::~Locator()
	{26, 748, 211, 1, 0, 204, 6},	//179 Soprano::Error::Locator::operator=(const Soprano::Error::Locator&)
	{26, 678, 0, 0, Smoke::mf_const, 316, 7},	//180 Soprano::Error::Locator::line() const
	{26, 379, 0, 0, Smoke::mf_const, 316, 8},	//181 Soprano::Error::Locator::column() const
	{26, 355, 0, 0, Smoke::mf_const, 316, 9},	//182 Soprano::Error::Locator::byte() const
	{26, 540, 0, 0, Smoke::mf_const, 102, 10},	//183 Soprano::Error::Locator::fileName() const
	{26, 918, 276, 1, 0, 0, 11},	//184 Soprano::Error::Locator::setLine(int)
	{26, 898, 276, 1, 0, 0, 12},	//185 Soprano::Error::Locator::setColumn(int)
	{26, 894, 276, 1, 0, 0, 13},	//186 Soprano::Error::Locator::setByte(int)
	{26, 909, 115, 1, 0, 0, 14},	//187 Soprano::Error::Locator::setFileName(const QString&)
	{27, 167, 0, 0, Smoke::mf_ctor, 208, 1},	//188 Soprano::Error::ParserError::ParserError()
	{27, 167, 216, 3, Smoke::mf_ctor, 208, 2},	//189 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
	{27, 167, 213, 2, Smoke::mf_ctor, 208, 3},	//190 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
	{27, 167, 211, 1, Smoke::mf_ctor, 208, 4},	//191 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
	{27, 167, 209, 1, Smoke::mf_ctor, 208, 5},	//192 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
	{27, 1100, 0, 0, Smoke::mf_dtor, 0, 9},	//193 Soprano::Error::ParserError::~ParserError()
	{27, 748, 209, 1, 0, 207, 6},	//194 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
	{27, 697, 0, 0, Smoke::mf_const, 203, 7},	//195 Soprano::Error::ParserError::locator() const
	{27, 167, 220, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 208, 8},	//196 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
	{28, 716, 0, 0, Smoke::mf_const, 284, 2},	//197 Soprano::FilterModel::metaObject() const
	{28, 804, 311, 3, 0, 316, 3},	//198 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
	{28, 1089, 0, 0, Smoke::mf_dtor, 0, 37},	//199 Soprano::FilterModel::~FilterModel()
	{28, 926, 39, 1, 0, 0, 4},	//200 Soprano::FilterModel::setParentModel(Soprano::Model*)
	{28, 767, 0, 0, Smoke::mf_const, 231, 5},	//201 Soprano::FilterModel::parentModel() const
	{28, 287, 266, 1, 0, 201, 6},	//202 Soprano::FilterModel::addStatement(const Soprano::Statement&)
	{28, 287, 252, 4, 0, 201, 7},	//203 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{28, 287, 248, 3, 0, 201, 8},	//204 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{28, 845, 266, 1, 0, 201, 9},	//205 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
	{28, 845, 252, 4, 0, 201, 10},	//206 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{28, 845, 248, 3, 0, 201, 11},	//207 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{28, 833, 266, 1, 0, 201, 12},	//208 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
	{28, 833, 252, 4, 0, 201, 13},	//209 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{28, 833, 248, 3, 0, 201, 14},	//210 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{28, 683, 266, 1, Smoke::mf_const, 260, 15},	//211 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
	{28, 683, 252, 4, Smoke::mf_const, 260, 16},	//212 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{28, 683, 248, 3, Smoke::mf_const, 260, 17},	//213 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{28, 681, 0, 0, Smoke::mf_const, 236, 18},	//214 Soprano::FilterModel::listContexts() const
	{28, 525, 126, 3, Smoke::mf_const, 245, 19},	//215 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{28, 525, 123, 2, Smoke::mf_const, 245, 20},	//216 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{28, 407, 266, 1, Smoke::mf_const, 273, 21},	//217 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
	{28, 407, 252, 4, Smoke::mf_const, 273, 22},	//218 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{28, 407, 248, 3, Smoke::mf_const, 273, 23},	//219 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{28, 397, 266, 1, Smoke::mf_const, 273, 24},	//220 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
	{28, 397, 252, 4, Smoke::mf_const, 273, 25},	//221 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{28, 397, 248, 3, Smoke::mf_const, 273, 26},	//222 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{28, 620, 0, 0, Smoke::mf_const, 273, 27},	//223 Soprano::FilterModel::isEmpty() const
	{28, 963, 0, 0, Smoke::mf_const, 316, 28},	//224 Soprano::FilterModel::statementCount() const
	{28, 1065, 1, 1, Smoke::mf_const, 201, 29},	//225 Soprano::FilterModel::write(QTextStream&) const
	{28, 427, 0, 0, 0, 232, 30},	//226 Soprano::FilterModel::createBlankNode()
	{28, 970, 0, 0, Smoke::mf_static, 283, 1},	//227 Soprano::FilterModel::staticMetaObject (static var)
	{28, 99, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 209, 31},	//228 Soprano::FilterModel::FilterModel()
	{28, 99, 39, 1, Smoke::mf_ctor|Smoke::mf_protected, 209, 32},	//229 Soprano::FilterModel::FilterModel(Soprano::Model*)
	{28, 772, 0, 0, Smoke::mf_protected, 0, 33},	//230 Soprano::FilterModel::parentStatementsAdded()
	{28, 773, 0, 0, Smoke::mf_protected, 0, 34},	//231 Soprano::FilterModel::parentStatementsRemoved()
	{28, 768, 266, 1, Smoke::mf_protected, 0, 35},	//232 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
	{28, 770, 266, 1, Smoke::mf_protected, 0, 36},	//233 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
	{30, 39, 290, 1, Smoke::mf_ctor, 210, 1},	//234 Soprano::Index::CLuceneIndex::CLuceneIndex(lucene::analysis::Analyzer*)
	{30, 39, 0, 0, Smoke::mf_ctor, 210, 2},	//235 Soprano::Index::CLuceneIndex::CLuceneIndex()
	{30, 1080, 0, 0, Smoke::mf_dtor, 0, 18},	//236 Soprano::Index::CLuceneIndex::~CLuceneIndex()
	{30, 742, 130, 2, 0, 273, 3},	//237 Soprano::Index::CLuceneIndex::open(const QString&, bool)
	{30, 742, 115, 1, 0, 273, 4},	//238 Soprano::Index::CLuceneIndex::open(const QString&)
	{30, 373, 0, 0, 0, 0, 5},	//239 Soprano::Index::CLuceneIndex::close()
	{30, 629, 0, 0, Smoke::mf_const, 273, 6},	//240 Soprano::Index::CLuceneIndex::isOpen() const
	{30, 859, 0, 0, Smoke::mf_const, 316, 7},	//241 Soprano::Index::CLuceneIndex::resourceCount() const
	{30, 960, 0, 0, 0, 316, 8},	//242 Soprano::Index::CLuceneIndex::startTransaction()
	{30, 374, 276, 1, 0, 273, 9},	//243 Soprano::Index::CLuceneIndex::closeTransaction(int)
	{30, 287, 266, 1, 0, 201, 10},	//244 Soprano::Index::CLuceneIndex::addStatement(const Soprano::Statement&)
	{30, 845, 266, 1, 0, 201, 11},	//245 Soprano::Index::CLuceneIndex::removeStatement(const Soprano::Statement&)
	{30, 502, 243, 1, 0, 318, 12},	//246 Soprano::Index::CLuceneIndex::documentForResource(const Soprano::Node&)
	{30, 506, 1, 1, Smoke::mf_const, 0, 13},	//247 Soprano::Index::CLuceneIndex::dump(QTextStream&) const
	{30, 371, 0, 0, 0, 0, 14},	//248 Soprano::Index::CLuceneIndex::clear()
	{30, 756, 0, 0, 0, 0, 15},	//249 Soprano::Index::CLuceneIndex::optimize()
	{30, 560, 292, 1, Smoke::mf_static, 232, 16},	//250 Soprano::Index::CLuceneIndex::getResource(lucene::document::Document*)
	{30, 460, 0, 0, Smoke::mf_static, 102, 17},	//251 Soprano::Index::CLuceneIndex::defaultSearchField()
	{31, 110, 120, 2, Smoke::mf_ctor, 211, 1},	//252 Soprano::Index::IndexFilterModel::IndexFilterModel(const QString&, Soprano::Model*)
	{31, 110, 115, 1, Smoke::mf_ctor, 211, 2},	//253 Soprano::Index::IndexFilterModel::IndexFilterModel(const QString&)
	{31, 110, 34, 2, Smoke::mf_ctor, 211, 3},	//254 Soprano::Index::IndexFilterModel::IndexFilterModel(Soprano::Index::CLuceneIndex*, Soprano::Model*)
	{31, 110, 32, 1, Smoke::mf_ctor, 211, 4},	//255 Soprano::Index::IndexFilterModel::IndexFilterModel(Soprano::Index::CLuceneIndex*)
	{31, 1090, 0, 0, Smoke::mf_dtor, 0, 23},	//256 Soprano::Index::IndexFilterModel::~IndexFilterModel()
	{31, 590, 0, 0, Smoke::mf_const, 210, 5},	//257 Soprano::Index::IndexFilterModel::index() const
	{31, 287, 266, 1, 0, 201, 6},	//258 Soprano::Index::IndexFilterModel::addStatement(const Soprano::Statement&)
	{31, 845, 266, 1, 0, 201, 7},	//259 Soprano::Index::IndexFilterModel::removeStatement(const Soprano::Statement&)
	{31, 833, 266, 1, 0, 201, 8},	//260 Soprano::Index::IndexFilterModel::removeAllStatements(const Soprano::Statement&)
	{31, 525, 126, 3, Smoke::mf_const, 245, 9},	//261 Soprano::Index::IndexFilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{31, 525, 123, 2, Smoke::mf_const, 245, 10},	//262 Soprano::Index::IndexFilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{31, 937, 276, 1, 0, 0, 11},	//263 Soprano::Index::IndexFilterModel::setTransactionCacheSize(int)
	{31, 1020, 0, 0, Smoke::mf_const, 316, 12},	//264 Soprano::Index::IndexFilterModel::transactionCacheSize() const
	{31, 818, 0, 0, 0, 0, 13},	//265 Soprano::Index::IndexFilterModel::rebuildIndex()
	{31, 757, 0, 0, 0, 0, 14},	//266 Soprano::Index::IndexFilterModel::optimizeIndex()
	{31, 281, 199, 1, 0, 0, 15},	//267 Soprano::Index::IndexFilterModel::addIndexOnlyPredicate(const QUrl&)
	{31, 916, 96, 1, 0, 0, 16},	//268 Soprano::Index::IndexFilterModel::setIndexOnlyPredicates(const QList<QUrl>&)
	{31, 591, 0, 0, Smoke::mf_const, 64, 17},	//269 Soprano::Index::IndexFilterModel::indexOnlyPredicates() const
	{31, 279, 199, 1, 0, 0, 18},	//270 Soprano::Index::IndexFilterModel::addForceIndexPredicate(const QUrl&)
	{31, 911, 96, 1, 0, 0, 19},	//271 Soprano::Index::IndexFilterModel::setForceIndexPredicates(const QList<QUrl>&)
	{31, 548, 0, 0, Smoke::mf_const, 64, 20},	//272 Soprano::Index::IndexFilterModel::forceIndexPredicates() const
	{31, 510, 115, 1, Smoke::mf_static, 102, 21},	//273 Soprano::Index::IndexFilterModel::encodeStringForLuceneQuery(const QString&)
	{31, 512, 199, 1, Smoke::mf_static, 102, 22},	//274 Soprano::Index::IndexFilterModel::encodeUriForLuceneQuery(const QUrl&)
	{32, 187, 0, 0, Smoke::mf_ctor, 213, 1},	//275 Soprano::Index::QueryHit::QueryHit()
	{32, 187, 222, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 213, 2},	//276 Soprano::Index::QueryHit::QueryHit(const Soprano::Index::QueryHit&)
	{32, 187, 257, 2, Smoke::mf_ctor, 213, 3},	//277 Soprano::Index::QueryHit::QueryHit(const Soprano::Node&, double)
	{32, 1103, 0, 0, Smoke::mf_dtor, 0, 7},	//278 Soprano::Index::QueryHit::~QueryHit()
	{32, 748, 222, 1, 0, 212, 4},	//279 Soprano::Index::QueryHit::operator=(const Soprano::Index::QueryHit&)
	{32, 874, 0, 0, Smoke::mf_const, 315, 5},	//280 Soprano::Index::QueryHit::score() const
	{32, 858, 0, 0, Smoke::mf_const, 232, 6},	//281 Soprano::Index::QueryHit::resource() const
	{33, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 1},	//282 Soprano::Inference::RDFS (enum)
	{33, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 2},	//283 Soprano::Inference::NRL (enum)
	{34, 716, 0, 0, Smoke::mf_const, 284, 2},	//284 Soprano::Inference::InferenceModel::metaObject() const
	{34, 804, 311, 3, 0, 316, 3},	//285 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
	{34, 117, 39, 1, Smoke::mf_ctor, 214, 4},	//286 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
	{34, 1091, 0, 0, Smoke::mf_dtor, 0, 14},	//287 Soprano::Inference::InferenceModel::~InferenceModel()
	{34, 287, 266, 1, 0, 201, 5},	//288 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
	{34, 845, 266, 1, 0, 201, 6},	//289 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
	{34, 833, 266, 1, 0, 201, 7},	//290 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
	{34, 285, 230, 1, 0, 0, 8},	//291 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
	{34, 933, 107, 1, 0, 0, 9},	//292 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
	{34, 784, 0, 0, 0, 0, 10},	//293 Soprano::Inference::InferenceModel::performInference()
	{34, 372, 0, 0, 0, 0, 11},	//294 Soprano::Inference::InferenceModel::clearInference()
	{34, 900, 86, 1, 0, 0, 12},	//295 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
	{34, 924, 86, 1, 0, 0, 13},	//296 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
	{34, 970, 0, 0, Smoke::mf_static, 283, 1},	//297 Soprano::Inference::InferenceModel::staticMetaObject (static var)
	{35, 155, 0, 0, Smoke::mf_ctor, 217, 1},	//298 Soprano::Inference::NodePattern::NodePattern()
	{35, 155, 243, 1, Smoke::mf_ctor, 217, 2},	//299 Soprano::Inference::NodePattern::NodePattern(const Soprano::Node&)
	{35, 155, 115, 1, Smoke::mf_ctor, 217, 3},	//300 Soprano::Inference::NodePattern::NodePattern(const QString&)
	{35, 155, 224, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 217, 4},	//301 Soprano::Inference::NodePattern::NodePattern(const Soprano::Inference::NodePattern&)
	{35, 1098, 0, 0, Smoke::mf_dtor, 0, 11},	//302 Soprano::Inference::NodePattern::~NodePattern()
	{35, 748, 224, 1, 0, 216, 5},	//303 Soprano::Inference::NodePattern::operator=(const Soprano::Inference::NodePattern&)
	{35, 654, 0, 0, Smoke::mf_const, 273, 6},	//304 Soprano::Inference::NodePattern::isVariable() const
	{35, 858, 0, 0, Smoke::mf_const, 232, 7},	//305 Soprano::Inference::NodePattern::resource() const
	{35, 1046, 0, 0, Smoke::mf_const, 102, 8},	//306 Soprano::Inference::NodePattern::variableName() const
	{35, 703, 243, 1, Smoke::mf_const, 273, 9},	//307 Soprano::Inference::NodePattern::match(const Soprano::Node&) const
	{35, 442, 207, 1, Smoke::mf_const, 102, 10},	//308 Soprano::Inference::NodePattern::createSparqlNodePattern(const Soprano::BindingSet&) const
	{36, 216, 0, 0, Smoke::mf_ctor, 220, 1},	//309 Soprano::Inference::Rule::Rule()
	{36, 216, 230, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 220, 2},	//310 Soprano::Inference::Rule::Rule(const Soprano::Inference::Rule&)
	{36, 1107, 0, 0, Smoke::mf_dtor, 0, 15},	//311 Soprano::Inference::Rule::~Rule()
	{36, 748, 230, 1, 0, 219, 3},	//312 Soprano::Inference::Rule::operator=(const Soprano::Inference::Rule&)
	{36, 795, 0, 0, Smoke::mf_const, 68, 4},	//313 Soprano::Inference::Rule::preconditions() const
	{36, 283, 236, 1, 0, 0, 5},	//314 Soprano::Inference::Rule::addPrecondition(const Soprano::Inference::StatementPattern&)
	{36, 508, 0, 0, Smoke::mf_const, 226, 6},	//315 Soprano::Inference::Rule::effect() const
	{36, 907, 236, 1, 0, 0, 7},	//316 Soprano::Inference::Rule::setEffect(const Soprano::Inference::StatementPattern&)
	{36, 703, 266, 1, Smoke::mf_const, 273, 8},	//317 Soprano::Inference::Rule::match(const Soprano::Statement&) const
	{36, 344, 266, 1, 0, 0, 9},	//318 Soprano::Inference::Rule::bindToStatement(const Soprano::Statement&)
	{36, 354, 0, 0, Smoke::mf_const, 257, 10},	//319 Soprano::Inference::Rule::boundToStatement() const
	{36, 444, 86, 1, Smoke::mf_const, 102, 11},	//320 Soprano::Inference::Rule::createSparqlQuery(bool) const
	{36, 444, 0, 0, Smoke::mf_const, 102, 12},	//321 Soprano::Inference::Rule::createSparqlQuery() const
	{36, 340, 207, 1, Smoke::mf_const, 257, 13},	//322 Soprano::Inference::Rule::bindEffect(const Soprano::BindingSet&) const
	{36, 342, 207, 1, Smoke::mf_const, 70, 14},	//323 Soprano::Inference::Rule::bindPreconditions(const Soprano::BindingSet&) const
	{37, 218, 0, 0, Smoke::mf_ctor, 221, 1},	//324 Soprano::Inference::RuleParser::RuleParser()
	{37, 1108, 0, 0, Smoke::mf_dtor, 0, 5},	//325 Soprano::Inference::RuleParser::~RuleParser()
	{37, 774, 115, 1, 0, 273, 2},	//326 Soprano::Inference::RuleParser::parseFile(const QString&)
	{37, 869, 0, 0, Smoke::mf_const, 222, 3},	//327 Soprano::Inference::RuleParser::rules() const
	{37, 218, 232, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 221, 4},	//328 Soprano::Inference::RuleParser::RuleParser(const Soprano::Inference::RuleParser&)
	{38, 220, 0, 0, Smoke::mf_ctor, 224, 1},	//329 Soprano::Inference::RuleSet::RuleSet()
	{38, 220, 234, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 224, 2},	//330 Soprano::Inference::RuleSet::RuleSet(const Soprano::Inference::RuleSet&)
	{38, 1109, 0, 0, Smoke::mf_dtor, 0, 14},	//331 Soprano::Inference::RuleSet::~RuleSet()
	{38, 748, 234, 1, 0, 223, 3},	//332 Soprano::Inference::RuleSet::operator=(const Soprano::Inference::RuleSet&)
	{38, 371, 0, 0, 0, 0, 4},	//333 Soprano::Inference::RuleSet::clear()
	{38, 592, 173, 2, 0, 0, 5},	//334 Soprano::Inference::RuleSet::insert(const QString&, const Soprano::Inference::Rule&)
	{38, 426, 0, 0, Smoke::mf_const, 316, 6},	//335 Soprano::Inference::RuleSet::count() const
	{38, 321, 276, 1, Smoke::mf_const, 218, 7},	//336 Soprano::Inference::RuleSet::at(int) const
	{38, 754, 276, 1, Smoke::mf_const, 218, 8},	//337 Soprano::Inference::RuleSet::operator[](int) const
	{38, 865, 115, 1, Smoke::mf_const, 218, 9},	//338 Soprano::Inference::RuleSet::rule(const QString&) const
	{38, 754, 115, 1, Smoke::mf_const, 218, 10},	//339 Soprano::Inference::RuleSet::operator[](const QString&) const
	{38, 868, 0, 0, Smoke::mf_const, 106, 11},	//340 Soprano::Inference::RuleSet::ruleNames() const
	{38, 309, 0, 0, Smoke::mf_const, 67, 12},	//341 Soprano::Inference::RuleSet::allRules() const
	{38, 956, 37, 1, Smoke::mf_static, 222, 13},	//342 Soprano::Inference::RuleSet::standardRuleSet(Soprano::Inference::StandardRuleSet)
	{39, 259, 0, 0, Smoke::mf_ctor, 227, 1},	//343 Soprano::Inference::StatementPattern::StatementPattern()
	{39, 259, 226, 3, Smoke::mf_ctor, 227, 2},	//344 Soprano::Inference::StatementPattern::StatementPattern(const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&)
	{39, 259, 236, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 227, 3},	//345 Soprano::Inference::StatementPattern::StatementPattern(const Soprano::Inference::StatementPattern&)
	{39, 1117, 0, 0, Smoke::mf_dtor, 0, 10},	//346 Soprano::Inference::StatementPattern::~StatementPattern()
	{39, 748, 236, 1, 0, 226, 4},	//347 Soprano::Inference::StatementPattern::operator=(const Soprano::Inference::StatementPattern&)
	{39, 982, 0, 0, Smoke::mf_const, 215, 5},	//348 Soprano::Inference::StatementPattern::subjectPattern() const
	{39, 797, 0, 0, Smoke::mf_const, 215, 6},	//349 Soprano::Inference::StatementPattern::predicatePattern() const
	{39, 738, 0, 0, Smoke::mf_const, 215, 7},	//350 Soprano::Inference::StatementPattern::objectPattern() const
	{39, 703, 266, 1, Smoke::mf_const, 273, 8},	//351 Soprano::Inference::StatementPattern::match(const Soprano::Statement&) const
	{39, 440, 207, 1, Smoke::mf_const, 102, 9},	//352 Soprano::Inference::StatementPattern::createSparqlGraphPattern(const Soprano::BindingSet&) const
	{40, 125, 0, 0, Smoke::mf_ctor, 230, 1},	//353 Soprano::LiteralValue::LiteralValue()
	{40, 1092, 0, 0, Smoke::mf_dtor, 0, 62},	//354 Soprano::LiteralValue::~LiteralValue()
	{40, 125, 238, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 230, 2},	//355 Soprano::LiteralValue::LiteralValue(const Soprano::LiteralValue&)
	{40, 125, 201, 1, Smoke::mf_ctor, 230, 3},	//356 Soprano::LiteralValue::LiteralValue(const QVariant&)
	{40, 125, 276, 1, Smoke::mf_ctor, 230, 4},	//357 Soprano::LiteralValue::LiteralValue(int)
	{40, 125, 294, 1, Smoke::mf_ctor, 230, 5},	//358 Soprano::LiteralValue::LiteralValue(qlonglong)
	{40, 125, 298, 1, Smoke::mf_ctor, 230, 6},	//359 Soprano::LiteralValue::LiteralValue(uint)
	{40, 125, 296, 1, Smoke::mf_ctor, 230, 7},	//360 Soprano::LiteralValue::LiteralValue(qulonglong)
	{40, 125, 86, 1, Smoke::mf_ctor, 230, 8},	//361 Soprano::LiteralValue::LiteralValue(bool)
	{40, 125, 274, 1, Smoke::mf_ctor, 230, 9},	//362 Soprano::LiteralValue::LiteralValue(double)
	{40, 125, 272, 1, Smoke::mf_ctor, 230, 10},	//363 Soprano::LiteralValue::LiteralValue(const char*)
	{40, 125, 94, 1, Smoke::mf_ctor, 230, 11},	//364 Soprano::LiteralValue::LiteralValue(const QLatin1String&)
	{40, 125, 115, 1, Smoke::mf_ctor, 230, 12},	//365 Soprano::LiteralValue::LiteralValue(const QString&)
	{40, 125, 90, 1, Smoke::mf_ctor, 230, 13},	//366 Soprano::LiteralValue::LiteralValue(const QDate&)
	{40, 125, 197, 1, Smoke::mf_ctor, 230, 14},	//367 Soprano::LiteralValue::LiteralValue(const QTime&)
	{40, 125, 92, 1, Smoke::mf_ctor, 230, 15},	//368 Soprano::LiteralValue::LiteralValue(const QDateTime&)
	{40, 125, 88, 1, Smoke::mf_ctor, 230, 16},	//369 Soprano::LiteralValue::LiteralValue(const QByteArray&)
	{40, 748, 238, 1, 0, 229, 17},	//370 Soprano::LiteralValue::operator=(const Soprano::LiteralValue&)
	{40, 748, 276, 1, 0, 229, 18},	//371 Soprano::LiteralValue::operator=(int)
	{40, 748, 294, 1, 0, 229, 19},	//372 Soprano::LiteralValue::operator=(qlonglong)
	{40, 748, 298, 1, 0, 229, 20},	//373 Soprano::LiteralValue::operator=(uint)
	{40, 748, 296, 1, 0, 229, 21},	//374 Soprano::LiteralValue::operator=(qulonglong)
	{40, 748, 86, 1, 0, 229, 22},	//375 Soprano::LiteralValue::operator=(bool)
	{40, 748, 274, 1, 0, 229, 23},	//376 Soprano::LiteralValue::operator=(double)
	{40, 748, 115, 1, 0, 229, 24},	//377 Soprano::LiteralValue::operator=(const QString&)
	{40, 748, 94, 1, 0, 229, 25},	//378 Soprano::LiteralValue::operator=(const QLatin1String&)
	{40, 748, 90, 1, 0, 229, 26},	//379 Soprano::LiteralValue::operator=(const QDate&)
	{40, 748, 197, 1, 0, 229, 27},	//380 Soprano::LiteralValue::operator=(const QTime&)
	{40, 748, 92, 1, 0, 229, 28},	//381 Soprano::LiteralValue::operator=(const QDateTime&)
	{40, 748, 88, 1, 0, 229, 29},	//382 Soprano::LiteralValue::operator=(const QByteArray&)
	{40, 751, 238, 1, Smoke::mf_const, 273, 30},	//383 Soprano::LiteralValue::operator==(const Soprano::LiteralValue&) const
	{40, 746, 238, 1, Smoke::mf_const, 273, 31},	//384 Soprano::LiteralValue::operator!=(const Soprano::LiteralValue&) const
	{40, 653, 0, 0, Smoke::mf_const, 273, 32},	//385 Soprano::LiteralValue::isValid() const
	{40, 626, 0, 0, Smoke::mf_const, 273, 33},	//386 Soprano::LiteralValue::isInt() const
	{40, 627, 0, 0, Smoke::mf_const, 273, 34},	//387 Soprano::LiteralValue::isInt64() const
	{40, 651, 0, 0, Smoke::mf_const, 273, 35},	//388 Soprano::LiteralValue::isUnsignedInt() const
	{40, 652, 0, 0, Smoke::mf_const, 273, 36},	//389 Soprano::LiteralValue::isUnsignedInt64() const
	{40, 605, 0, 0, Smoke::mf_const, 273, 37},	//390 Soprano::LiteralValue::isBool() const
	{40, 619, 0, 0, Smoke::mf_const, 273, 38},	//391 Soprano::LiteralValue::isDouble() const
	{40, 641, 0, 0, Smoke::mf_const, 273, 39},	//392 Soprano::LiteralValue::isString() const
	{40, 610, 0, 0, Smoke::mf_const, 273, 40},	//393 Soprano::LiteralValue::isDate() const
	{40, 647, 0, 0, Smoke::mf_const, 273, 41},	//394 Soprano::LiteralValue::isTime() const
	{40, 611, 0, 0, Smoke::mf_const, 273, 42},	//395 Soprano::LiteralValue::isDateTime() const
	{40, 606, 0, 0, Smoke::mf_const, 273, 43},	//396 Soprano::LiteralValue::isByteArray() const
	{40, 1007, 0, 0, Smoke::mf_const, 316, 44},	//397 Soprano::LiteralValue::toInt() const
	{40, 1008, 0, 0, Smoke::mf_const, 319, 45},	//398 Soprano::LiteralValue::toInt64() const
	{40, 1013, 0, 0, Smoke::mf_const, 321, 46},	//399 Soprano::LiteralValue::toUnsignedInt() const
	{40, 1014, 0, 0, Smoke::mf_const, 320, 47},	//400 Soprano::LiteralValue::toUnsignedInt64() const
	{40, 1002, 0, 0, Smoke::mf_const, 273, 48},	//401 Soprano::LiteralValue::toBool() const
	{40, 1006, 0, 0, Smoke::mf_const, 315, 49},	//402 Soprano::LiteralValue::toDouble() const
	{40, 1011, 0, 0, Smoke::mf_const, 102, 50},	//403 Soprano::LiteralValue::toString() const
	{40, 1004, 0, 0, Smoke::mf_const, 19, 51},	//404 Soprano::LiteralValue::toDate() const
	{40, 1012, 0, 0, Smoke::mf_const, 140, 52},	//405 Soprano::LiteralValue::toTime() const
	{40, 1005, 0, 0, Smoke::mf_const, 20, 53},	//406 Soprano::LiteralValue::toDateTime() const
	{40, 1003, 0, 0, Smoke::mf_const, 13, 54},	//407 Soprano::LiteralValue::toByteArray() const
	{40, 453, 0, 0, Smoke::mf_const, 146, 55},	//408 Soprano::LiteralValue::dataTypeUri() const
	{40, 1021, 0, 0, Smoke::mf_const, 150, 56},	//409 Soprano::LiteralValue::type() const
	{40, 1047, 0, 0, Smoke::mf_const, 149, 57},	//410 Soprano::LiteralValue::variant() const
	{40, 553, 117, 2, Smoke::mf_static, 228, 58},	//411 Soprano::LiteralValue::fromString(const QString&, QVariant::Type)
	{40, 553, 158, 2, Smoke::mf_static, 228, 59},	//412 Soprano::LiteralValue::fromString(const QString&, const QUrl&)
	{40, 1023, 199, 1, Smoke::mf_static, 150, 60},	//413 Soprano::LiteralValue::typeFromDataTypeUri(const QUrl&)
	{40, 454, 16, 1, Smoke::mf_static, 146, 61},	//414 Soprano::LiteralValue::dataTypeUriFromType(QVariant::Type)
	{41, 716, 0, 0, Smoke::mf_const, 284, 2},	//415 Soprano::Model::metaObject() const
	{41, 804, 311, 3, 0, 316, 3},	//416 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
	{41, 1094, 0, 0, Smoke::mf_dtor, 0, 40},	//417 Soprano::Model::~Model()
	{41, 287, 266, 1, 0, 201, 4},	//418 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
	{41, 287, 252, 4, 0, 201, 5},	//419 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{41, 287, 248, 3, 0, 201, 6},	//420 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{41, 295, 111, 1, 0, 201, 7},	//421 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
	{41, 845, 266, 1, 0, 201, 8},	//422 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
	{41, 845, 252, 4, 0, 201, 9},	//423 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{41, 845, 248, 3, 0, 201, 10},	//424 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{41, 833, 266, 1, 0, 201, 11},	//425 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
	{41, 833, 252, 4, 0, 201, 12},	//426 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{41, 833, 248, 3, 0, 201, 13},	//427 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{41, 853, 111, 1, 0, 201, 14},	//428 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
	{41, 841, 243, 1, 0, 201, 15},	//429 Soprano::Model::removeContext(const Soprano::Node&)
	{41, 833, 0, 0, 0, 201, 16},	//430 Soprano::Model::removeAllStatements()
	{41, 683, 266, 1, Smoke::mf_const, 260, 17},	//431 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
	{41, 683, 252, 4, Smoke::mf_const, 260, 18},	//432 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{41, 683, 248, 3, Smoke::mf_const, 260, 19},	//433 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{41, 683, 0, 0, Smoke::mf_const, 260, 20},	//434 Soprano::Model::listStatements() const
	{41, 691, 243, 1, Smoke::mf_const, 260, 21},	//435 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
	{41, 681, 0, 0, Smoke::mf_const, 236, 22},	//436 Soprano::Model::listContexts() const [pure virtual]
	{41, 525, 126, 3, Smoke::mf_const, 245, 23},	//437 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
	{41, 525, 123, 2, Smoke::mf_const, 245, -1},	//438 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const [pure virtual]
	{41, 397, 266, 1, Smoke::mf_const, 273, 24},	//439 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
	{41, 397, 252, 4, Smoke::mf_const, 273, 25},	//440 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{41, 397, 248, 3, Smoke::mf_const, 273, 26},	//441 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{41, 407, 266, 1, Smoke::mf_const, 273, 27},	//442 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
	{41, 407, 252, 4, Smoke::mf_const, 273, 28},	//443 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{41, 407, 248, 3, Smoke::mf_const, 273, 29},	//444 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{41, 405, 243, 1, Smoke::mf_const, 273, 30},	//445 Soprano::Model::containsContext(const Soprano::Node&) const
	{41, 620, 0, 0, Smoke::mf_const, 273, 31},	//446 Soprano::Model::isEmpty() const [pure virtual]
	{41, 963, 0, 0, Smoke::mf_const, 316, 32},	//447 Soprano::Model::statementCount() const [pure virtual]
	{41, 1065, 1, 1, Smoke::mf_const, 201, 33},	//448 Soprano::Model::write(QTextStream&) const
	{41, 427, 0, 0, 0, 232, 34},	//449 Soprano::Model::createBlankNode() [pure virtual]
	{41, 968, 0, 0, 0, 0, 35},	//450 Soprano::Model::statementsAdded()
	{41, 969, 0, 0, 0, 0, 36},	//451 Soprano::Model::statementsRemoved()
	{41, 961, 266, 1, 0, 0, 37},	//452 Soprano::Model::statementAdded(const Soprano::Statement&)
	{41, 966, 266, 1, 0, 0, 38},	//453 Soprano::Model::statementRemoved(const Soprano::Statement&)
	{41, 970, 0, 0, Smoke::mf_static, 283, 1},	//454 Soprano::Model::staticMetaObject (static var)
	{41, 140, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 231, 39},	//455 Soprano::Model::Model()
	{42, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 1},	//456 Soprano::Node::EmptyNode (enum)
	{42, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 2},	//457 Soprano::Node::ResourceNode (enum)
	{42, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 3},	//458 Soprano::Node::LiteralNode (enum)
	{42, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 4},	//459 Soprano::Node::BlankNode (enum)
	{42, 149, 0, 0, Smoke::mf_ctor, 234, 5},	//460 Soprano::Node::Node()
	{42, 149, 199, 1, Smoke::mf_ctor, 234, 6},	//461 Soprano::Node::Node(const QUrl&)
	{42, 149, 115, 1, Smoke::mf_ctor, 234, 7},	//462 Soprano::Node::Node(const QString&)
	{42, 149, 240, 2, Smoke::mf_ctor, 234, 8},	//463 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
	{42, 149, 238, 1, Smoke::mf_ctor, 234, 9},	//464 Soprano::Node::Node(const Soprano::LiteralValue&)
	{42, 149, 243, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 234, 10},	//465 Soprano::Node::Node(const Soprano::Node&)
	{42, 1096, 0, 0, Smoke::mf_dtor, 0, 36},	//466 Soprano::Node::~Node()
	{42, 748, 243, 1, 0, 233, 11},	//467 Soprano::Node::operator=(const Soprano::Node&)
	{42, 748, 199, 1, 0, 233, 12},	//468 Soprano::Node::operator=(const QUrl&)
	{42, 748, 238, 1, 0, 233, 13},	//469 Soprano::Node::operator=(const Soprano::LiteralValue&)
	{42, 751, 243, 1, Smoke::mf_const, 273, 14},	//470 Soprano::Node::operator==(const Soprano::Node&) const
	{42, 746, 243, 1, Smoke::mf_const, 273, 15},	//471 Soprano::Node::operator!=(const Soprano::Node&) const
	{42, 751, 199, 1, Smoke::mf_const, 273, 16},	//472 Soprano::Node::operator==(const QUrl&) const
	{42, 751, 238, 1, Smoke::mf_const, 273, 17},	//473 Soprano::Node::operator==(const Soprano::LiteralValue&) const
	{42, 705, 243, 1, Smoke::mf_const, 273, 18},	//474 Soprano::Node::matches(const Soprano::Node&) const
	{42, 1021, 0, 0, Smoke::mf_const, 235, 19},	//475 Soprano::Node::type() const
	{42, 620, 0, 0, Smoke::mf_const, 273, 20},	//476 Soprano::Node::isEmpty() const
	{42, 653, 0, 0, Smoke::mf_const, 273, 21},	//477 Soprano::Node::isValid() const
	{42, 628, 0, 0, Smoke::mf_const, 273, 22},	//478 Soprano::Node::isLiteral() const
	{42, 639, 0, 0, Smoke::mf_const, 273, 23},	//479 Soprano::Node::isResource() const
	{42, 604, 0, 0, Smoke::mf_const, 273, 24},	//480 Soprano::Node::isBlank() const
	{42, 1032, 0, 0, Smoke::mf_const, 146, 25},	//481 Soprano::Node::uri() const
	{42, 585, 0, 0, Smoke::mf_const, 102, 26},	//482 Soprano::Node::identifier() const
	{42, 695, 0, 0, Smoke::mf_const, 228, 27},	//483 Soprano::Node::literal() const
	{42, 452, 0, 0, Smoke::mf_const, 146, 28},	//484 Soprano::Node::dataType() const
	{42, 671, 0, 0, Smoke::mf_const, 102, 29},	//485 Soprano::Node::language() const
	{42, 1011, 0, 0, Smoke::mf_const, 102, 30},	//486 Soprano::Node::toString() const
	{42, 1009, 0, 0, Smoke::mf_const, 102, 31},	//487 Soprano::Node::toN3() const
	{42, 430, 0, 0, Smoke::mf_static, 232, 32},	//488 Soprano::Node::createEmptyNode()
	{42, 437, 199, 1, Smoke::mf_static, 232, 33},	//489 Soprano::Node::createResourceNode(const QUrl&)
	{42, 427, 115, 1, Smoke::mf_static, 232, 34},	//490 Soprano::Node::createBlankNode(const QString&)
	{42, 431, 240, 2, Smoke::mf_static, 232, 35},	//491 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
	{43, 153, 0, 0, Smoke::mf_ctor, 238, 1},	//492 Soprano::NodeIterator::NodeIterator()
	{43, 153, 260, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 238, 2},	//493 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
	{43, 1097, 0, 0, Smoke::mf_dtor, 0, 5},	//494 Soprano::NodeIterator::~NodeIterator()
	{43, 748, 260, 1, 0, 237, 3},	//495 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
	{43, 307, 0, 0, 0, 69, 4},	//496 Soprano::NodeIterator::allNodes()
	{44, 1099, 0, 0, Smoke::mf_dtor, 0, 11},	//497 Soprano::Parser::~Parser()
	{44, 987, 0, 0, Smoke::mf_const, 251, 1},	//498 Soprano::Parser::supportedSerializations() const [pure virtual]
	{44, 989, 0, 0, Smoke::mf_const, 106, 2},	//499 Soprano::Parser::supportedUserSerializations() const
	{44, 993, 60, 2, Smoke::mf_const, 273, 3},	//500 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
	{44, 993, 58, 1, Smoke::mf_const, 273, 4},	//501 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
	{44, 774, 165, 4, Smoke::mf_const, 260, 5},	//502 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
	{44, 774, 161, 3, Smoke::mf_const, 260, 6},	//503 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
	{44, 781, 165, 4, Smoke::mf_const, 260, 7},	//504 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
	{44, 781, 161, 3, Smoke::mf_const, 260, 8},	//505 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
	{44, 778, 7, 4, Smoke::mf_const, 260, 9},	//506 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
	{44, 778, 3, 3, Smoke::mf_const, 260, -1},	//507 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const [pure virtual]
	{44, 165, 115, 1, Smoke::mf_ctor|Smoke::mf_protected, 239, 10},	//508 Soprano::Parser::Parser(const QString&)
	{45, 1101, 0, 0, Smoke::mf_dtor, 0, 5},	//509 Soprano::Plugin::~Plugin()
	{45, 792, 0, 0, Smoke::mf_const, 102, 1},	//510 Soprano::Plugin::pluginName() const
	{45, 602, 0, 0, Smoke::mf_const, 273, 2},	//511 Soprano::Plugin::isAvailable() const
	{45, 176, 262, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 240, 3},	//512 Soprano::Plugin::Plugin(const Soprano::Plugin&)
	{45, 176, 115, 1, Smoke::mf_ctor|Smoke::mf_protected, 240, 4},	//513 Soprano::Plugin::Plugin(const QString&)
	{46, 716, 0, 0, Smoke::mf_const, 284, 2},	//514 Soprano::PluginManager::metaObject() const
	{46, 804, 311, 3, 0, 316, 3},	//515 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
	{46, 487, 115, 1, 0, 291, 4},	//516 Soprano::PluginManager::discoverBackendByName(const QString&)
	{46, 484, 20, 2, 0, 291, 5},	//517 Soprano::PluginManager::discoverBackendByFeatures(Soprano::BackendFeatures, const QStringList&)
	{46, 484, 18, 1, 0, 291, 6},	//518 Soprano::PluginManager::discoverBackendByFeatures(Soprano::BackendFeatures)
	{46, 304, 0, 0, 0, 71, 7},	//519 Soprano::PluginManager::allBackends()
	{46, 489, 115, 1, 0, 306, 8},	//520 Soprano::PluginManager::discoverParserByName(const QString&)
	{46, 491, 60, 2, 0, 306, 9},	//521 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
	{46, 491, 58, 1, 0, 306, 10},	//522 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
	{46, 308, 0, 0, 0, 72, 11},	//523 Soprano::PluginManager::allParsers()
	{46, 494, 115, 1, 0, 309, 12},	//524 Soprano::PluginManager::discoverSerializerByName(const QString&)
	{46, 496, 60, 2, 0, 309, 13},	//525 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
	{46, 496, 58, 1, 0, 309, 14},	//526 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
	{46, 310, 0, 0, 0, 73, 15},	//527 Soprano::PluginManager::allSerializers()
	{46, 594, 0, 0, Smoke::mf_static, 241, 16},	//528 Soprano::PluginManager::instance()
	{46, 970, 0, 0, Smoke::mf_static, 283, 1},	//529 Soprano::PluginManager::staticMetaObject (static var)
	{47, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 1},	//530 Soprano::Query::QueryLanguageNone (enum)
	{47, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 2},	//531 Soprano::Query::QueryLanguageSparql (enum)
	{47, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 3},	//532 Soprano::Query::QueryLanguageRdql (enum)
	{47, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 4},	//533 Soprano::Query::QueryLanguageSerql (enum)
	{47, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 5},	//534 Soprano::Query::QueryLanguageUser (enum)
	{47, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 6},	//535 Soprano::Query::QUERY_LANGUAGE_NONE (enum)
	{47, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 7},	//536 Soprano::Query::QUERY_LANGUAGE_SPARQL (enum)
	{47, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 8},	//537 Soprano::Query::QUERY_LANGUAGE_RDQL (enum)
	{47, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 9},	//538 Soprano::Query::QUERY_LANGUAGE_SERQL (enum)
	{47, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 10},	//539 Soprano::Query::QUERY_LANGUAGE_USER (enum)
	{47, 808, 48, 2, Smoke::mf_static, 102, 11},	//540 Soprano::Query::queryLanguageToString(Soprano::Query::QueryLanguage, const QString&)
	{47, 808, 46, 1, Smoke::mf_static, 102, 12},	//541 Soprano::Query::queryLanguageToString(Soprano::Query::QueryLanguage)
	{47, 806, 115, 1, Smoke::mf_static, 242, 13},	//542 Soprano::Query::queryLanguageFromString(const QString&)
	{48, 195, 0, 0, Smoke::mf_ctor, 247, 1},	//543 Soprano::QueryResultIterator::QueryResultIterator()
	{48, 195, 264, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 247, 2},	//544 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
	{48, 195, 56, 1, Smoke::mf_ctor, 247, 3},	//545 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
	{48, 1104, 0, 0, Smoke::mf_dtor, 0, 24},	//546 Soprano::QueryResultIterator::~QueryResultIterator()
	{48, 748, 264, 1, 0, 246, 4},	//547 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
	{48, 449, 0, 0, Smoke::mf_const, 257, 5},	//548 Soprano::QueryResultIterator::currentStatement() const
	{48, 448, 0, 0, Smoke::mf_const, 190, 6},	//549 Soprano::QueryResultIterator::currentBindings() const
	{48, 352, 0, 0, Smoke::mf_const, 273, 7},	//550 Soprano::QueryResultIterator::boolValue() const
	{48, 754, 276, 1, Smoke::mf_const, 232, 8},	//551 Soprano::QueryResultIterator::operator[](int) const
	{48, 754, 113, 1, Smoke::mf_const, 232, 9},	//552 Soprano::QueryResultIterator::operator[](const QString) const
	{48, 346, 115, 1, Smoke::mf_const, 232, 10},	//553 Soprano::QueryResultIterator::binding(const QString&) const
	{48, 346, 276, 1, Smoke::mf_const, 232, 11},	//554 Soprano::QueryResultIterator::binding(int) const
	{48, 348, 0, 0, Smoke::mf_const, 316, 12},	//555 Soprano::QueryResultIterator::bindingCount() const
	{48, 349, 0, 0, Smoke::mf_const, 106, 13},	//556 Soprano::QueryResultIterator::bindingNames() const
	{48, 623, 0, 0, Smoke::mf_const, 273, 14},	//557 Soprano::QueryResultIterator::isGraph() const
	{48, 603, 0, 0, Smoke::mf_const, 273, 15},	//558 Soprano::QueryResultIterator::isBinding() const
	{48, 605, 0, 0, Smoke::mf_const, 273, 16},	//559 Soprano::QueryResultIterator::isBool() const
	{48, 305, 0, 0, 0, 66, 17},	//560 Soprano::QueryResultIterator::allBindings()
	{48, 661, 0, 0, Smoke::mf_const, 260, 18},	//561 Soprano::QueryResultIterator::iterateStatements() const
	{48, 656, 115, 1, Smoke::mf_const, 236, 19},	//562 Soprano::QueryResultIterator::iterateBindings(const QString&) const
	{48, 656, 276, 1, Smoke::mf_const, 236, 20},	//563 Soprano::QueryResultIterator::iterateBindings(int) const
	{48, 662, 148, 5, Smoke::mf_const, 260, 21},	//564 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
	{48, 662, 143, 4, Smoke::mf_const, 260, 22},	//565 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
	{48, 662, 139, 3, Smoke::mf_const, 260, 23},	//566 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
	{49, 201, 39, 1, Smoke::mf_ctor, 249, 1},	//567 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
	{49, 201, 0, 0, Smoke::mf_ctor, 249, 2},	//568 Soprano::RdfSchemaModel::RdfSchemaModel()
	{49, 1105, 0, 0, Smoke::mf_dtor, 0, 25},	//569 Soprano::RdfSchemaModel::~RdfSchemaModel()
	{49, 370, 0, 0, Smoke::mf_const, 260, 3},	//570 Soprano::RdfSchemaModel::classes() const
	{49, 472, 245, 2, Smoke::mf_const, 260, 4},	//571 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 472, 243, 1, Smoke::mf_const, 260, 5},	//572 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
	{49, 475, 245, 2, Smoke::mf_const, 260, 6},	//573 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 475, 243, 1, Smoke::mf_const, 260, 7},	//574 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
	{49, 478, 245, 2, Smoke::mf_const, 260, 8},	//575 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
	{49, 504, 245, 2, Smoke::mf_const, 260, 9},	//576 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
	{49, 803, 0, 0, Smoke::mf_const, 260, 10},	//577 Soprano::RdfSchemaModel::properties() const
	{49, 812, 245, 2, Smoke::mf_const, 260, 11},	//578 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
	{49, 974, 245, 2, Smoke::mf_const, 260, 12},	//579 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 974, 243, 1, Smoke::mf_const, 260, 13},	//580 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
	{49, 978, 245, 2, Smoke::mf_const, 260, 14},	//581 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 978, 243, 1, Smoke::mf_const, 260, 15},	//582 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
	{49, 1021, 245, 2, Smoke::mf_const, 260, 16},	//583 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
	{49, 607, 243, 1, Smoke::mf_const, 273, 17},	//584 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
	{49, 634, 243, 1, Smoke::mf_const, 273, 18},	//585 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
	{49, 613, 245, 2, Smoke::mf_const, 273, 19},	//586 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 615, 245, 2, Smoke::mf_const, 273, 20},	//587 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 617, 245, 2, Smoke::mf_const, 273, 21},	//588 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
	{49, 642, 245, 2, Smoke::mf_const, 273, 22},	//589 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 644, 245, 2, Smoke::mf_const, 273, 23},	//590 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{49, 649, 245, 2, Smoke::mf_const, 273, 24},	//591 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
	{50, 1110, 0, 0, Smoke::mf_dtor, 0, 7},	//592 Soprano::Serializer::~Serializer()
	{50, 987, 0, 0, Smoke::mf_const, 251, 1},	//593 Soprano::Serializer::supportedSerializations() const [pure virtual]
	{50, 989, 0, 0, Smoke::mf_const, 106, 2},	//594 Soprano::Serializer::supportedUserSerializations() const
	{50, 993, 60, 2, Smoke::mf_const, 273, 3},	//595 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
	{50, 993, 58, 1, Smoke::mf_const, 273, 4},	//596 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
	{50, 884, 69, 4, Smoke::mf_const, 273, 5},	//597 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
	{50, 884, 65, 3, Smoke::mf_const, 273, -1},	//598 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const [pure virtual]
	{50, 234, 115, 1, Smoke::mf_ctor|Smoke::mf_protected, 253, 6},	//599 Soprano::Serializer::Serializer(const QString&)
	{52, 716, 0, 0, Smoke::mf_const, 284, 2},	//600 Soprano::Server::DBusExportIterator::metaObject() const
	{52, 804, 311, 3, 0, 316, 3},	//601 Soprano::Server::DBusExportIterator::qt_metacall(QMetaObject::Call, int, void**)
	{52, 52, 74, 2, Smoke::mf_ctor, 254, 4},	//602 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
	{52, 52, 63, 1, Smoke::mf_ctor, 254, 5},	//603 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
	{52, 52, 43, 2, Smoke::mf_ctor, 254, 6},	//604 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
	{52, 52, 41, 1, Smoke::mf_ctor, 254, 7},	//605 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
	{52, 52, 53, 2, Smoke::mf_ctor, 254, 8},	//606 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
	{52, 52, 51, 1, Smoke::mf_ctor, 254, 9},	//607 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
	{52, 1082, 0, 0, Smoke::mf_dtor, 0, 19},	//608 Soprano::Server::DBusExportIterator::~DBusExportIterator()
	{52, 965, 0, 0, Smoke::mf_const, 260, 10},	//609 Soprano::Server::DBusExportIterator::statementIterator() const
	{52, 733, 0, 0, Smoke::mf_const, 236, 11},	//610 Soprano::Server::DBusExportIterator::nodeIterator() const
	{52, 811, 0, 0, Smoke::mf_const, 245, 12},	//611 Soprano::Server::DBusExportIterator::queryResultIterator() const
	{52, 458, 0, 0, Smoke::mf_const, 102, 13},	//612 Soprano::Server::DBusExportIterator::dbusObjectPath() const
	{52, 466, 0, 0, Smoke::mf_const, 273, 14},	//613 Soprano::Server::DBusExportIterator::deleteOnClose() const
	{52, 905, 86, 1, 0, 0, 15},	//614 Soprano::Server::DBusExportIterator::setDeleteOnClose(bool)
	{52, 823, 136, 2, 0, 273, 16},	//615 Soprano::Server::DBusExportIterator::registerIterator(const QString&, const QString&)
	{52, 823, 115, 1, 0, 273, 17},	//616 Soprano::Server::DBusExportIterator::registerIterator(const QString&)
	{52, 1026, 0, 0, 0, 0, 18},	//617 Soprano::Server::DBusExportIterator::unregisterIterator()
	{52, 970, 0, 0, Smoke::mf_static, 283, 1},	//618 Soprano::Server::DBusExportIterator::staticMetaObject (static var)
	{53, 716, 0, 0, Smoke::mf_const, 284, 2},	//619 Soprano::Server::DBusExportModel::metaObject() const
	{53, 804, 311, 3, 0, 316, 3},	//620 Soprano::Server::DBusExportModel::qt_metacall(QMetaObject::Call, int, void**)
	{53, 55, 39, 1, Smoke::mf_ctor, 255, 4},	//621 Soprano::Server::DBusExportModel::DBusExportModel(Soprano::Model*)
	{53, 55, 0, 0, Smoke::mf_ctor, 255, 5},	//622 Soprano::Server::DBusExportModel::DBusExportModel()
	{53, 1083, 0, 0, Smoke::mf_dtor, 0, 9},	//623 Soprano::Server::DBusExportModel::~DBusExportModel()
	{53, 826, 115, 1, 0, 273, 6},	//624 Soprano::Server::DBusExportModel::registerModel(const QString&)
	{53, 1027, 0, 0, 0, 0, 7},	//625 Soprano::Server::DBusExportModel::unregisterModel()
	{53, 458, 0, 0, Smoke::mf_const, 102, 8},	//626 Soprano::Server::DBusExportModel::dbusObjectPath() const
	{53, 970, 0, 0, Smoke::mf_static, 283, 1},	//627 Soprano::Server::DBusExportModel::staticMetaObject (static var)
	{54, 716, 0, 0, Smoke::mf_const, 284, 3},	//628 Soprano::Server::ServerCore::metaObject() const
	{54, 804, 311, 3, 0, 316, 4},	//629 Soprano::Server::ServerCore::qt_metacall(QMetaObject::Call, int, void**)
	{54, 236, 315, 1, Smoke::mf_ctor, 256, 5},	//630 Soprano::Server::ServerCore::ServerCore(QObject*)
	{54, 236, 0, 0, Smoke::mf_ctor, 256, 6},	//631 Soprano::Server::ServerCore::ServerCore()
	{54, 1111, 0, 0, Smoke::mf_dtor, 0, 21},	//632 Soprano::Server::ServerCore::~ServerCore()
	{54, 890, 203, 1, 0, 0, 7},	//633 Soprano::Server::ServerCore::setBackend(const Soprano::Backend*)
	{54, 335, 0, 0, Smoke::mf_const, 291, 8},	//634 Soprano::Server::ServerCore::backend() const
	{54, 892, 98, 1, 0, 0, 9},	//635 Soprano::Server::ServerCore::setBackendSettings(const QList<Soprano::BackendSetting>&)
	{54, 723, 115, 1, 0, 231, 10},	//636 Soprano::Server::ServerCore::model(const QString&)
	{54, 843, 115, 1, 0, 0, 11},	//637 Soprano::Server::ServerCore::removeModel(const QString&)
	{54, 306, 0, 0, Smoke::mf_const, 106, 12},	//638 Soprano::Server::ServerCore::allModels() const
	{54, 958, 115, 1, 0, 273, 13},	//639 Soprano::Server::ServerCore::start(const QString&)
	{54, 958, 0, 0, 0, 273, 14},	//640 Soprano::Server::ServerCore::start()
	{54, 693, 300, 1, 0, 273, 15},	//641 Soprano::Server::ServerCore::listen(unsigned short)
	{54, 693, 0, 0, 0, 273, 16},	//642 Soprano::Server::ServerCore::listen()
	{54, 887, 0, 0, Smoke::mf_const, 323, 17},	//643 Soprano::Server::ServerCore::serverPort() const
	{54, 821, 115, 1, 0, 0, 18},	//644 Soprano::Server::ServerCore::registerAsDBusObject(const QString&)
	{54, 821, 0, 0, 0, 0, 19},	//645 Soprano::Server::ServerCore::registerAsDBusObject()
	{54, 970, 0, 0, Smoke::mf_static, 283, 1},	//646 Soprano::Server::ServerCore::staticMetaObject (static var)
	{54, 66, 0, 0, Smoke::mf_static, 314, 2},	//647 Soprano::Server::ServerCore::DEFAULT_PORT (static var)
	{54, 433, 98, 1, Smoke::mf_protected, 231, 20},	//648 Soprano::Server::ServerCore::createModel(const QList<Soprano::BackendSetting>&)
	{55, 253, 0, 0, Smoke::mf_ctor, 259, 1},	//649 Soprano::Statement::Statement()
	{55, 253, 252, 4, Smoke::mf_ctor, 259, 2},	//650 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{55, 253, 248, 3, Smoke::mf_ctor, 259, 3},	//651 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{55, 253, 266, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 259, 4},	//652 Soprano::Statement::Statement(const Soprano::Statement&)
	{55, 1115, 0, 0, Smoke::mf_dtor, 0, 18},	//653 Soprano::Statement::~Statement()
	{55, 748, 266, 1, 0, 258, 5},	//654 Soprano::Statement::operator=(const Soprano::Statement&)
	{55, 751, 266, 1, Smoke::mf_const, 273, 6},	//655 Soprano::Statement::operator==(const Soprano::Statement&) const
	{55, 746, 266, 1, Smoke::mf_const, 273, 7},	//656 Soprano::Statement::operator!=(const Soprano::Statement&) const
	{55, 705, 266, 1, Smoke::mf_const, 273, 8},	//657 Soprano::Statement::matches(const Soprano::Statement&) const
	{55, 653, 0, 0, Smoke::mf_const, 273, 9},	//658 Soprano::Statement::isValid() const
	{55, 981, 0, 0, Smoke::mf_const, 232, 10},	//659 Soprano::Statement::subject() const
	{55, 796, 0, 0, Smoke::mf_const, 232, 11},	//660 Soprano::Statement::predicate() const
	{55, 737, 0, 0, Smoke::mf_const, 232, 12},	//661 Soprano::Statement::object() const
	{55, 420, 0, 0, Smoke::mf_const, 232, 13},	//662 Soprano::Statement::context() const
	{55, 935, 243, 1, 0, 0, 14},	//663 Soprano::Statement::setSubject(const Soprano::Node&)
	{55, 930, 243, 1, 0, 0, 15},	//664 Soprano::Statement::setPredicate(const Soprano::Node&)
	{55, 922, 243, 1, 0, 0, 16},	//665 Soprano::Statement::setObject(const Soprano::Node&)
	{55, 902, 243, 1, 0, 0, 17},	//666 Soprano::Statement::setContext(const Soprano::Node&)
	{56, 257, 0, 0, Smoke::mf_ctor, 262, 1},	//667 Soprano::StatementIterator::StatementIterator()
	{56, 257, 268, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 262, 2},	//668 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
	{56, 1116, 0, 0, Smoke::mf_dtor, 0, 9},	//669 Soprano::StatementIterator::~StatementIterator()
	{56, 748, 268, 1, 0, 261, 3},	//670 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
	{56, 311, 0, 0, 0, 70, 4},	//671 Soprano::StatementIterator::allStatements()
	{56, 666, 0, 0, Smoke::mf_const, 236, 5},	//672 Soprano::StatementIterator::iterateSubjects() const
	{56, 660, 0, 0, Smoke::mf_const, 236, 6},	//673 Soprano::StatementIterator::iteratePredicates() const
	{56, 659, 0, 0, Smoke::mf_const, 236, 7},	//674 Soprano::StatementIterator::iterateObjects() const
	{56, 658, 0, 0, Smoke::mf_const, 236, 8},	//675 Soprano::StatementIterator::iterateContexts() const
	{57, 716, 0, 0, Smoke::mf_const, 284, 2},	//676 Soprano::StorageModel::metaObject() const
	{57, 804, 311, 3, 0, 316, 3},	//677 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
	{57, 1118, 0, 0, Smoke::mf_dtor, 0, 10},	//678 Soprano::StorageModel::~StorageModel()
	{57, 620, 0, 0, Smoke::mf_const, 273, 4},	//679 Soprano::StorageModel::isEmpty() const
	{57, 407, 266, 1, Smoke::mf_const, 273, 5},	//680 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
	{57, 397, 266, 1, Smoke::mf_const, 273, 6},	//681 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
	{57, 833, 266, 1, 0, 201, 7},	//682 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
	{57, 335, 0, 0, Smoke::mf_const, 291, 8},	//683 Soprano::StorageModel::backend() const
	{57, 970, 0, 0, Smoke::mf_static, 283, 1},	//684 Soprano::StorageModel::staticMetaObject (static var)
	{57, 262, 203, 1, Smoke::mf_ctor|Smoke::mf_protected, 263, 9},	//685 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
	{59, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 1},	//686 Soprano::Util::AsyncModel::SingleThreaded (enum)
	{59, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 2},	//687 Soprano::Util::AsyncModel::MultiThreaded (enum)
	{59, 716, 0, 0, Smoke::mf_const, 284, 4},	//688 Soprano::Util::AsyncModel::metaObject() const
	{59, 804, 311, 3, 0, 316, 5},	//689 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
	{59, 8, 39, 1, Smoke::mf_ctor, 264, 6},	//690 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
	{59, 8, 0, 0, Smoke::mf_ctor, 264, 7},	//691 Soprano::Util::AsyncModel::AsyncModel()
	{59, 1075, 0, 0, Smoke::mf_dtor, 0, 37},	//692 Soprano::Util::AsyncModel::~AsyncModel()
	{59, 920, 77, 1, 0, 0, 8},	//693 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
	{59, 722, 0, 0, Smoke::mf_const, 265, 9},	//694 Soprano::Util::AsyncModel::mode() const
	{59, 291, 266, 1, 0, 266, 10},	//695 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
	{59, 291, 252, 4, 0, 266, 11},	//696 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{59, 291, 248, 3, 0, 266, 12},	//697 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{59, 297, 111, 1, 0, 266, 13},	//698 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
	{59, 849, 266, 1, 0, 266, 14},	//699 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
	{59, 849, 252, 4, 0, 266, 15},	//700 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{59, 849, 248, 3, 0, 266, 16},	//701 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{59, 855, 111, 1, 0, 266, 17},	//702 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
	{59, 837, 266, 1, 0, 266, 18},	//703 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
	{59, 837, 252, 4, 0, 266, 19},	//704 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{59, 837, 248, 3, 0, 266, 20},	//705 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{59, 621, 0, 0, Smoke::mf_const, 266, 21},	//706 Soprano::Util::AsyncModel::isEmptyAsync() const
	{59, 964, 0, 0, Smoke::mf_const, 266, 22},	//707 Soprano::Util::AsyncModel::statementCountAsync() const
	{59, 687, 266, 1, Smoke::mf_const, 266, 23},	//708 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
	{59, 687, 252, 4, Smoke::mf_const, 266, 24},	//709 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{59, 687, 248, 3, Smoke::mf_const, 266, 25},	//710 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{59, 687, 0, 0, Smoke::mf_const, 266, 26},	//711 Soprano::Util::AsyncModel::listStatementsAsync() const
	{59, 682, 0, 0, Smoke::mf_const, 266, 27},	//712 Soprano::Util::AsyncModel::listContextsAsync() const
	{59, 529, 126, 3, Smoke::mf_const, 266, 28},	//713 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{59, 529, 123, 2, Smoke::mf_const, 266, 29},	//714 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
	{59, 411, 266, 1, Smoke::mf_const, 266, 30},	//715 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
	{59, 411, 252, 4, Smoke::mf_const, 266, 31},	//716 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{59, 411, 248, 3, Smoke::mf_const, 266, 32},	//717 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{59, 401, 266, 1, Smoke::mf_const, 266, 33},	//718 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
	{59, 401, 252, 4, Smoke::mf_const, 266, 34},	//719 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{59, 401, 248, 3, Smoke::mf_const, 266, 35},	//720 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{59, 429, 0, 0, 0, 266, 36},	//721 Soprano::Util::AsyncModel::createBlankNodeAsync()
	{59, 970, 0, 0, Smoke::mf_static, 283, 3},	//722 Soprano::Util::AsyncModel::staticMetaObject (static var)
	{60, 716, 0, 0, Smoke::mf_const, 284, 2},	//723 Soprano::Util::AsyncResult::metaObject() const
	{60, 804, 311, 3, 0, 316, 3},	//724 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
	{60, 1041, 0, 0, Smoke::mf_const, 149, 4},	//725 Soprano::Util::AsyncResult::value() const
	{60, 518, 0, 0, Smoke::mf_const, 201, 5},	//726 Soprano::Util::AsyncResult::errorCode() const
	{60, 965, 0, 0, Smoke::mf_const, 260, 6},	//727 Soprano::Util::AsyncResult::statementIterator() const
	{60, 733, 0, 0, Smoke::mf_const, 236, 7},	//728 Soprano::Util::AsyncResult::nodeIterator() const
	{60, 811, 0, 0, Smoke::mf_const, 245, 8},	//729 Soprano::Util::AsyncResult::queryResultIterator() const
	{60, 732, 0, 0, Smoke::mf_const, 232, 9},	//730 Soprano::Util::AsyncResult::node() const
	{60, 439, 0, 0, Smoke::mf_static, 266, 10},	//731 Soprano::Util::AsyncResult::createResult()
	{60, 970, 0, 0, Smoke::mf_static, 283, 1},	//732 Soprano::Util::AsyncResult::staticMetaObject (static var)
	{61, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 1},	//733 Soprano::Util::MutexModel::PlainMultiThreading (enum)
	{61, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 2},	//734 Soprano::Util::MutexModel::ReadWriteMultiThreading (enum)
	{61, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 3},	//735 Soprano::Util::MutexModel::ReadWriteSingleThreading (enum)
	{61, 716, 0, 0, Smoke::mf_const, 284, 5},	//736 Soprano::Util::MutexModel::metaObject() const
	{61, 804, 311, 3, 0, 316, 6},	//737 Soprano::Util::MutexModel::qt_metacall(QMetaObject::Call, int, void**)
	{61, 143, 83, 2, Smoke::mf_ctor, 267, 7},	//738 Soprano::Util::MutexModel::MutexModel(Soprano::Util::MutexModel::ProtectionMode, Soprano::Model*)
	{61, 143, 81, 1, Smoke::mf_ctor, 267, 8},	//739 Soprano::Util::MutexModel::MutexModel(Soprano::Util::MutexModel::ProtectionMode)
	{61, 1095, 0, 0, Smoke::mf_dtor, 0, 20},	//740 Soprano::Util::MutexModel::~MutexModel()
	{61, 287, 266, 1, 0, 201, 9},	//741 Soprano::Util::MutexModel::addStatement(const Soprano::Statement&)
	{61, 845, 266, 1, 0, 201, 10},	//742 Soprano::Util::MutexModel::removeStatement(const Soprano::Statement&)
	{61, 833, 266, 1, 0, 201, 11},	//743 Soprano::Util::MutexModel::removeAllStatements(const Soprano::Statement&)
	{61, 683, 266, 1, Smoke::mf_const, 260, 12},	//744 Soprano::Util::MutexModel::listStatements(const Soprano::Statement&) const
	{61, 681, 0, 0, Smoke::mf_const, 236, 13},	//745 Soprano::Util::MutexModel::listContexts() const
	{61, 525, 126, 3, Smoke::mf_const, 245, 14},	//746 Soprano::Util::MutexModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{61, 525, 123, 2, Smoke::mf_const, 245, 15},	//747 Soprano::Util::MutexModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{61, 407, 266, 1, Smoke::mf_const, 273, 16},	//748 Soprano::Util::MutexModel::containsStatement(const Soprano::Statement&) const
	{61, 397, 266, 1, Smoke::mf_const, 273, 17},	//749 Soprano::Util::MutexModel::containsAnyStatement(const Soprano::Statement&) const
	{61, 620, 0, 0, Smoke::mf_const, 273, 18},	//750 Soprano::Util::MutexModel::isEmpty() const
	{61, 963, 0, 0, Smoke::mf_const, 316, 19},	//751 Soprano::Util::MutexModel::statementCount() const
	{61, 970, 0, 0, Smoke::mf_static, 283, 4},	//752 Soprano::Util::MutexModel::staticMetaObject (static var)
	{62, 716, 0, 0, Smoke::mf_const, 284, 2},	//753 Soprano::Util::ReadOnlyModel::metaObject() const
	{62, 804, 311, 3, 0, 316, 3},	//754 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
	{62, 203, 39, 1, Smoke::mf_ctor, 269, 4},	//755 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
	{62, 203, 0, 0, Smoke::mf_ctor, 269, 5},	//756 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
	{62, 1106, 0, 0, Smoke::mf_dtor, 0, 19},	//757 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
	{62, 926, 39, 1, 0, 0, 6},	//758 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
	{62, 683, 266, 1, Smoke::mf_const, 260, 7},	//759 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
	{62, 681, 0, 0, Smoke::mf_const, 236, 8},	//760 Soprano::Util::ReadOnlyModel::listContexts() const
	{62, 525, 126, 3, Smoke::mf_const, 245, 9},	//761 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{62, 525, 123, 2, Smoke::mf_const, 245, 10},	//762 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{62, 407, 266, 1, Smoke::mf_const, 273, 11},	//763 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
	{62, 397, 266, 1, Smoke::mf_const, 273, 12},	//764 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
	{62, 620, 0, 0, Smoke::mf_const, 273, 13},	//765 Soprano::Util::ReadOnlyModel::isEmpty() const
	{62, 963, 0, 0, Smoke::mf_const, 316, 14},	//766 Soprano::Util::ReadOnlyModel::statementCount() const
	{62, 287, 266, 1, 0, 201, 15},	//767 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
	{62, 845, 266, 1, 0, 201, 16},	//768 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
	{62, 833, 266, 1, 0, 201, 17},	//769 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
	{62, 427, 0, 0, 0, 232, 18},	//770 Soprano::Util::ReadOnlyModel::createBlankNode()
	{62, 970, 0, 0, Smoke::mf_static, 283, 1},	//771 Soprano::Util::ReadOnlyModel::staticMetaObject (static var)
	{63, 716, 0, 0, Smoke::mf_const, 284, 2},	//772 Soprano::Util::SignalCacheModel::metaObject() const
	{63, 804, 311, 3, 0, 316, 3},	//773 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
	{63, 238, 39, 1, Smoke::mf_ctor, 270, 4},	//774 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
	{63, 238, 0, 0, Smoke::mf_ctor, 270, 5},	//775 Soprano::Util::SignalCacheModel::SignalCacheModel()
	{63, 1112, 0, 0, Smoke::mf_dtor, 0, 11},	//776 Soprano::Util::SignalCacheModel::~SignalCacheModel()
	{63, 356, 0, 0, Smoke::mf_const, 316, 6},	//777 Soprano::Util::SignalCacheModel::cacheTime() const
	{63, 896, 276, 1, 0, 0, 7},	//778 Soprano::Util::SignalCacheModel::setCacheTime(int)
	{63, 970, 0, 0, Smoke::mf_static, 283, 1},	//779 Soprano::Util::SignalCacheModel::staticMetaObject (static var)
	{63, 772, 0, 0, Smoke::mf_protected, 0, 8},	//780 Soprano::Util::SignalCacheModel::parentStatementsAdded()
	{63, 773, 0, 0, Smoke::mf_protected, 0, 9},	//781 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
	{63, 998, 14, 1, Smoke::mf_protected, 0, 10},	//782 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
	{64, 240, 0, 0, Smoke::mf_ctor, 272, 1},	//783 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
	{64, 240, 109, 1, Smoke::mf_ctor, 272, 2},	//784 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
	{64, 240, 270, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 272, 3},	//785 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
	{64, 1113, 0, 0, Smoke::mf_dtor, 0, 6},	//786 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
	{64, 748, 109, 1, 0, 271, 4},	//787 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
	{64, 748, 270, 1, 0, 271, 5},	//788 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
	{66, 728, 0, 0, Smoke::mf_static, 146, 1},	//789 Soprano::Vocabulary::NAO::naoNamespace()
	{66, 102, 0, 0, Smoke::mf_static, 146, 2},	//790 Soprano::Vocabulary::NAO::FreeDesktopIcon()
	{66, 171, 0, 0, Smoke::mf_static, 146, 3},	//791 Soprano::Vocabulary::NAO::Party()
	{66, 264, 0, 0, Smoke::mf_static, 146, 4},	//792 Soprano::Vocabulary::NAO::Symbol()
	{66, 267, 0, 0, Smoke::mf_static, 146, 5},	//793 Soprano::Vocabulary::NAO::Tag()
	{66, 313, 0, 0, Smoke::mf_static, 146, 6},	//794 Soprano::Vocabulary::NAO::altLabel()
	{66, 314, 0, 0, Smoke::mf_static, 146, 7},	//795 Soprano::Vocabulary::NAO::altSymbol()
	{66, 315, 0, 0, Smoke::mf_static, 146, 8},	//796 Soprano::Vocabulary::NAO::annotation()
	{66, 421, 0, 0, Smoke::mf_static, 146, 9},	//797 Soprano::Vocabulary::NAO::contributor()
	{66, 446, 0, 0, Smoke::mf_static, 146, 10},	//798 Soprano::Vocabulary::NAO::created()
	{66, 447, 0, 0, Smoke::mf_static, 146, 11},	//799 Soprano::Vocabulary::NAO::creator()
	{66, 470, 0, 0, Smoke::mf_static, 146, 12},	//800 Soprano::Vocabulary::NAO::description()
	{66, 514, 0, 0, Smoke::mf_static, 146, 13},	//801 Soprano::Vocabulary::NAO::engineeringTool()
	{66, 565, 0, 0, Smoke::mf_static, 146, 14},	//802 Soprano::Vocabulary::NAO::hasDefaultNamespace()
	{66, 566, 0, 0, Smoke::mf_static, 146, 15},	//803 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
	{66, 569, 0, 0, Smoke::mf_static, 146, 16},	//804 Soprano::Vocabulary::NAO::hasSubResource()
	{66, 570, 0, 0, Smoke::mf_static, 146, 17},	//805 Soprano::Vocabulary::NAO::hasSuperResource()
	{66, 571, 0, 0, Smoke::mf_static, 146, 18},	//806 Soprano::Vocabulary::NAO::hasSymbol()
	{66, 572, 0, 0, Smoke::mf_static, 146, 19},	//807 Soprano::Vocabulary::NAO::hasTag()
	{66, 573, 0, 0, Smoke::mf_static, 146, 20},	//808 Soprano::Vocabulary::NAO::hasTopic()
	{66, 583, 0, 0, Smoke::mf_static, 146, 21},	//809 Soprano::Vocabulary::NAO::iconName()
	{66, 585, 0, 0, Smoke::mf_static, 146, 22},	//810 Soprano::Vocabulary::NAO::identifier()
	{66, 638, 0, 0, Smoke::mf_static, 146, 23},	//811 Soprano::Vocabulary::NAO::isRelated()
	{66, 646, 0, 0, Smoke::mf_static, 146, 24},	//812 Soprano::Vocabulary::NAO::isTagFor()
	{66, 648, 0, 0, Smoke::mf_static, 146, 25},	//813 Soprano::Vocabulary::NAO::isTopicOf()
	{66, 672, 0, 0, Smoke::mf_static, 146, 26},	//814 Soprano::Vocabulary::NAO::lastModified()
	{66, 725, 0, 0, Smoke::mf_static, 146, 27},	//815 Soprano::Vocabulary::NAO::modified()
	{66, 736, 0, 0, Smoke::mf_static, 146, 28},	//816 Soprano::Vocabulary::NAO::numericRating()
	{66, 788, 0, 0, Smoke::mf_static, 146, 29},	//817 Soprano::Vocabulary::NAO::personalIdentifier()
	{66, 793, 0, 0, Smoke::mf_static, 146, 30},	//818 Soprano::Vocabulary::NAO::pluralPrefLabel()
	{66, 798, 0, 0, Smoke::mf_static, 146, 31},	//819 Soprano::Vocabulary::NAO::prefLabel()
	{66, 799, 0, 0, Smoke::mf_static, 146, 32},	//820 Soprano::Vocabulary::NAO::prefSymbol()
	{66, 814, 0, 0, Smoke::mf_static, 146, 33},	//821 Soprano::Vocabulary::NAO::rating()
	{66, 874, 0, 0, Smoke::mf_static, 146, 34},	//822 Soprano::Vocabulary::NAO::score()
	{66, 875, 0, 0, Smoke::mf_static, 146, 35},	//823 Soprano::Vocabulary::NAO::scoreParameter()
	{66, 880, 0, 0, Smoke::mf_static, 146, 36},	//824 Soprano::Vocabulary::NAO::serializationLanguage()
	{66, 971, 0, 0, Smoke::mf_static, 146, 37},	//825 Soprano::Vocabulary::NAO::status()
	{66, 1048, 0, 0, Smoke::mf_static, 146, 38},	//826 Soprano::Vocabulary::NAO::version()
	{67, 735, 0, 0, Smoke::mf_static, 146, 1},	//827 Soprano::Vocabulary::NRL::nrlNamespace()
	{67, 7, 0, 0, Smoke::mf_static, 146, 2},	//828 Soprano::Vocabulary::NRL::AsymmetricProperty()
	{67, 43, 0, 0, Smoke::mf_static, 146, 3},	//829 Soprano::Vocabulary::NRL::Configuration()
	{67, 67, 0, 0, Smoke::mf_static, 146, 4},	//830 Soprano::Vocabulary::NRL::Data()
	{67, 72, 0, 0, Smoke::mf_static, 146, 5},	//831 Soprano::Vocabulary::NRL::DefaultGraph()
	{67, 77, 0, 0, Smoke::mf_static, 146, 6},	//832 Soprano::Vocabulary::NRL::DocumentGraph()
	{67, 95, 0, 0, Smoke::mf_static, 146, 7},	//833 Soprano::Vocabulary::NRL::ExternalViewSpecification()
	{67, 103, 0, 0, Smoke::mf_static, 146, 8},	//834 Soprano::Vocabulary::NRL::FunctionalProperty()
	{67, 104, 0, 0, Smoke::mf_static, 146, 9},	//835 Soprano::Vocabulary::NRL::Graph()
	{67, 105, 0, 0, Smoke::mf_static, 146, 10},	//836 Soprano::Vocabulary::NRL::GraphMetadata()
	{67, 106, 0, 0, Smoke::mf_static, 146, 11},	//837 Soprano::Vocabulary::NRL::GraphView()
	{67, 119, 0, 0, Smoke::mf_static, 146, 12},	//838 Soprano::Vocabulary::NRL::InstanceBase()
	{67, 120, 0, 0, Smoke::mf_static, 146, 13},	//839 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
	{67, 121, 0, 0, Smoke::mf_static, 146, 14},	//840 Soprano::Vocabulary::NRL::KnowledgeBase()
	{67, 161, 0, 0, Smoke::mf_static, 146, 15},	//841 Soprano::Vocabulary::NRL::Ontology()
	{67, 207, 0, 0, Smoke::mf_static, 146, 16},	//842 Soprano::Vocabulary::NRL::ReflexiveProperty()
	{67, 222, 0, 0, Smoke::mf_static, 146, 17},	//843 Soprano::Vocabulary::NRL::RuleViewSpecification()
	{67, 223, 0, 0, Smoke::mf_static, 146, 18},	//844 Soprano::Vocabulary::NRL::Schema()
	{67, 224, 0, 0, Smoke::mf_static, 146, 19},	//845 Soprano::Vocabulary::NRL::Semantics()
	{67, 265, 0, 0, Smoke::mf_static, 146, 20},	//846 Soprano::Vocabulary::NRL::SymmetricProperty()
	{67, 271, 0, 0, Smoke::mf_static, 146, 21},	//847 Soprano::Vocabulary::NRL::TransitiveProperty()
	{67, 274, 0, 0, Smoke::mf_static, 146, 22},	//848 Soprano::Vocabulary::NRL::ViewSpecification()
	{67, 359, 0, 0, Smoke::mf_static, 146, 23},	//849 Soprano::Vocabulary::NRL::cardinality()
	{67, 425, 0, 0, Smoke::mf_static, 146, 24},	//850 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
	{67, 516, 0, 0, Smoke::mf_static, 146, 25},	//851 Soprano::Vocabulary::NRL::equivalentGraph()
	{67, 536, 0, 0, Smoke::mf_static, 146, 26},	//852 Soprano::Vocabulary::NRL::externalRealizer()
	{67, 563, 0, 0, Smoke::mf_static, 146, 27},	//853 Soprano::Vocabulary::NRL::graphMetadataFor()
	{67, 567, 0, 0, Smoke::mf_static, 146, 28},	//854 Soprano::Vocabulary::NRL::hasSemantics()
	{67, 568, 0, 0, Smoke::mf_static, 146, 29},	//855 Soprano::Vocabulary::NRL::hasSpecification()
	{67, 587, 0, 0, Smoke::mf_static, 146, 30},	//856 Soprano::Vocabulary::NRL::imports()
	{67, 600, 0, 0, Smoke::mf_static, 146, 31},	//857 Soprano::Vocabulary::NRL::inverseProperty()
	{67, 707, 0, 0, Smoke::mf_static, 146, 32},	//858 Soprano::Vocabulary::NRL::maxCardinality()
	{67, 721, 0, 0, Smoke::mf_static, 146, 33},	//859 Soprano::Vocabulary::NRL::minCardinality()
	{67, 817, 0, 0, Smoke::mf_static, 146, 34},	//860 Soprano::Vocabulary::NRL::realizes()
	{67, 865, 0, 0, Smoke::mf_static, 146, 35},	//861 Soprano::Vocabulary::NRL::rule()
	{67, 867, 0, 0, Smoke::mf_static, 146, 36},	//862 Soprano::Vocabulary::NRL::ruleLanguage()
	{67, 879, 0, 0, Smoke::mf_static, 146, 37},	//863 Soprano::Vocabulary::NRL::semanticsDefinedBy()
	{67, 977, 0, 0, Smoke::mf_static, 146, 38},	//864 Soprano::Vocabulary::NRL::subGraphOf()
	{67, 984, 0, 0, Smoke::mf_static, 146, 39},	//865 Soprano::Vocabulary::NRL::superGraphOf()
	{67, 1031, 0, 0, Smoke::mf_static, 146, 40},	//866 Soprano::Vocabulary::NRL::updatable()
	{67, 1058, 0, 0, Smoke::mf_static, 146, 41},	//867 Soprano::Vocabulary::NRL::viewOn()
	{68, 763, 0, 0, Smoke::mf_static, 146, 1},	//868 Soprano::Vocabulary::OWL::owlNamespace()
	{68, 1, 0, 0, Smoke::mf_static, 146, 2},	//869 Soprano::Vocabulary::OWL::AllDifferent()
	{68, 4, 0, 0, Smoke::mf_static, 146, 3},	//870 Soprano::Vocabulary::OWL::AnnotationProperty()
	{68, 41, 0, 0, Smoke::mf_static, 146, 4},	//871 Soprano::Vocabulary::OWL::Class()
	{68, 69, 0, 0, Smoke::mf_static, 146, 5},	//872 Soprano::Vocabulary::OWL::DataRange()
	{68, 71, 0, 0, Smoke::mf_static, 146, 6},	//873 Soprano::Vocabulary::OWL::DatatypeProperty()
	{68, 74, 0, 0, Smoke::mf_static, 146, 7},	//874 Soprano::Vocabulary::OWL::DeprecatedClass()
	{68, 75, 0, 0, Smoke::mf_static, 146, 8},	//875 Soprano::Vocabulary::OWL::DeprecatedProperty()
	{68, 103, 0, 0, Smoke::mf_static, 146, 9},	//876 Soprano::Vocabulary::OWL::FunctionalProperty()
	{68, 120, 0, 0, Smoke::mf_static, 146, 10},	//877 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
	{68, 158, 0, 0, Smoke::mf_static, 146, 11},	//878 Soprano::Vocabulary::OWL::Nothing()
	{68, 159, 0, 0, Smoke::mf_static, 146, 12},	//879 Soprano::Vocabulary::OWL::ObjectProperty()
	{68, 161, 0, 0, Smoke::mf_static, 146, 13},	//880 Soprano::Vocabulary::OWL::Ontology()
	{68, 162, 0, 0, Smoke::mf_static, 146, 14},	//881 Soprano::Vocabulary::OWL::OntologyProperty()
	{68, 213, 0, 0, Smoke::mf_static, 146, 15},	//882 Soprano::Vocabulary::OWL::Restriction()
	{68, 265, 0, 0, Smoke::mf_static, 146, 16},	//883 Soprano::Vocabulary::OWL::SymmetricProperty()
	{68, 270, 0, 0, Smoke::mf_static, 146, 17},	//884 Soprano::Vocabulary::OWL::Thing()
	{68, 271, 0, 0, Smoke::mf_static, 146, 18},	//885 Soprano::Vocabulary::OWL::TransitiveProperty()
	{68, 312, 0, 0, Smoke::mf_static, 146, 19},	//886 Soprano::Vocabulary::OWL::allValuesFrom()
	{68, 336, 0, 0, Smoke::mf_static, 146, 20},	//887 Soprano::Vocabulary::OWL::backwardCompatibleWith()
	{68, 359, 0, 0, Smoke::mf_static, 146, 21},	//888 Soprano::Vocabulary::OWL::cardinality()
	{68, 385, 0, 0, Smoke::mf_static, 146, 22},	//889 Soprano::Vocabulary::OWL::complementOf()
	{68, 471, 0, 0, Smoke::mf_static, 146, 23},	//890 Soprano::Vocabulary::OWL::differentFrom()
	{68, 499, 0, 0, Smoke::mf_static, 146, 24},	//891 Soprano::Vocabulary::OWL::disjointWith()
	{68, 500, 0, 0, Smoke::mf_static, 146, 25},	//892 Soprano::Vocabulary::OWL::distinctMembers()
	{68, 515, 0, 0, Smoke::mf_static, 146, 26},	//893 Soprano::Vocabulary::OWL::equivalentClass()
	{68, 517, 0, 0, Smoke::mf_static, 146, 27},	//894 Soprano::Vocabulary::OWL::equivalentProperty()
	{68, 574, 0, 0, Smoke::mf_static, 146, 28},	//895 Soprano::Vocabulary::OWL::hasValue()
	{68, 587, 0, 0, Smoke::mf_static, 146, 29},	//896 Soprano::Vocabulary::OWL::imports()
	{68, 589, 0, 0, Smoke::mf_static, 146, 30},	//897 Soprano::Vocabulary::OWL::incompatibleWith()
	{68, 598, 0, 0, Smoke::mf_static, 146, 31},	//898 Soprano::Vocabulary::OWL::intersectionOf()
	{68, 599, 0, 0, Smoke::mf_static, 146, 32},	//899 Soprano::Vocabulary::OWL::inverseOf()
	{68, 707, 0, 0, Smoke::mf_static, 146, 33},	//900 Soprano::Vocabulary::OWL::maxCardinality()
	{68, 721, 0, 0, Smoke::mf_static, 146, 34},	//901 Soprano::Vocabulary::OWL::minCardinality()
	{68, 740, 0, 0, Smoke::mf_static, 146, 35},	//902 Soprano::Vocabulary::OWL::onProperty()
	{68, 741, 0, 0, Smoke::mf_static, 146, 36},	//903 Soprano::Vocabulary::OWL::oneOf()
	{68, 801, 0, 0, Smoke::mf_static, 146, 37},	//904 Soprano::Vocabulary::OWL::priorVersion()
	{68, 870, 0, 0, Smoke::mf_static, 146, 38},	//905 Soprano::Vocabulary::OWL::sameAs()
	{68, 952, 0, 0, Smoke::mf_static, 146, 39},	//906 Soprano::Vocabulary::OWL::someValuesFrom()
	{68, 1025, 0, 0, Smoke::mf_static, 146, 40},	//907 Soprano::Vocabulary::OWL::unionOf()
	{68, 1049, 0, 0, Smoke::mf_static, 146, 41},	//908 Soprano::Vocabulary::OWL::versionInfo()
	{69, 815, 0, 0, Smoke::mf_static, 146, 1},	//909 Soprano::Vocabulary::RDF::rdfNamespace()
	{69, 2, 0, 0, Smoke::mf_static, 146, 2},	//910 Soprano::Vocabulary::RDF::Alt()
	{69, 33, 0, 0, Smoke::mf_static, 146, 3},	//911 Soprano::Vocabulary::RDF::Bag()
	{69, 122, 0, 0, Smoke::mf_static, 146, 4},	//912 Soprano::Vocabulary::RDF::List()
	{69, 181, 0, 0, Smoke::mf_static, 146, 5},	//913 Soprano::Vocabulary::RDF::Property()
	{69, 225, 0, 0, Smoke::mf_static, 146, 6},	//914 Soprano::Vocabulary::RDF::Seq()
	{69, 253, 0, 0, Smoke::mf_static, 146, 7},	//915 Soprano::Vocabulary::RDF::Statement()
	{69, 277, 0, 0, Smoke::mf_static, 146, 8},	//916 Soprano::Vocabulary::RDF::XMLLiteral()
	{69, 543, 0, 0, Smoke::mf_static, 146, 9},	//917 Soprano::Vocabulary::RDF::first()
	{69, 731, 0, 0, Smoke::mf_static, 146, 10},	//918 Soprano::Vocabulary::RDF::nil()
	{69, 737, 0, 0, Smoke::mf_static, 146, 11},	//919 Soprano::Vocabulary::RDF::object()
	{69, 796, 0, 0, Smoke::mf_static, 146, 12},	//920 Soprano::Vocabulary::RDF::predicate()
	{69, 860, 0, 0, Smoke::mf_static, 146, 13},	//921 Soprano::Vocabulary::RDF::rest()
	{69, 981, 0, 0, Smoke::mf_static, 146, 14},	//922 Soprano::Vocabulary::RDF::subject()
	{69, 1021, 0, 0, Smoke::mf_static, 146, 15},	//923 Soprano::Vocabulary::RDF::type()
	{69, 1041, 0, 0, Smoke::mf_static, 146, 16},	//924 Soprano::Vocabulary::RDF::value()
	{70, 816, 0, 0, Smoke::mf_static, 146, 1},	//925 Soprano::Vocabulary::RDFS::rdfsNamespace()
	{70, 41, 0, 0, Smoke::mf_static, 146, 2},	//926 Soprano::Vocabulary::RDFS::Class()
	{70, 46, 0, 0, Smoke::mf_static, 146, 3},	//927 Soprano::Vocabulary::RDFS::Container()
	{70, 47, 0, 0, Smoke::mf_static, 146, 4},	//928 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
	{70, 70, 0, 0, Smoke::mf_static, 146, 5},	//929 Soprano::Vocabulary::RDFS::Datatype()
	{70, 123, 0, 0, Smoke::mf_static, 146, 6},	//930 Soprano::Vocabulary::RDFS::Literal()
	{70, 211, 0, 0, Smoke::mf_static, 146, 7},	//931 Soprano::Vocabulary::RDFS::Resource()
	{70, 381, 0, 0, Smoke::mf_static, 146, 8},	//932 Soprano::Vocabulary::RDFS::comment()
	{70, 504, 0, 0, Smoke::mf_static, 146, 9},	//933 Soprano::Vocabulary::RDFS::domain()
	{70, 612, 0, 0, Smoke::mf_static, 146, 10},	//934 Soprano::Vocabulary::RDFS::isDefinedBy()
	{70, 670, 0, 0, Smoke::mf_static, 146, 11},	//935 Soprano::Vocabulary::RDFS::label()
	{70, 713, 0, 0, Smoke::mf_static, 146, 12},	//936 Soprano::Vocabulary::RDFS::member()
	{70, 812, 0, 0, Smoke::mf_static, 146, 13},	//937 Soprano::Vocabulary::RDFS::range()
	{70, 877, 0, 0, Smoke::mf_static, 146, 14},	//938 Soprano::Vocabulary::RDFS::seeAlso()
	{70, 974, 0, 0, Smoke::mf_static, 146, 15},	//939 Soprano::Vocabulary::RDFS::subClassOf()
	{70, 978, 0, 0, Smoke::mf_static, 146, 16},	//940 Soprano::Vocabulary::RDFS::subPropertyOf()
	{71, 950, 0, 0, Smoke::mf_static, 146, 1},	//941 Soprano::Vocabulary::SIL::silNamespace()
	{71, 116, 0, 0, Smoke::mf_static, 146, 2},	//942 Soprano::Vocabulary::SIL::InferenceMetaData()
	{71, 115, 0, 0, Smoke::mf_static, 146, 3},	//943 Soprano::Vocabulary::SIL::InferenceGraph()
	{71, 955, 0, 0, Smoke::mf_static, 146, 4},	//944 Soprano::Vocabulary::SIL::sourceStatement()
	{71, 420, 0, 0, Smoke::mf_static, 146, 5},	//945 Soprano::Vocabulary::SIL::context()
	{72, 1073, 0, 0, Smoke::mf_static, 146, 1},	//946 Soprano::Vocabulary::XMLSchema::xsdNamespace()
	{72, 1071, 0, 0, Smoke::mf_static, 146, 2},	//947 Soprano::Vocabulary::XMLSchema::xsdInt()
	{72, 595, 0, 0, Smoke::mf_static, 146, 3},	//948 Soprano::Vocabulary::XMLSchema::integer()
	{72, 729, 0, 0, Smoke::mf_static, 146, 4},	//949 Soprano::Vocabulary::XMLSchema::negativeInteger()
	{72, 734, 0, 0, Smoke::mf_static, 146, 5},	//950 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
	{72, 459, 0, 0, Smoke::mf_static, 146, 6},	//951 Soprano::Vocabulary::XMLSchema::decimal()
	{72, 1074, 0, 0, Smoke::mf_static, 146, 7},	//952 Soprano::Vocabulary::XMLSchema::xsdShort()
	{72, 1072, 0, 0, Smoke::mf_static, 146, 8},	//953 Soprano::Vocabulary::XMLSchema::xsdLong()
	{72, 1028, 0, 0, Smoke::mf_static, 146, 9},	//954 Soprano::Vocabulary::XMLSchema::unsignedInt()
	{72, 1030, 0, 0, Smoke::mf_static, 146, 10},	//955 Soprano::Vocabulary::XMLSchema::unsignedShort()
	{72, 1029, 0, 0, Smoke::mf_static, 146, 11},	//956 Soprano::Vocabulary::XMLSchema::unsignedLong()
	{72, 973, 0, 0, Smoke::mf_static, 146, 12},	//957 Soprano::Vocabulary::XMLSchema::string()
	{72, 1070, 0, 0, Smoke::mf_static, 146, 13},	//958 Soprano::Vocabulary::XMLSchema::xsdFloat()
	{72, 1069, 0, 0, Smoke::mf_static, 146, 14},	//959 Soprano::Vocabulary::XMLSchema::xsdDouble()
	{72, 353, 0, 0, Smoke::mf_static, 146, 15},	//960 Soprano::Vocabulary::XMLSchema::boolean()
	{72, 456, 0, 0, Smoke::mf_static, 146, 16},	//961 Soprano::Vocabulary::XMLSchema::date()
	{72, 457, 0, 0, Smoke::mf_static, 146, 17},	//962 Soprano::Vocabulary::XMLSchema::dateTime()
	{72, 997, 0, 0, Smoke::mf_static, 146, 18},	//963 Soprano::Vocabulary::XMLSchema::time()
	{72, 337, 0, 0, Smoke::mf_static, 146, 19},	//964 Soprano::Vocabulary::XMLSchema::base64Binary()
	{73, 1068, 0, 0, Smoke::mf_static, 146, 1},	//965 Soprano::Vocabulary::Xesam::xesamNamespace()
	{73, 1067, 0, 0, Smoke::mf_static, 146, 2},	//966 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
	{73, 3, 0, 0, Smoke::mf_static, 146, 3},	//967 Soprano::Vocabulary::Xesam::Annotation()
	{73, 5, 0, 0, Smoke::mf_static, 146, 4},	//968 Soprano::Vocabulary::Xesam::Archive()
	{73, 6, 0, 0, Smoke::mf_static, 146, 5},	//969 Soprano::Vocabulary::Xesam::ArchivedFile()
	{73, 10, 0, 0, Smoke::mf_static, 146, 6},	//970 Soprano::Vocabulary::Xesam::Audio()
	{73, 11, 0, 0, Smoke::mf_static, 146, 7},	//971 Soprano::Vocabulary::Xesam::AudioList()
	{73, 37, 0, 0, Smoke::mf_static, 146, 8},	//972 Soprano::Vocabulary::Xesam::BlockDevice()
	{73, 38, 0, 0, Smoke::mf_static, 146, 9},	//973 Soprano::Vocabulary::Xesam::Bookmark()
	{73, 42, 0, 0, Smoke::mf_static, 146, 10},	//974 Soprano::Vocabulary::Xesam::CommunicationChannel()
	{73, 44, 0, 0, Smoke::mf_static, 146, 11},	//975 Soprano::Vocabulary::Xesam::Contact()
	{73, 45, 0, 0, Smoke::mf_static, 146, 12},	//976 Soprano::Vocabulary::Xesam::ContactGroup()
	{73, 48, 0, 0, Smoke::mf_static, 146, 13},	//977 Soprano::Vocabulary::Xesam::Content()
	{73, 68, 0, 0, Smoke::mf_static, 146, 14},	//978 Soprano::Vocabulary::Xesam::DataObject()
	{73, 73, 0, 0, Smoke::mf_static, 146, 15},	//979 Soprano::Vocabulary::Xesam::DeletedFile()
	{73, 76, 0, 0, Smoke::mf_static, 146, 16},	//980 Soprano::Vocabulary::Xesam::Document()
	{73, 78, 0, 0, Smoke::mf_static, 146, 17},	//981 Soprano::Vocabulary::Xesam::Documentation()
	{73, 79, 0, 0, Smoke::mf_static, 146, 18},	//982 Soprano::Vocabulary::Xesam::Email()
	{73, 80, 0, 0, Smoke::mf_static, 146, 19},	//983 Soprano::Vocabulary::Xesam::EmailAttachment()
	{73, 81, 0, 0, Smoke::mf_static, 146, 20},	//984 Soprano::Vocabulary::Xesam::EmbeddedObject()
	{73, 96, 0, 0, Smoke::mf_static, 146, 21},	//985 Soprano::Vocabulary::Xesam::File()
	{73, 97, 0, 0, Smoke::mf_static, 146, 22},	//986 Soprano::Vocabulary::Xesam::FileSystem()
	{73, 98, 0, 0, Smoke::mf_static, 146, 23},	//987 Soprano::Vocabulary::Xesam::Filelike()
	{73, 101, 0, 0, Smoke::mf_static, 146, 24},	//988 Soprano::Vocabulary::Xesam::Folder()
	{73, 107, 0, 0, Smoke::mf_static, 146, 25},	//989 Soprano::Vocabulary::Xesam::IMAP4Message()
	{73, 108, 0, 0, Smoke::mf_static, 146, 26},	//990 Soprano::Vocabulary::Xesam::IMMessage()
	{73, 109, 0, 0, Smoke::mf_static, 146, 27},	//991 Soprano::Vocabulary::Xesam::Image()
	{73, 134, 0, 0, Smoke::mf_static, 146, 28},	//992 Soprano::Vocabulary::Xesam::MailingList()
	{73, 135, 0, 0, Smoke::mf_static, 146, 29},	//993 Soprano::Vocabulary::Xesam::MailingListEmail()
	{73, 136, 0, 0, Smoke::mf_static, 146, 30},	//994 Soprano::Vocabulary::Xesam::Media()
	{73, 137, 0, 0, Smoke::mf_static, 146, 31},	//995 Soprano::Vocabulary::Xesam::MediaList()
	{73, 138, 0, 0, Smoke::mf_static, 146, 32},	//996 Soprano::Vocabulary::Xesam::Message()
	{73, 139, 0, 0, Smoke::mf_static, 146, 33},	//997 Soprano::Vocabulary::Xesam::MessageboxMessage()
	{73, 142, 0, 0, Smoke::mf_static, 146, 34},	//998 Soprano::Vocabulary::Xesam::Music()
	{73, 147, 0, 0, Smoke::mf_static, 146, 35},	//999 Soprano::Vocabulary::Xesam::NewsGroup()
	{73, 148, 0, 0, Smoke::mf_static, 146, 36},	//1000 Soprano::Vocabulary::Xesam::NewsGroupEmail()
	{73, 160, 0, 0, Smoke::mf_static, 146, 37},	//1001 Soprano::Vocabulary::Xesam::OfflineMedia()
	{73, 163, 0, 0, Smoke::mf_static, 146, 38},	//1002 Soprano::Vocabulary::Xesam::Organization()
	{73, 164, 0, 0, Smoke::mf_static, 146, 39},	//1003 Soprano::Vocabulary::Xesam::POP3Message()
	{73, 172, 0, 0, Smoke::mf_static, 146, 40},	//1004 Soprano::Vocabulary::Xesam::Person()
	{73, 173, 0, 0, Smoke::mf_static, 146, 41},	//1005 Soprano::Vocabulary::Xesam::PersonalEmail()
	{73, 174, 0, 0, Smoke::mf_static, 146, 42},	//1006 Soprano::Vocabulary::Xesam::Photo()
	{73, 179, 0, 0, Smoke::mf_static, 146, 43},	//1007 Soprano::Vocabulary::Xesam::Presentation()
	{73, 180, 0, 0, Smoke::mf_static, 146, 44},	//1008 Soprano::Vocabulary::Xesam::Project()
	{73, 199, 0, 0, Smoke::mf_static, 146, 45},	//1009 Soprano::Vocabulary::Xesam::RSSFeed()
	{73, 200, 0, 0, Smoke::mf_static, 146, 46},	//1010 Soprano::Vocabulary::Xesam::RSSMessage()
	{73, 208, 0, 0, Smoke::mf_static, 146, 47},	//1011 Soprano::Vocabulary::Xesam::RemoteFile()
	{73, 209, 0, 0, Smoke::mf_static, 146, 48},	//1012 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
	{73, 210, 0, 0, Smoke::mf_static, 146, 49},	//1013 Soprano::Vocabulary::Xesam::RemoteResource()
	{73, 214, 0, 0, Smoke::mf_static, 146, 50},	//1014 Soprano::Vocabulary::Xesam::RevisionControlledFile()
	{73, 215, 0, 0, Smoke::mf_static, 146, 51},	//1015 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
	{73, 244, 0, 0, Smoke::mf_static, 146, 52},	//1016 Soprano::Vocabulary::Xesam::SoftwarePackage()
	{73, 245, 0, 0, Smoke::mf_static, 146, 53},	//1017 Soprano::Vocabulary::Xesam::Source()
	{73, 246, 0, 0, Smoke::mf_static, 146, 54},	//1018 Soprano::Vocabulary::Xesam::SourceCode()
	{73, 252, 0, 0, Smoke::mf_static, 146, 55},	//1019 Soprano::Vocabulary::Xesam::Spreadsheet()
	{73, 266, 0, 0, Smoke::mf_static, 146, 56},	//1020 Soprano::Vocabulary::Xesam::SystemResource()
	{73, 267, 0, 0, Smoke::mf_static, 146, 57},	//1021 Soprano::Vocabulary::Xesam::Tag()
	{73, 268, 0, 0, Smoke::mf_static, 146, 58},	//1022 Soprano::Vocabulary::Xesam::Text()
	{73, 269, 0, 0, Smoke::mf_static, 146, 59},	//1023 Soprano::Vocabulary::Xesam::TextDocument()
	{73, 272, 0, 0, Smoke::mf_static, 146, 60},	//1024 Soprano::Vocabulary::Xesam::UncategorizedText()
	{73, 273, 0, 0, Smoke::mf_static, 146, 61},	//1025 Soprano::Vocabulary::Xesam::Video()
	{73, 275, 0, 0, Smoke::mf_static, 146, 62},	//1026 Soprano::Vocabulary::Xesam::Visual()
	{73, 276, 0, 0, Smoke::mf_static, 146, 63},	//1027 Soprano::Vocabulary::Xesam::XML()
	{73, 278, 0, 0, Smoke::mf_static, 146, 64},	//1028 Soprano::Vocabulary::Xesam::acl()
	{73, 299, 0, 0, Smoke::mf_static, 146, 65},	//1029 Soprano::Vocabulary::Xesam::album()
	{73, 300, 0, 0, Smoke::mf_static, 146, 66},	//1030 Soprano::Vocabulary::Xesam::albumArtist()
	{73, 301, 0, 0, Smoke::mf_static, 146, 67},	//1031 Soprano::Vocabulary::Xesam::albumGain()
	{73, 302, 0, 0, Smoke::mf_static, 146, 68},	//1032 Soprano::Vocabulary::Xesam::albumPeakGain()
	{73, 303, 0, 0, Smoke::mf_static, 146, 69},	//1033 Soprano::Vocabulary::Xesam::albumTrackCount()
	{73, 316, 0, 0, Smoke::mf_static, 146, 70},	//1034 Soprano::Vocabulary::Xesam::aperture()
	{73, 317, 0, 0, Smoke::mf_static, 146, 71},	//1035 Soprano::Vocabulary::Xesam::artist()
	{73, 318, 0, 0, Smoke::mf_static, 146, 72},	//1036 Soprano::Vocabulary::Xesam::asText()
	{73, 319, 0, 0, Smoke::mf_static, 146, 73},	//1037 Soprano::Vocabulary::Xesam::aspectRatio()
	{73, 323, 0, 0, Smoke::mf_static, 146, 74},	//1038 Soprano::Vocabulary::Xesam::attachmentEncoding()
	{73, 324, 0, 0, Smoke::mf_static, 146, 75},	//1039 Soprano::Vocabulary::Xesam::audioBPM()
	{73, 325, 0, 0, Smoke::mf_static, 146, 76},	//1040 Soprano::Vocabulary::Xesam::audioBitrate()
	{73, 326, 0, 0, Smoke::mf_static, 146, 77},	//1041 Soprano::Vocabulary::Xesam::audioChannels()
	{73, 327, 0, 0, Smoke::mf_static, 146, 78},	//1042 Soprano::Vocabulary::Xesam::audioCodec()
	{73, 328, 0, 0, Smoke::mf_static, 146, 79},	//1043 Soprano::Vocabulary::Xesam::audioCodecType()
	{73, 329, 0, 0, Smoke::mf_static, 146, 80},	//1044 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
	{73, 330, 0, 0, Smoke::mf_static, 146, 81},	//1045 Soprano::Vocabulary::Xesam::audioSampleCount()
	{73, 331, 0, 0, Smoke::mf_static, 146, 82},	//1046 Soprano::Vocabulary::Xesam::audioSampleDataType()
	{73, 332, 0, 0, Smoke::mf_static, 146, 83},	//1047 Soprano::Vocabulary::Xesam::audioSampleRate()
	{73, 333, 0, 0, Smoke::mf_static, 146, 84},	//1048 Soprano::Vocabulary::Xesam::author()
	{73, 334, 0, 0, Smoke::mf_static, 146, 85},	//1049 Soprano::Vocabulary::Xesam::autoRating()
	{73, 338, 0, 0, Smoke::mf_static, 146, 86},	//1050 Soprano::Vocabulary::Xesam::baseRevisionID()
	{73, 339, 0, 0, Smoke::mf_static, 146, 87},	//1051 Soprano::Vocabulary::Xesam::bcc()
	{73, 350, 0, 0, Smoke::mf_static, 146, 88},	//1052 Soprano::Vocabulary::Xesam::birthDate()
	{73, 351, 0, 0, Smoke::mf_static, 146, 89},	//1053 Soprano::Vocabulary::Xesam::blogContactURL()
	{73, 357, 0, 0, Smoke::mf_static, 146, 90},	//1054 Soprano::Vocabulary::Xesam::cameraManufacturer()
	{73, 358, 0, 0, Smoke::mf_static, 146, 91},	//1055 Soprano::Vocabulary::Xesam::cameraModel()
	{73, 360, 0, 0, Smoke::mf_static, 146, 92},	//1056 Soprano::Vocabulary::Xesam::cc()
	{73, 361, 0, 0, Smoke::mf_static, 146, 93},	//1057 Soprano::Vocabulary::Xesam::ccdWidth()
	{73, 362, 0, 0, Smoke::mf_static, 146, 94},	//1058 Soprano::Vocabulary::Xesam::cellPhoneNumber()
	{73, 363, 0, 0, Smoke::mf_static, 146, 95},	//1059 Soprano::Vocabulary::Xesam::changeCommitTime()
	{73, 364, 0, 0, Smoke::mf_static, 146, 96},	//1060 Soprano::Vocabulary::Xesam::changeCommitter()
	{73, 365, 0, 0, Smoke::mf_static, 146, 97},	//1061 Soprano::Vocabulary::Xesam::characterCount()
	{73, 366, 0, 0, Smoke::mf_static, 146, 98},	//1062 Soprano::Vocabulary::Xesam::charset()
	{73, 367, 0, 0, Smoke::mf_static, 146, 99},	//1063 Soprano::Vocabulary::Xesam::chatRoom()
	{73, 377, 0, 0, Smoke::mf_static, 146, 100},	//1064 Soprano::Vocabulary::Xesam::colorCount()
	{73, 378, 0, 0, Smoke::mf_static, 146, 101},	//1065 Soprano::Vocabulary::Xesam::colorSpace()
	{73, 380, 0, 0, Smoke::mf_static, 146, 102},	//1066 Soprano::Vocabulary::Xesam::columnCount()
	{73, 381, 0, 0, Smoke::mf_static, 146, 103},	//1067 Soprano::Vocabulary::Xesam::comment()
	{73, 382, 0, 0, Smoke::mf_static, 146, 104},	//1068 Soprano::Vocabulary::Xesam::commentCharacterCount()
	{73, 383, 0, 0, Smoke::mf_static, 146, 105},	//1069 Soprano::Vocabulary::Xesam::commitDiff()
	{73, 384, 0, 0, Smoke::mf_static, 146, 106},	//1070 Soprano::Vocabulary::Xesam::communicationChannel()
	{73, 386, 0, 0, Smoke::mf_static, 146, 107},	//1071 Soprano::Vocabulary::Xesam::composer()
	{73, 387, 0, 0, Smoke::mf_static, 146, 108},	//1072 Soprano::Vocabulary::Xesam::compressionAlgorithm()
	{73, 388, 0, 0, Smoke::mf_static, 146, 109},	//1073 Soprano::Vocabulary::Xesam::compressionLevel()
	{73, 389, 0, 0, Smoke::mf_static, 146, 110},	//1074 Soprano::Vocabulary::Xesam::conflicts()
	{73, 392, 0, 0, Smoke::mf_static, 146, 111},	//1075 Soprano::Vocabulary::Xesam::contactMedium()
	{73, 393, 0, 0, Smoke::mf_static, 146, 112},	//1076 Soprano::Vocabulary::Xesam::contactNick()
	{73, 394, 0, 0, Smoke::mf_static, 146, 113},	//1077 Soprano::Vocabulary::Xesam::contactURL()
	{73, 395, 0, 0, Smoke::mf_static, 146, 114},	//1078 Soprano::Vocabulary::Xesam::contains()
	{73, 415, 0, 0, Smoke::mf_static, 146, 115},	//1079 Soprano::Vocabulary::Xesam::contentComment()
	{73, 416, 0, 0, Smoke::mf_static, 146, 116},	//1080 Soprano::Vocabulary::Xesam::contentCreated()
	{73, 417, 0, 0, Smoke::mf_static, 146, 117},	//1081 Soprano::Vocabulary::Xesam::contentKeyword()
	{73, 418, 0, 0, Smoke::mf_static, 146, 118},	//1082 Soprano::Vocabulary::Xesam::contentModified()
	{73, 419, 0, 0, Smoke::mf_static, 146, 119},	//1083 Soprano::Vocabulary::Xesam::contentType()
	{73, 421, 0, 0, Smoke::mf_static, 146, 120},	//1084 Soprano::Vocabulary::Xesam::contributor()
	{73, 424, 0, 0, Smoke::mf_static, 146, 121},	//1085 Soprano::Vocabulary::Xesam::copyright()
	{73, 447, 0, 0, Smoke::mf_static, 146, 122},	//1086 Soprano::Vocabulary::Xesam::creator()
	{73, 461, 0, 0, Smoke::mf_static, 146, 123},	//1087 Soprano::Vocabulary::Xesam::definesClass()
	{73, 462, 0, 0, Smoke::mf_static, 146, 124},	//1088 Soprano::Vocabulary::Xesam::definesFunction()
	{73, 463, 0, 0, Smoke::mf_static, 146, 125},	//1089 Soprano::Vocabulary::Xesam::definesGlobalVariable()
	{73, 467, 0, 0, Smoke::mf_static, 146, 126},	//1090 Soprano::Vocabulary::Xesam::deletionTime()
	{73, 468, 0, 0, Smoke::mf_static, 146, 127},	//1091 Soprano::Vocabulary::Xesam::depends()
	{73, 469, 0, 0, Smoke::mf_static, 146, 128},	//1092 Soprano::Vocabulary::Xesam::derivedFrom()
	{73, 470, 0, 0, Smoke::mf_static, 146, 129},	//1093 Soprano::Vocabulary::Xesam::description()
	{73, 480, 0, 0, Smoke::mf_static, 146, 130},	//1094 Soprano::Vocabulary::Xesam::discNumber()
	{73, 481, 0, 0, Smoke::mf_static, 146, 131},	//1095 Soprano::Vocabulary::Xesam::disclaimer()
	{73, 501, 0, 0, Smoke::mf_static, 146, 132},	//1096 Soprano::Vocabulary::Xesam::documentCategory()
	{73, 509, 0, 0, Smoke::mf_static, 146, 133},	//1097 Soprano::Vocabulary::Xesam::emailAddress()
	{73, 533, 0, 0, Smoke::mf_static, 146, 134},	//1098 Soprano::Vocabulary::Xesam::exposureBias()
	{73, 534, 0, 0, Smoke::mf_static, 146, 135},	//1099 Soprano::Vocabulary::Xesam::exposureProgram()
	{73, 535, 0, 0, Smoke::mf_static, 146, 136},	//1100 Soprano::Vocabulary::Xesam::exposureTime()
	{73, 537, 0, 0, Smoke::mf_static, 146, 137},	//1101 Soprano::Vocabulary::Xesam::familyName()
	{73, 538, 0, 0, Smoke::mf_static, 146, 138},	//1102 Soprano::Vocabulary::Xesam::faxPhoneNumber()
	{73, 539, 0, 0, Smoke::mf_static, 146, 139},	//1103 Soprano::Vocabulary::Xesam::fileExtension()
	{73, 541, 0, 0, Smoke::mf_static, 146, 140},	//1104 Soprano::Vocabulary::Xesam::fileSystemType()
	{73, 542, 0, 0, Smoke::mf_static, 146, 141},	//1105 Soprano::Vocabulary::Xesam::fingerprint()
	{73, 544, 0, 0, Smoke::mf_static, 146, 142},	//1106 Soprano::Vocabulary::Xesam::firstUsed()
	{73, 545, 0, 0, Smoke::mf_static, 146, 143},	//1107 Soprano::Vocabulary::Xesam::flashUsed()
	{73, 546, 0, 0, Smoke::mf_static, 146, 144},	//1108 Soprano::Vocabulary::Xesam::focalLength()
	{73, 547, 0, 0, Smoke::mf_static, 146, 145},	//1109 Soprano::Vocabulary::Xesam::focusDistance()
	{73, 549, 0, 0, Smoke::mf_static, 146, 146},	//1110 Soprano::Vocabulary::Xesam::formatSubtype()
	{73, 550, 0, 0, Smoke::mf_static, 146, 147},	//1111 Soprano::Vocabulary::Xesam::frameCount()
	{73, 551, 0, 0, Smoke::mf_static, 146, 148},	//1112 Soprano::Vocabulary::Xesam::frameRate()
	{73, 552, 0, 0, Smoke::mf_static, 146, 149},	//1113 Soprano::Vocabulary::Xesam::freeSpace()
	{73, 556, 0, 0, Smoke::mf_static, 146, 150},	//1114 Soprano::Vocabulary::Xesam::gender()
	{73, 557, 0, 0, Smoke::mf_static, 146, 151},	//1115 Soprano::Vocabulary::Xesam::generator()
	{73, 558, 0, 0, Smoke::mf_static, 146, 152},	//1116 Soprano::Vocabulary::Xesam::generatorOptions()
	{73, 559, 0, 0, Smoke::mf_static, 146, 153},	//1117 Soprano::Vocabulary::Xesam::genre()
	{73, 562, 0, 0, Smoke::mf_static, 146, 154},	//1118 Soprano::Vocabulary::Xesam::givenName()
	{73, 564, 0, 0, Smoke::mf_static, 146, 155},	//1119 Soprano::Vocabulary::Xesam::group()
	{73, 575, 0, 0, Smoke::mf_static, 146, 156},	//1120 Soprano::Vocabulary::Xesam::height()
	{73, 576, 0, 0, Smoke::mf_static, 146, 157},	//1121 Soprano::Vocabulary::Xesam::homeEmailAddress()
	{73, 577, 0, 0, Smoke::mf_static, 146, 158},	//1122 Soprano::Vocabulary::Xesam::homePhoneNumber()
	{73, 578, 0, 0, Smoke::mf_static, 146, 159},	//1123 Soprano::Vocabulary::Xesam::homePostalAddress()
	{73, 579, 0, 0, Smoke::mf_static, 146, 160},	//1124 Soprano::Vocabulary::Xesam::homepageContactURL()
	{73, 580, 0, 0, Smoke::mf_static, 146, 161},	//1125 Soprano::Vocabulary::Xesam::honorificPrefix()
	{73, 581, 0, 0, Smoke::mf_static, 146, 162},	//1126 Soprano::Vocabulary::Xesam::honorificSuffix()
	{73, 582, 0, 0, Smoke::mf_static, 146, 163},	//1127 Soprano::Vocabulary::Xesam::horizontalResolution()
	{73, 584, 0, 0, Smoke::mf_static, 146, 164},	//1128 Soprano::Vocabulary::Xesam::id()
	{73, 586, 0, 0, Smoke::mf_static, 146, 165},	//1129 Soprano::Vocabulary::Xesam::imContactMedium()
	{73, 588, 0, 0, Smoke::mf_static, 146, 166},	//1130 Soprano::Vocabulary::Xesam::inReplyTo()
	{73, 596, 0, 0, Smoke::mf_static, 146, 167},	//1131 Soprano::Vocabulary::Xesam::interest()
	{73, 597, 0, 0, Smoke::mf_static, 146, 168},	//1132 Soprano::Vocabulary::Xesam::interlaceMode()
	{73, 601, 0, 0, Smoke::mf_static, 146, 169},	//1133 Soprano::Vocabulary::Xesam::ircContactMedium()
	{73, 609, 0, 0, Smoke::mf_static, 146, 170},	//1134 Soprano::Vocabulary::Xesam::isContentEncrypted()
	{73, 622, 0, 0, Smoke::mf_static, 146, 171},	//1135 Soprano::Vocabulary::Xesam::isEncrypted()
	{73, 624, 0, 0, Smoke::mf_static, 146, 172},	//1136 Soprano::Vocabulary::Xesam::isImportant()
	{73, 625, 0, 0, Smoke::mf_static, 146, 173},	//1137 Soprano::Vocabulary::Xesam::isInProgress()
	{73, 636, 0, 0, Smoke::mf_static, 146, 174},	//1138 Soprano::Vocabulary::Xesam::isPublicChannel()
	{73, 637, 0, 0, Smoke::mf_static, 146, 175},	//1139 Soprano::Vocabulary::Xesam::isRead()
	{73, 640, 0, 0, Smoke::mf_static, 146, 176},	//1140 Soprano::Vocabulary::Xesam::isSourceEncrypted()
	{73, 655, 0, 0, Smoke::mf_static, 146, 177},	//1141 Soprano::Vocabulary::Xesam::isoEquivalent()
	{73, 667, 0, 0, Smoke::mf_static, 146, 178},	//1142 Soprano::Vocabulary::Xesam::jabberContactMedium()
	{73, 668, 0, 0, Smoke::mf_static, 146, 179},	//1143 Soprano::Vocabulary::Xesam::keyword()
	{73, 669, 0, 0, Smoke::mf_static, 146, 180},	//1144 Soprano::Vocabulary::Xesam::knows()
	{73, 671, 0, 0, Smoke::mf_static, 146, 181},	//1145 Soprano::Vocabulary::Xesam::language()
	{73, 673, 0, 0, Smoke::mf_static, 146, 182},	//1146 Soprano::Vocabulary::Xesam::lastRefreshed()
	{73, 674, 0, 0, Smoke::mf_static, 146, 183},	//1147 Soprano::Vocabulary::Xesam::lastUsed()
	{73, 675, 0, 0, Smoke::mf_static, 146, 184},	//1148 Soprano::Vocabulary::Xesam::legal()
	{73, 676, 0, 0, Smoke::mf_static, 146, 185},	//1149 Soprano::Vocabulary::Xesam::license()
	{73, 677, 0, 0, Smoke::mf_static, 146, 186},	//1150 Soprano::Vocabulary::Xesam::licenseType()
	{73, 679, 0, 0, Smoke::mf_static, 146, 187},	//1151 Soprano::Vocabulary::Xesam::lineCount()
	{73, 680, 0, 0, Smoke::mf_static, 146, 188},	//1152 Soprano::Vocabulary::Xesam::links()
	{73, 696, 0, 0, Smoke::mf_static, 146, 189},	//1153 Soprano::Vocabulary::Xesam::localRevision()
	{73, 698, 0, 0, Smoke::mf_static, 146, 190},	//1154 Soprano::Vocabulary::Xesam::lyricist()
	{73, 699, 0, 0, Smoke::mf_static, 146, 191},	//1155 Soprano::Vocabulary::Xesam::mailingList()
	{73, 700, 0, 0, Smoke::mf_static, 146, 192},	//1156 Soprano::Vocabulary::Xesam::mailingPostalAddress()
	{73, 701, 0, 0, Smoke::mf_static, 146, 193},	//1157 Soprano::Vocabulary::Xesam::maintainer()
	{73, 702, 0, 0, Smoke::mf_static, 146, 194},	//1158 Soprano::Vocabulary::Xesam::markupCharacterCount()
	{73, 708, 0, 0, Smoke::mf_static, 146, 195},	//1159 Soprano::Vocabulary::Xesam::md5Hash()
	{73, 709, 0, 0, Smoke::mf_static, 146, 196},	//1160 Soprano::Vocabulary::Xesam::mediaBitrate()
	{73, 710, 0, 0, Smoke::mf_static, 146, 197},	//1161 Soprano::Vocabulary::Xesam::mediaCodec()
	{73, 711, 0, 0, Smoke::mf_static, 146, 198},	//1162 Soprano::Vocabulary::Xesam::mediaCodecType()
	{73, 712, 0, 0, Smoke::mf_static, 146, 199},	//1163 Soprano::Vocabulary::Xesam::mediaDuration()
	{73, 714, 0, 0, Smoke::mf_static, 146, 200},	//1164 Soprano::Vocabulary::Xesam::mergeConflict()
	{73, 717, 0, 0, Smoke::mf_static, 146, 201},	//1165 Soprano::Vocabulary::Xesam::meteringMode()
	{73, 718, 0, 0, Smoke::mf_static, 146, 202},	//1166 Soprano::Vocabulary::Xesam::mimeType()
	{73, 726, 0, 0, Smoke::mf_static, 146, 203},	//1167 Soprano::Vocabulary::Xesam::mountPoint()
	{73, 727, 0, 0, Smoke::mf_static, 146, 204},	//1168 Soprano::Vocabulary::Xesam::name()
	{73, 730, 0, 0, Smoke::mf_static, 146, 205},	//1169 Soprano::Vocabulary::Xesam::newsGroup()
	{73, 739, 0, 0, Smoke::mf_static, 146, 206},	//1170 Soprano::Vocabulary::Xesam::occupiedSpace()
	{73, 759, 0, 0, Smoke::mf_static, 146, 207},	//1171 Soprano::Vocabulary::Xesam::orientation()
	{73, 760, 0, 0, Smoke::mf_static, 146, 208},	//1172 Soprano::Vocabulary::Xesam::originURL()
	{73, 761, 0, 0, Smoke::mf_static, 146, 209},	//1173 Soprano::Vocabulary::Xesam::originalLocation()
	{73, 762, 0, 0, Smoke::mf_static, 146, 210},	//1174 Soprano::Vocabulary::Xesam::otherName()
	{73, 764, 0, 0, Smoke::mf_static, 146, 211},	//1175 Soprano::Vocabulary::Xesam::owner()
	{73, 765, 0, 0, Smoke::mf_static, 146, 212},	//1176 Soprano::Vocabulary::Xesam::pageCount()
	{73, 766, 0, 0, Smoke::mf_static, 146, 213},	//1177 Soprano::Vocabulary::Xesam::paragraphCount()
	{73, 785, 0, 0, Smoke::mf_static, 146, 214},	//1178 Soprano::Vocabulary::Xesam::performer()
	{73, 786, 0, 0, Smoke::mf_static, 146, 215},	//1179 Soprano::Vocabulary::Xesam::permissions()
	{73, 787, 0, 0, Smoke::mf_static, 146, 216},	//1180 Soprano::Vocabulary::Xesam::personPhoto()
	{73, 789, 0, 0, Smoke::mf_static, 146, 217},	//1181 Soprano::Vocabulary::Xesam::phoneNumber()
	{73, 790, 0, 0, Smoke::mf_static, 146, 218},	//1182 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
	{73, 791, 0, 0, Smoke::mf_static, 146, 219},	//1183 Soprano::Vocabulary::Xesam::pixelDataType()
	{73, 794, 0, 0, Smoke::mf_static, 146, 220},	//1184 Soprano::Vocabulary::Xesam::postalAddress()
	{73, 800, 0, 0, Smoke::mf_static, 146, 221},	//1185 Soprano::Vocabulary::Xesam::primaryRecipient()
	{73, 802, 0, 0, Smoke::mf_static, 146, 222},	//1186 Soprano::Vocabulary::Xesam::programmingLanguage()
	{73, 819, 0, 0, Smoke::mf_static, 146, 223},	//1187 Soprano::Vocabulary::Xesam::receptionTime()
	{73, 820, 0, 0, Smoke::mf_static, 146, 224},	//1188 Soprano::Vocabulary::Xesam::recipient()
	{73, 828, 0, 0, Smoke::mf_static, 146, 225},	//1189 Soprano::Vocabulary::Xesam::related()
	{73, 829, 0, 0, Smoke::mf_static, 146, 226},	//1190 Soprano::Vocabulary::Xesam::remotePassword()
	{73, 830, 0, 0, Smoke::mf_static, 146, 227},	//1191 Soprano::Vocabulary::Xesam::remotePort()
	{73, 831, 0, 0, Smoke::mf_static, 146, 228},	//1192 Soprano::Vocabulary::Xesam::remoteServer()
	{73, 832, 0, 0, Smoke::mf_static, 146, 229},	//1193 Soprano::Vocabulary::Xesam::remoteUser()
	{73, 857, 0, 0, Smoke::mf_static, 146, 230},	//1194 Soprano::Vocabulary::Xesam::replyTo()
	{73, 863, 0, 0, Smoke::mf_static, 146, 231},	//1195 Soprano::Vocabulary::Xesam::rowCount()
	{73, 864, 0, 0, Smoke::mf_static, 146, 232},	//1196 Soprano::Vocabulary::Xesam::rssFeed()
	{73, 871, 0, 0, Smoke::mf_static, 146, 233},	//1197 Soprano::Vocabulary::Xesam::sampleConfiguration()
	{73, 872, 0, 0, Smoke::mf_static, 146, 234},	//1198 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
	{73, 873, 0, 0, Smoke::mf_static, 146, 235},	//1199 Soprano::Vocabulary::Xesam::sampleDataType()
	{73, 876, 0, 0, Smoke::mf_static, 146, 236},	//1200 Soprano::Vocabulary::Xesam::secondaryRecipient()
	{73, 878, 0, 0, Smoke::mf_static, 146, 237},	//1201 Soprano::Vocabulary::Xesam::seenAttachedAs()
	{73, 904, 0, 0, Smoke::mf_static, 146, 238},	//1202 Soprano::Vocabulary::Xesam::setCount()
	{73, 932, 0, 0, Smoke::mf_static, 146, 239},	//1203 Soprano::Vocabulary::Xesam::setRate()
	{73, 949, 0, 0, Smoke::mf_static, 146, 240},	//1204 Soprano::Vocabulary::Xesam::sha1Hash()
	{73, 951, 0, 0, Smoke::mf_static, 146, 241},	//1205 Soprano::Vocabulary::Xesam::size()
	{73, 953, 0, 0, Smoke::mf_static, 146, 242},	//1206 Soprano::Vocabulary::Xesam::sourceCreated()
	{73, 954, 0, 0, Smoke::mf_static, 146, 243},	//1207 Soprano::Vocabulary::Xesam::sourceModified()
	{73, 972, 0, 0, Smoke::mf_static, 146, 244},	//1208 Soprano::Vocabulary::Xesam::storageSize()
	{73, 981, 0, 0, Smoke::mf_static, 146, 245},	//1209 Soprano::Vocabulary::Xesam::subject()
	{73, 983, 0, 0, Smoke::mf_static, 146, 246},	//1210 Soprano::Vocabulary::Xesam::summary()
	{73, 985, 0, 0, Smoke::mf_static, 146, 247},	//1211 Soprano::Vocabulary::Xesam::supercedes()
	{73, 996, 0, 0, Smoke::mf_static, 146, 248},	//1212 Soprano::Vocabulary::Xesam::targetQuality()
	{73, 1000, 0, 0, Smoke::mf_static, 146, 249},	//1213 Soprano::Vocabulary::Xesam::title()
	{73, 1001, 0, 0, Smoke::mf_static, 146, 250},	//1214 Soprano::Vocabulary::Xesam::to()
	{73, 1015, 0, 0, Smoke::mf_static, 146, 251},	//1215 Soprano::Vocabulary::Xesam::totalSpace()
	{73, 1016, 0, 0, Smoke::mf_static, 146, 252},	//1216 Soprano::Vocabulary::Xesam::totalUncompressedSize()
	{73, 1017, 0, 0, Smoke::mf_static, 146, 253},	//1217 Soprano::Vocabulary::Xesam::trackGain()
	{73, 1018, 0, 0, Smoke::mf_static, 146, 254},	//1218 Soprano::Vocabulary::Xesam::trackNumber()
	{73, 1019, 0, 0, Smoke::mf_static, 146, 255},	//1219 Soprano::Vocabulary::Xesam::trackPeakGain()
	{73, 1033, 0, 0, Smoke::mf_static, 146, 256},	//1220 Soprano::Vocabulary::Xesam::url()
	{73, 1034, 0, 0, Smoke::mf_static, 146, 257},	//1221 Soprano::Vocabulary::Xesam::useCount()
	{73, 1036, 0, 0, Smoke::mf_static, 146, 258},	//1222 Soprano::Vocabulary::Xesam::userComment()
	{73, 1037, 0, 0, Smoke::mf_static, 146, 259},	//1223 Soprano::Vocabulary::Xesam::userKeyword()
	{73, 1039, 0, 0, Smoke::mf_static, 146, 260},	//1224 Soprano::Vocabulary::Xesam::userRating()
	{73, 1040, 0, 0, Smoke::mf_static, 146, 261},	//1225 Soprano::Vocabulary::Xesam::usesNamespace()
	{73, 1048, 0, 0, Smoke::mf_static, 146, 262},	//1226 Soprano::Vocabulary::Xesam::version()
	{73, 1054, 0, 0, Smoke::mf_static, 146, 263},	//1227 Soprano::Vocabulary::Xesam::verticalResolution()
	{73, 1055, 0, 0, Smoke::mf_static, 146, 264},	//1228 Soprano::Vocabulary::Xesam::videoBitrate()
	{73, 1056, 0, 0, Smoke::mf_static, 146, 265},	//1229 Soprano::Vocabulary::Xesam::videoCodec()
	{73, 1057, 0, 0, Smoke::mf_static, 146, 266},	//1230 Soprano::Vocabulary::Xesam::videoCodecType()
	{73, 1059, 0, 0, Smoke::mf_static, 146, 267},	//1231 Soprano::Vocabulary::Xesam::whiteBalance()
	{73, 1060, 0, 0, Smoke::mf_static, 146, 268},	//1232 Soprano::Vocabulary::Xesam::width()
	{73, 1061, 0, 0, Smoke::mf_static, 146, 269},	//1233 Soprano::Vocabulary::Xesam::wordCount()
	{73, 1062, 0, 0, Smoke::mf_static, 146, 270},	//1234 Soprano::Vocabulary::Xesam::workEmailAddress()
	{73, 1063, 0, 0, Smoke::mf_static, 146, 271},	//1235 Soprano::Vocabulary::Xesam::workPhoneNumber()
	{73, 1064, 0, 0, Smoke::mf_static, 146, 272},	//1236 Soprano::Vocabulary::Xesam::workPostalAddress()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap soprano_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{13, 14, 23},	//1 Soprano::BackendFeatureAddStatement
	{13, 15, 29},	//2 Soprano::BackendFeatureContext
	{13, 16, 27},	//3 Soprano::BackendFeatureInference
	{13, 17, 28},	//4 Soprano::BackendFeatureInferenceOptional
	{13, 18, 25},	//5 Soprano::BackendFeatureListStatements
	{13, 19, 22},	//6 Soprano::BackendFeatureNone
	{13, 20, 26},	//7 Soprano::BackendFeatureQuery
	{13, 21, 24},	//8 Soprano::BackendFeatureRemoveStatements
	{13, 22, 30},	//9 Soprano::BackendFeatureStorageMemory
	{13, 23, 31},	//10 Soprano::BackendFeatureUser
	{13, 24, 19},	//11 Soprano::BackendOptionEnableInference
	{13, 25, 17},	//12 Soprano::BackendOptionNone
	{13, 26, 20},	//13 Soprano::BackendOptionStorageDir
	{13, 27, 18},	//14 Soprano::BackendOptionStorageMemory
	{13, 28, 21},	//15 Soprano::BackendOptionUser
	{13, 226, 11},	//16 Soprano::SerializationN3
	{13, 227, 15},	//17 Soprano::SerializationNQuads
	{13, 228, 12},	//18 Soprano::SerializationNTriples
	{13, 229, 10},	//19 Soprano::SerializationRdfXml
	{13, 230, 14},	//20 Soprano::SerializationTrig
	{13, 231, 13},	//21 Soprano::SerializationTurtle
	{13, 232, 9},	//22 Soprano::SerializationUnknown
	{13, 233, 16},	//23 Soprano::SerializationUser
	{13, 433, 51},	//24 Soprano::createModel
	{13, 436, 50},	//25 Soprano::createModel?
	{13, 485, 47},	//26 Soprano::discoverBackendByFeatures$
	{13, 486, 46},	//27 Soprano::discoverBackendByFeatures$?
	{13, 488, 45},	//28 Soprano::discoverBackendByName$
	{13, 631, 36},	//29 Soprano::isOptionInSettings?$
	{13, 632, 35},	//30 Soprano::isOptionInSettings?$$
	{13, 720, 34},	//31 Soprano::mimeTypeToSerialization$
	{13, 882, 33},	//32 Soprano::serializationMimeType$
	{13, 883, 32},	//33 Soprano::serializationMimeType$$
	{13, 940, 48},	//34 Soprano::setUsedBackend#
	{13, 947, 38},	//35 Soprano::settingInSettings?$
	{13, 948, 37},	//36 Soprano::settingInSettings?$$
	{13, 1035, 49},	//37 Soprano::usedBackend
	{13, 1044, 40},	//38 Soprano::valueInSettings?$
	{13, 1045, 39},	//39 Soprano::valueInSettings?$$
	{13, 1050, 41},	//40 Soprano::versionMajor
	{13, 1051, 42},	//41 Soprano::versionMinor
	{13, 1052, 43},	//42 Soprano::versionRelease
	{13, 1053, 44},	//43 Soprano::versionString
	{14, 13, 52},	//44 Soprano::Backend::Backend$
	{14, 433, 55},	//45 Soprano::Backend::createModel
	{14, 436, 54},	//46 Soprano::Backend::createModel?
	{14, 465, 56},	//47 Soprano::Backend::deleteModelData?
	{14, 986, 57},	//48 Soprano::Backend::supportedFeatures
	{14, 988, 58},	//49 Soprano::Backend::supportedUserFeatures
	{14, 991, 60},	//50 Soprano::Backend::supportsFeatures$
	{14, 992, 59},	//51 Soprano::Backend::supportsFeatures$?
	{14, 1077, 53},	//52 Soprano::Backend::~Backend
	{15, 29, 61},	//53 Soprano::BackendSetting::BackendSetting
	{15, 30, 65},	//54 Soprano::BackendSetting::BackendSetting#
	{15, 31, 62},	//55 Soprano::BackendSetting::BackendSetting$
	{15, 32, -1},	//56 Soprano::BackendSetting::BackendSetting$#
	{15, 749, 67},	//57 Soprano::BackendSetting::operator=#
	{15, 758, 68},	//58 Soprano::BackendSetting::option
	{15, 945, 71},	//59 Soprano::BackendSetting::setValue#
	{15, 1038, 69},	//60 Soprano::BackendSetting::userOptionName
	{15, 1041, 70},	//61 Soprano::BackendSetting::value
	{15, 1078, 66},	//62 Soprano::BackendSetting::~BackendSetting
	{16, 34, 72},	//63 Soprano::BindingSet::BindingSet
	{16, 35, 73},	//64 Soprano::BindingSet::BindingSet#
	{16, 349, 76},	//65 Soprano::BindingSet::bindingNames
	{16, 396, 81},	//66 Soprano::BindingSet::contains$
	{16, 426, 82},	//67 Soprano::BindingSet::count
	{16, 593, 83},	//68 Soprano::BindingSet::insert$#
	{16, 749, 75},	//69 Soprano::BindingSet::operator=#
	{16, 755, -4},	//70 Soprano::BindingSet::operator[]$
	{16, 1042, -7},	//71 Soprano::BindingSet::value$
	{16, 1079, 74},	//72 Soprano::BindingSet::~BindingSet
	{18, 49, 88},	//73 Soprano::Client::DBusClient::DBusClient
	{18, 50, 87},	//74 Soprano::Client::DBusClient::DBusClient$
	{18, 51, 86},	//75 Soprano::Client::DBusClient::DBusClient$#
	{18, 306, 91},	//76 Soprano::Client::DBusClient::allModels
	{18, 434, 93},	//77 Soprano::Client::DBusClient::createModel$
	{18, 435, 92},	//78 Soprano::Client::DBusClient::createModel$?
	{18, 653, 90},	//79 Soprano::Client::DBusClient::isValid
	{18, 716, 84},	//80 Soprano::Client::DBusClient::metaObject
	{18, 805, 85},	//81 Soprano::Client::DBusClient::qt_metacall$$?
	{18, 844, 94},	//82 Soprano::Client::DBusClient::removeModel$
	{18, 970, 95},	//83 Soprano::Client::DBusClient::staticMetaObject
	{18, 1081, 89},	//84 Soprano::Client::DBusClient::~DBusClient
	{19, 58, 99},	//85 Soprano::Client::DBusModel::DBusModel$$
	{19, 59, 98},	//86 Soprano::Client::DBusModel::DBusModel$$#
	{19, 288, 103},	//87 Soprano::Client::DBusModel::addStatement#
	{19, 320, 102},	//88 Soprano::Client::DBusModel::asyncCalls
	{19, 398, 113},	//89 Soprano::Client::DBusModel::containsAnyStatement#
	{19, 408, 112},	//90 Soprano::Client::DBusModel::containsStatement#
	{19, 427, 114},	//91 Soprano::Client::DBusModel::createBlankNode
	{19, 527, 106},	//92 Soprano::Client::DBusModel::executeQuery$$
	{19, 528, 105},	//93 Soprano::Client::DBusModel::executeQuery$$$
	{19, 620, 111},	//94 Soprano::Client::DBusModel::isEmpty
	{19, 681, 104},	//95 Soprano::Client::DBusModel::listContexts
	{19, 684, 107},	//96 Soprano::Client::DBusModel::listStatements#
	{19, 716, 96},	//97 Soprano::Client::DBusModel::metaObject
	{19, 805, 97},	//98 Soprano::Client::DBusModel::qt_metacall$$?
	{19, 834, 109},	//99 Soprano::Client::DBusModel::removeAllStatements#
	{19, 846, 108},	//100 Soprano::Client::DBusModel::removeStatement#
	{19, 889, 101},	//101 Soprano::Client::DBusModel::setAsyncCalls$
	{19, 963, 110},	//102 Soprano::Client::DBusModel::statementCount
	{19, 970, 115},	//103 Soprano::Client::DBusModel::staticMetaObject
	{19, 1084, 100},	//104 Soprano::Client::DBusModel::~DBusModel
	{20, 61, 116},	//105 Soprano::Client::DBusNodeIterator::DBusNodeIterator$$
	{20, 1085, 117},	//106 Soprano::Client::DBusNodeIterator::~DBusNodeIterator
	{21, 63, 118},	//107 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator$$
	{21, 1086, 119},	//108 Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator
	{22, 65, 120},	//109 Soprano::Client::DBusStatementIterator::DBusStatementIterator$$
	{22, 1087, 121},	//110 Soprano::Client::DBusStatementIterator::~DBusStatementIterator
	{23, 247, 128},	//111 Soprano::Client::SparqlModel::SparqlModel
	{23, 248, 127},	//112 Soprano::Client::SparqlModel::SparqlModel$
	{23, 249, 126},	//113 Soprano::Client::SparqlModel::SparqlModel$$
	{23, 250, 125},	//114 Soprano::Client::SparqlModel::SparqlModel$$$
	{23, 251, 124},	//115 Soprano::Client::SparqlModel::SparqlModel$$$$
	{23, 288, 135},	//116 Soprano::Client::SparqlModel::addStatement#
	{23, 398, 147},	//117 Soprano::Client::SparqlModel::containsAnyStatement#
	{23, 408, 146},	//118 Soprano::Client::SparqlModel::containsStatement#
	{23, 427, 150},	//119 Soprano::Client::SparqlModel::createBlankNode
	{23, 526, 141},	//120 Soprano::Client::SparqlModel::executeQuery$
	{23, 527, 140},	//121 Soprano::Client::SparqlModel::executeQuery$$
	{23, 528, 139},	//122 Soprano::Client::SparqlModel::executeQuery$$$
	{23, 530, 144},	//123 Soprano::Client::SparqlModel::executeQueryAsync$
	{23, 531, 143},	//124 Soprano::Client::SparqlModel::executeQueryAsync$$
	{23, 532, 142},	//125 Soprano::Client::SparqlModel::executeQueryAsync$$$
	{23, 620, 149},	//126 Soprano::Client::SparqlModel::isEmpty
	{23, 681, 145},	//127 Soprano::Client::SparqlModel::listContexts
	{23, 684, 138},	//128 Soprano::Client::SparqlModel::listStatements#
	{23, 716, 122},	//129 Soprano::Client::SparqlModel::metaObject
	{23, 805, 123},	//130 Soprano::Client::SparqlModel::qt_metacall$$?
	{23, 834, 137},	//131 Soprano::Client::SparqlModel::removeAllStatements#
	{23, 846, 136},	//132 Soprano::Client::SparqlModel::removeStatement#
	{23, 914, 131},	//133 Soprano::Client::SparqlModel::setHost$
	{23, 915, 130},	//134 Soprano::Client::SparqlModel::setHost$$
	{23, 929, 134},	//135 Soprano::Client::SparqlModel::setPath$
	{23, 942, 133},	//136 Soprano::Client::SparqlModel::setUser$
	{23, 943, 132},	//137 Soprano::Client::SparqlModel::setUser$$
	{23, 963, 148},	//138 Soprano::Client::SparqlModel::statementCount
	{23, 970, 151},	//139 Soprano::Client::SparqlModel::staticMetaObject
	{23, 1114, 129},	//140 Soprano::Client::SparqlModel::~SparqlModel
	{24, 88, 153},	//141 Soprano::Error::ErrorInvalidArgument
	{24, 89, 154},	//142 Soprano::Error::ErrorInvalidStatement
	{24, 90, 152},	//143 Soprano::Error::ErrorNone
	{24, 91, 155},	//144 Soprano::Error::ErrorNotSupported
	{24, 92, 156},	//145 Soprano::Error::ErrorParsingFailed
	{24, 93, 157},	//146 Soprano::Error::ErrorPermissionDenied
	{24, 94, 158},	//147 Soprano::Error::ErrorUnknown
	{24, 423, 160},	//148 Soprano::Error::convertErrorCode$
	{24, 520, 159},	//149 Soprano::Error::errorMessage$
	{25, 83, 161},	//150 Soprano::Error::Error::Error
	{25, 84, 164},	//151 Soprano::Error::Error::Error#
	{25, 85, 163},	//152 Soprano::Error::Error::Error$
	{25, 86, 162},	//153 Soprano::Error::Error::Error$$
	{25, 87, 172},	//154 Soprano::Error::Error::Error?
	{25, 376, 169},	//155 Soprano::Error::Error::code
	{25, 633, 170},	//156 Soprano::Error::Error::isParserError
	{25, 715, 168},	//157 Soprano::Error::Error::message
	{25, 745, 167},	//158 Soprano::Error::Error::operator bool
	{25, 749, 166},	//159 Soprano::Error::Error::operator=#
	{25, 1010, 171},	//160 Soprano::Error::Error::toParserError
	{25, 1088, 165},	//161 Soprano::Error::Error::~Error
	{26, 129, 173},	//162 Soprano::Error::Locator::Locator
	{26, 130, 177},	//163 Soprano::Error::Locator::Locator#
	{26, 131, 176},	//164 Soprano::Error::Locator::Locator$$
	{26, 132, 175},	//165 Soprano::Error::Locator::Locator$$$
	{26, 133, 174},	//166 Soprano::Error::Locator::Locator$$$$
	{26, 355, 182},	//167 Soprano::Error::Locator::byte
	{26, 379, 181},	//168 Soprano::Error::Locator::column
	{26, 540, 183},	//169 Soprano::Error::Locator::fileName
	{26, 678, 180},	//170 Soprano::Error::Locator::line
	{26, 749, 179},	//171 Soprano::Error::Locator::operator=#
	{26, 895, 186},	//172 Soprano::Error::Locator::setByte$
	{26, 899, 185},	//173 Soprano::Error::Locator::setColumn$
	{26, 910, 187},	//174 Soprano::Error::Locator::setFileName$
	{26, 919, 184},	//175 Soprano::Error::Locator::setLine$
	{26, 1093, 178},	//176 Soprano::Error::Locator::~Locator
	{27, 167, 188},	//177 Soprano::Error::ParserError::ParserError
	{27, 168, -10},	//178 Soprano::Error::ParserError::ParserError#
	{27, 169, 190},	//179 Soprano::Error::ParserError::ParserError#$
	{27, 170, 189},	//180 Soprano::Error::ParserError::ParserError#$$
	{27, 697, 195},	//181 Soprano::Error::ParserError::locator
	{27, 749, 194},	//182 Soprano::Error::ParserError::operator=#
	{27, 1100, 193},	//183 Soprano::Error::ParserError::~ParserError
	{28, 99, 228},	//184 Soprano::FilterModel::FilterModel
	{28, 100, 229},	//185 Soprano::FilterModel::FilterModel#
	{28, 288, 202},	//186 Soprano::FilterModel::addStatement#
	{28, 289, 204},	//187 Soprano::FilterModel::addStatement###
	{28, 290, 203},	//188 Soprano::FilterModel::addStatement####
	{28, 398, 220},	//189 Soprano::FilterModel::containsAnyStatement#
	{28, 399, 222},	//190 Soprano::FilterModel::containsAnyStatement###
	{28, 400, 221},	//191 Soprano::FilterModel::containsAnyStatement####
	{28, 408, 217},	//192 Soprano::FilterModel::containsStatement#
	{28, 409, 219},	//193 Soprano::FilterModel::containsStatement###
	{28, 410, 218},	//194 Soprano::FilterModel::containsStatement####
	{28, 427, 226},	//195 Soprano::FilterModel::createBlankNode
	{28, 527, 216},	//196 Soprano::FilterModel::executeQuery$$
	{28, 528, 215},	//197 Soprano::FilterModel::executeQuery$$$
	{28, 620, 223},	//198 Soprano::FilterModel::isEmpty
	{28, 681, 214},	//199 Soprano::FilterModel::listContexts
	{28, 684, 211},	//200 Soprano::FilterModel::listStatements#
	{28, 685, 213},	//201 Soprano::FilterModel::listStatements###
	{28, 686, 212},	//202 Soprano::FilterModel::listStatements####
	{28, 716, 197},	//203 Soprano::FilterModel::metaObject
	{28, 767, 201},	//204 Soprano::FilterModel::parentModel
	{28, 769, 232},	//205 Soprano::FilterModel::parentStatementAdded#
	{28, 771, 233},	//206 Soprano::FilterModel::parentStatementRemoved#
	{28, 772, 230},	//207 Soprano::FilterModel::parentStatementsAdded
	{28, 773, 231},	//208 Soprano::FilterModel::parentStatementsRemoved
	{28, 805, 198},	//209 Soprano::FilterModel::qt_metacall$$?
	{28, 834, 208},	//210 Soprano::FilterModel::removeAllStatements#
	{28, 835, 210},	//211 Soprano::FilterModel::removeAllStatements###
	{28, 836, 209},	//212 Soprano::FilterModel::removeAllStatements####
	{28, 846, 205},	//213 Soprano::FilterModel::removeStatement#
	{28, 847, 207},	//214 Soprano::FilterModel::removeStatement###
	{28, 848, 206},	//215 Soprano::FilterModel::removeStatement####
	{28, 927, 200},	//216 Soprano::FilterModel::setParentModel#
	{28, 963, 224},	//217 Soprano::FilterModel::statementCount
	{28, 970, 227},	//218 Soprano::FilterModel::staticMetaObject
	{28, 1066, 225},	//219 Soprano::FilterModel::write#
	{28, 1089, 199},	//220 Soprano::FilterModel::~FilterModel
	{30, 39, 235},	//221 Soprano::Index::CLuceneIndex::CLuceneIndex
	{30, 40, 234},	//222 Soprano::Index::CLuceneIndex::CLuceneIndex?
	{30, 288, 244},	//223 Soprano::Index::CLuceneIndex::addStatement#
	{30, 371, 248},	//224 Soprano::Index::CLuceneIndex::clear
	{30, 373, 239},	//225 Soprano::Index::CLuceneIndex::close
	{30, 375, 243},	//226 Soprano::Index::CLuceneIndex::closeTransaction$
	{30, 460, 251},	//227 Soprano::Index::CLuceneIndex::defaultSearchField
	{30, 503, 246},	//228 Soprano::Index::CLuceneIndex::documentForResource#
	{30, 507, 247},	//229 Soprano::Index::CLuceneIndex::dump#
	{30, 561, 250},	//230 Soprano::Index::CLuceneIndex::getResource?
	{30, 629, 240},	//231 Soprano::Index::CLuceneIndex::isOpen
	{30, 743, 238},	//232 Soprano::Index::CLuceneIndex::open$
	{30, 744, 237},	//233 Soprano::Index::CLuceneIndex::open$$
	{30, 756, 249},	//234 Soprano::Index::CLuceneIndex::optimize
	{30, 846, 245},	//235 Soprano::Index::CLuceneIndex::removeStatement#
	{30, 859, 241},	//236 Soprano::Index::CLuceneIndex::resourceCount
	{30, 960, 242},	//237 Soprano::Index::CLuceneIndex::startTransaction
	{30, 1080, 236},	//238 Soprano::Index::CLuceneIndex::~CLuceneIndex
	{31, 111, 255},	//239 Soprano::Index::IndexFilterModel::IndexFilterModel#
	{31, 112, 254},	//240 Soprano::Index::IndexFilterModel::IndexFilterModel##
	{31, 113, 253},	//241 Soprano::Index::IndexFilterModel::IndexFilterModel$
	{31, 114, 252},	//242 Soprano::Index::IndexFilterModel::IndexFilterModel$#
	{31, 280, 270},	//243 Soprano::Index::IndexFilterModel::addForceIndexPredicate#
	{31, 282, 267},	//244 Soprano::Index::IndexFilterModel::addIndexOnlyPredicate#
	{31, 288, 258},	//245 Soprano::Index::IndexFilterModel::addStatement#
	{31, 511, 273},	//246 Soprano::Index::IndexFilterModel::encodeStringForLuceneQuery$
	{31, 513, 274},	//247 Soprano::Index::IndexFilterModel::encodeUriForLuceneQuery#
	{31, 527, 262},	//248 Soprano::Index::IndexFilterModel::executeQuery$$
	{31, 528, 261},	//249 Soprano::Index::IndexFilterModel::executeQuery$$$
	{31, 548, 272},	//250 Soprano::Index::IndexFilterModel::forceIndexPredicates
	{31, 590, 257},	//251 Soprano::Index::IndexFilterModel::index
	{31, 591, 269},	//252 Soprano::Index::IndexFilterModel::indexOnlyPredicates
	{31, 757, 266},	//253 Soprano::Index::IndexFilterModel::optimizeIndex
	{31, 818, 265},	//254 Soprano::Index::IndexFilterModel::rebuildIndex
	{31, 834, 260},	//255 Soprano::Index::IndexFilterModel::removeAllStatements#
	{31, 846, 259},	//256 Soprano::Index::IndexFilterModel::removeStatement#
	{31, 912, 271},	//257 Soprano::Index::IndexFilterModel::setForceIndexPredicates?
	{31, 917, 268},	//258 Soprano::Index::IndexFilterModel::setIndexOnlyPredicates?
	{31, 938, 263},	//259 Soprano::Index::IndexFilterModel::setTransactionCacheSize$
	{31, 1020, 264},	//260 Soprano::Index::IndexFilterModel::transactionCacheSize
	{31, 1090, 256},	//261 Soprano::Index::IndexFilterModel::~IndexFilterModel
	{32, 187, 275},	//262 Soprano::Index::QueryHit::QueryHit
	{32, 188, 276},	//263 Soprano::Index::QueryHit::QueryHit#
	{32, 189, 277},	//264 Soprano::Index::QueryHit::QueryHit#$
	{32, 749, 279},	//265 Soprano::Index::QueryHit::operator=#
	{32, 858, 281},	//266 Soprano::Index::QueryHit::resource
	{32, 874, 280},	//267 Soprano::Index::QueryHit::score
	{32, 1103, 278},	//268 Soprano::Index::QueryHit::~QueryHit
	{33, 146, 283},	//269 Soprano::Inference::NRL
	{33, 198, 282},	//270 Soprano::Inference::RDFS
	{34, 118, 286},	//271 Soprano::Inference::InferenceModel::InferenceModel#
	{34, 286, 291},	//272 Soprano::Inference::InferenceModel::addRule#
	{34, 288, 288},	//273 Soprano::Inference::InferenceModel::addStatement#
	{34, 372, 294},	//274 Soprano::Inference::InferenceModel::clearInference
	{34, 716, 284},	//275 Soprano::Inference::InferenceModel::metaObject
	{34, 784, 293},	//276 Soprano::Inference::InferenceModel::performInference
	{34, 805, 285},	//277 Soprano::Inference::InferenceModel::qt_metacall$$?
	{34, 834, 290},	//278 Soprano::Inference::InferenceModel::removeAllStatements#
	{34, 846, 289},	//279 Soprano::Inference::InferenceModel::removeStatement#
	{34, 901, 295},	//280 Soprano::Inference::InferenceModel::setCompressedSourceStatements$
	{34, 925, 296},	//281 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
	{34, 934, 292},	//282 Soprano::Inference::InferenceModel::setRules?
	{34, 970, 297},	//283 Soprano::Inference::InferenceModel::staticMetaObject
	{34, 1091, 287},	//284 Soprano::Inference::InferenceModel::~InferenceModel
	{35, 155, 298},	//285 Soprano::Inference::NodePattern::NodePattern
	{35, 156, -14},	//286 Soprano::Inference::NodePattern::NodePattern#
	{35, 157, 300},	//287 Soprano::Inference::NodePattern::NodePattern$
	{35, 443, 308},	//288 Soprano::Inference::NodePattern::createSparqlNodePattern#
	{35, 654, 304},	//289 Soprano::Inference::NodePattern::isVariable
	{35, 704, 307},	//290 Soprano::Inference::NodePattern::match#
	{35, 749, 303},	//291 Soprano::Inference::NodePattern::operator=#
	{35, 858, 305},	//292 Soprano::Inference::NodePattern::resource
	{35, 1046, 306},	//293 Soprano::Inference::NodePattern::variableName
	{35, 1098, 302},	//294 Soprano::Inference::NodePattern::~NodePattern
	{36, 216, 309},	//295 Soprano::Inference::Rule::Rule
	{36, 217, 310},	//296 Soprano::Inference::Rule::Rule#
	{36, 284, 314},	//297 Soprano::Inference::Rule::addPrecondition#
	{36, 341, 322},	//298 Soprano::Inference::Rule::bindEffect#
	{36, 343, 323},	//299 Soprano::Inference::Rule::bindPreconditions#
	{36, 345, 318},	//300 Soprano::Inference::Rule::bindToStatement#
	{36, 354, 319},	//301 Soprano::Inference::Rule::boundToStatement
	{36, 444, 321},	//302 Soprano::Inference::Rule::createSparqlQuery
	{36, 445, 320},	//303 Soprano::Inference::Rule::createSparqlQuery$
	{36, 508, 315},	//304 Soprano::Inference::Rule::effect
	{36, 704, 317},	//305 Soprano::Inference::Rule::match#
	{36, 749, 312},	//306 Soprano::Inference::Rule::operator=#
	{36, 795, 313},	//307 Soprano::Inference::Rule::preconditions
	{36, 908, 316},	//308 Soprano::Inference::Rule::setEffect#
	{36, 1107, 311},	//309 Soprano::Inference::Rule::~Rule
	{37, 218, 324},	//310 Soprano::Inference::RuleParser::RuleParser
	{37, 219, 328},	//311 Soprano::Inference::RuleParser::RuleParser#
	{37, 775, 326},	//312 Soprano::Inference::RuleParser::parseFile$
	{37, 869, 327},	//313 Soprano::Inference::RuleParser::rules
	{37, 1108, 325},	//314 Soprano::Inference::RuleParser::~RuleParser
	{38, 220, 329},	//315 Soprano::Inference::RuleSet::RuleSet
	{38, 221, 330},	//316 Soprano::Inference::RuleSet::RuleSet#
	{38, 309, 341},	//317 Soprano::Inference::RuleSet::allRules
	{38, 322, 336},	//318 Soprano::Inference::RuleSet::at$
	{38, 371, 333},	//319 Soprano::Inference::RuleSet::clear
	{38, 426, 335},	//320 Soprano::Inference::RuleSet::count
	{38, 593, 334},	//321 Soprano::Inference::RuleSet::insert$#
	{38, 749, 332},	//322 Soprano::Inference::RuleSet::operator=#
	{38, 755, -17},	//323 Soprano::Inference::RuleSet::operator[]$
	{38, 866, 338},	//324 Soprano::Inference::RuleSet::rule$
	{38, 868, 340},	//325 Soprano::Inference::RuleSet::ruleNames
	{38, 957, 342},	//326 Soprano::Inference::RuleSet::standardRuleSet$
	{38, 1109, 331},	//327 Soprano::Inference::RuleSet::~RuleSet
	{39, 259, 343},	//328 Soprano::Inference::StatementPattern::StatementPattern
	{39, 260, 345},	//329 Soprano::Inference::StatementPattern::StatementPattern#
	{39, 261, 344},	//330 Soprano::Inference::StatementPattern::StatementPattern###
	{39, 441, 352},	//331 Soprano::Inference::StatementPattern::createSparqlGraphPattern#
	{39, 704, 351},	//332 Soprano::Inference::StatementPattern::match#
	{39, 738, 350},	//333 Soprano::Inference::StatementPattern::objectPattern
	{39, 749, 347},	//334 Soprano::Inference::StatementPattern::operator=#
	{39, 797, 349},	//335 Soprano::Inference::StatementPattern::predicatePattern
	{39, 982, 348},	//336 Soprano::Inference::StatementPattern::subjectPattern
	{39, 1117, 346},	//337 Soprano::Inference::StatementPattern::~StatementPattern
	{40, 125, 353},	//338 Soprano::LiteralValue::LiteralValue
	{40, 126, -20},	//339 Soprano::LiteralValue::LiteralValue#
	{40, 127, -27},	//340 Soprano::LiteralValue::LiteralValue$
	{40, 128, 364},	//341 Soprano::LiteralValue::LiteralValue?
	{40, 453, 408},	//342 Soprano::LiteralValue::dataTypeUri
	{40, 455, 414},	//343 Soprano::LiteralValue::dataTypeUriFromType$
	{40, 554, 412},	//344 Soprano::LiteralValue::fromString$#
	{40, 555, 411},	//345 Soprano::LiteralValue::fromString$$
	{40, 605, 390},	//346 Soprano::LiteralValue::isBool
	{40, 606, 396},	//347 Soprano::LiteralValue::isByteArray
	{40, 610, 393},	//348 Soprano::LiteralValue::isDate
	{40, 611, 395},	//349 Soprano::LiteralValue::isDateTime
	{40, 619, 391},	//350 Soprano::LiteralValue::isDouble
	{40, 626, 386},	//351 Soprano::LiteralValue::isInt
	{40, 627, 387},	//352 Soprano::LiteralValue::isInt64
	{40, 641, 392},	//353 Soprano::LiteralValue::isString
	{40, 647, 394},	//354 Soprano::LiteralValue::isTime
	{40, 651, 388},	//355 Soprano::LiteralValue::isUnsignedInt
	{40, 652, 389},	//356 Soprano::LiteralValue::isUnsignedInt64
	{40, 653, 385},	//357 Soprano::LiteralValue::isValid
	{40, 747, 384},	//358 Soprano::LiteralValue::operator!=#
	{40, 749, -36},	//359 Soprano::LiteralValue::operator=#
	{40, 750, -42},	//360 Soprano::LiteralValue::operator=$
	{40, 752, 383},	//361 Soprano::LiteralValue::operator==#
	{40, 753, 378},	//362 Soprano::LiteralValue::operator=?
	{40, 1002, 401},	//363 Soprano::LiteralValue::toBool
	{40, 1003, 407},	//364 Soprano::LiteralValue::toByteArray
	{40, 1004, 404},	//365 Soprano::LiteralValue::toDate
	{40, 1005, 406},	//366 Soprano::LiteralValue::toDateTime
	{40, 1006, 402},	//367 Soprano::LiteralValue::toDouble
	{40, 1007, 397},	//368 Soprano::LiteralValue::toInt
	{40, 1008, 398},	//369 Soprano::LiteralValue::toInt64
	{40, 1011, 403},	//370 Soprano::LiteralValue::toString
	{40, 1012, 405},	//371 Soprano::LiteralValue::toTime
	{40, 1013, 399},	//372 Soprano::LiteralValue::toUnsignedInt
	{40, 1014, 400},	//373 Soprano::LiteralValue::toUnsignedInt64
	{40, 1021, 409},	//374 Soprano::LiteralValue::type
	{40, 1024, 413},	//375 Soprano::LiteralValue::typeFromDataTypeUri#
	{40, 1047, 410},	//376 Soprano::LiteralValue::variant
	{40, 1092, 354},	//377 Soprano::LiteralValue::~LiteralValue
	{41, 140, 455},	//378 Soprano::Model::Model
	{41, 288, 418},	//379 Soprano::Model::addStatement#
	{41, 289, 420},	//380 Soprano::Model::addStatement###
	{41, 290, 419},	//381 Soprano::Model::addStatement####
	{41, 296, 421},	//382 Soprano::Model::addStatements?
	{41, 398, 439},	//383 Soprano::Model::containsAnyStatement#
	{41, 399, 441},	//384 Soprano::Model::containsAnyStatement###
	{41, 400, 440},	//385 Soprano::Model::containsAnyStatement####
	{41, 406, 445},	//386 Soprano::Model::containsContext#
	{41, 408, 442},	//387 Soprano::Model::containsStatement#
	{41, 409, 444},	//388 Soprano::Model::containsStatement###
	{41, 410, 443},	//389 Soprano::Model::containsStatement####
	{41, 427, 449},	//390 Soprano::Model::createBlankNode
	{41, 527, 438},	//391 Soprano::Model::executeQuery$$
	{41, 528, 437},	//392 Soprano::Model::executeQuery$$$
	{41, 620, 446},	//393 Soprano::Model::isEmpty
	{41, 681, 436},	//394 Soprano::Model::listContexts
	{41, 683, 434},	//395 Soprano::Model::listStatements
	{41, 684, 431},	//396 Soprano::Model::listStatements#
	{41, 685, 433},	//397 Soprano::Model::listStatements###
	{41, 686, 432},	//398 Soprano::Model::listStatements####
	{41, 692, 435},	//399 Soprano::Model::listStatementsInContext#
	{41, 716, 415},	//400 Soprano::Model::metaObject
	{41, 805, 416},	//401 Soprano::Model::qt_metacall$$?
	{41, 833, 430},	//402 Soprano::Model::removeAllStatements
	{41, 834, 425},	//403 Soprano::Model::removeAllStatements#
	{41, 835, 427},	//404 Soprano::Model::removeAllStatements###
	{41, 836, 426},	//405 Soprano::Model::removeAllStatements####
	{41, 842, 429},	//406 Soprano::Model::removeContext#
	{41, 846, 422},	//407 Soprano::Model::removeStatement#
	{41, 847, 424},	//408 Soprano::Model::removeStatement###
	{41, 848, 423},	//409 Soprano::Model::removeStatement####
	{41, 854, 428},	//410 Soprano::Model::removeStatements?
	{41, 962, 452},	//411 Soprano::Model::statementAdded#
	{41, 963, 447},	//412 Soprano::Model::statementCount
	{41, 967, 453},	//413 Soprano::Model::statementRemoved#
	{41, 968, 450},	//414 Soprano::Model::statementsAdded
	{41, 969, 451},	//415 Soprano::Model::statementsRemoved
	{41, 970, 454},	//416 Soprano::Model::staticMetaObject
	{41, 1066, 448},	//417 Soprano::Model::write#
	{41, 1094, 417},	//418 Soprano::Model::~Model
	{42, 36, 459},	//419 Soprano::Node::BlankNode
	{42, 82, 456},	//420 Soprano::Node::EmptyNode
	{42, 124, 458},	//421 Soprano::Node::LiteralNode
	{42, 149, 460},	//422 Soprano::Node::Node
	{42, 150, -50},	//423 Soprano::Node::Node#
	{42, 151, 463},	//424 Soprano::Node::Node#$
	{42, 152, 462},	//425 Soprano::Node::Node$
	{42, 212, 457},	//426 Soprano::Node::ResourceNode
	{42, 428, 490},	//427 Soprano::Node::createBlankNode$
	{42, 430, 488},	//428 Soprano::Node::createEmptyNode
	{42, 432, 491},	//429 Soprano::Node::createLiteralNode#$
	{42, 438, 489},	//430 Soprano::Node::createResourceNode#
	{42, 452, 484},	//431 Soprano::Node::dataType
	{42, 585, 482},	//432 Soprano::Node::identifier
	{42, 604, 480},	//433 Soprano::Node::isBlank
	{42, 620, 476},	//434 Soprano::Node::isEmpty
	{42, 628, 478},	//435 Soprano::Node::isLiteral
	{42, 639, 479},	//436 Soprano::Node::isResource
	{42, 653, 477},	//437 Soprano::Node::isValid
	{42, 671, 485},	//438 Soprano::Node::language
	{42, 695, 483},	//439 Soprano::Node::literal
	{42, 706, 474},	//440 Soprano::Node::matches#
	{42, 747, 471},	//441 Soprano::Node::operator!=#
	{42, 749, -54},	//442 Soprano::Node::operator=#
	{42, 752, -58},	//443 Soprano::Node::operator==#
	{42, 1009, 487},	//444 Soprano::Node::toN3
	{42, 1011, 486},	//445 Soprano::Node::toString
	{42, 1021, 475},	//446 Soprano::Node::type
	{42, 1032, 481},	//447 Soprano::Node::uri
	{42, 1096, 466},	//448 Soprano::Node::~Node
	{43, 153, 492},	//449 Soprano::NodeIterator::NodeIterator
	{43, 154, 493},	//450 Soprano::NodeIterator::NodeIterator#
	{43, 307, 496},	//451 Soprano::NodeIterator::allNodes
	{43, 749, 495},	//452 Soprano::NodeIterator::operator=#
	{43, 1097, 494},	//453 Soprano::NodeIterator::~NodeIterator
	{44, 166, 508},	//454 Soprano::Parser::Parser$
	{44, 776, 503},	//455 Soprano::Parser::parseFile$#$
	{44, 777, 502},	//456 Soprano::Parser::parseFile$#$$
	{44, 779, 507},	//457 Soprano::Parser::parseStream##$
	{44, 780, 506},	//458 Soprano::Parser::parseStream##$$
	{44, 782, 505},	//459 Soprano::Parser::parseString$#$
	{44, 783, 504},	//460 Soprano::Parser::parseString$#$$
	{44, 987, 498},	//461 Soprano::Parser::supportedSerializations
	{44, 989, 499},	//462 Soprano::Parser::supportedUserSerializations
	{44, 994, 501},	//463 Soprano::Parser::supportsSerialization$
	{44, 995, 500},	//464 Soprano::Parser::supportsSerialization$$
	{44, 1099, 497},	//465 Soprano::Parser::~Parser
	{45, 177, 512},	//466 Soprano::Plugin::Plugin#
	{45, 178, 513},	//467 Soprano::Plugin::Plugin$
	{45, 602, 511},	//468 Soprano::Plugin::isAvailable
	{45, 792, 510},	//469 Soprano::Plugin::pluginName
	{45, 1101, 509},	//470 Soprano::Plugin::~Plugin
	{46, 304, 519},	//471 Soprano::PluginManager::allBackends
	{46, 308, 523},	//472 Soprano::PluginManager::allParsers
	{46, 310, 527},	//473 Soprano::PluginManager::allSerializers
	{46, 485, 518},	//474 Soprano::PluginManager::discoverBackendByFeatures$
	{46, 486, 517},	//475 Soprano::PluginManager::discoverBackendByFeatures$?
	{46, 488, 516},	//476 Soprano::PluginManager::discoverBackendByName$
	{46, 490, 520},	//477 Soprano::PluginManager::discoverParserByName$
	{46, 492, 522},	//478 Soprano::PluginManager::discoverParserForSerialization$
	{46, 493, 521},	//479 Soprano::PluginManager::discoverParserForSerialization$$
	{46, 495, 524},	//480 Soprano::PluginManager::discoverSerializerByName$
	{46, 497, 526},	//481 Soprano::PluginManager::discoverSerializerForSerialization$
	{46, 498, 525},	//482 Soprano::PluginManager::discoverSerializerForSerialization$$
	{46, 594, 528},	//483 Soprano::PluginManager::instance
	{46, 716, 514},	//484 Soprano::PluginManager::metaObject
	{46, 805, 515},	//485 Soprano::PluginManager::qt_metacall$$?
	{46, 970, 529},	//486 Soprano::PluginManager::staticMetaObject
	{47, 182, 535},	//487 Soprano::Query::QUERY_LANGUAGE_NONE
	{47, 183, 537},	//488 Soprano::Query::QUERY_LANGUAGE_RDQL
	{47, 184, 538},	//489 Soprano::Query::QUERY_LANGUAGE_SERQL
	{47, 185, 536},	//490 Soprano::Query::QUERY_LANGUAGE_SPARQL
	{47, 186, 539},	//491 Soprano::Query::QUERY_LANGUAGE_USER
	{47, 190, 530},	//492 Soprano::Query::QueryLanguageNone
	{47, 191, 532},	//493 Soprano::Query::QueryLanguageRdql
	{47, 192, 533},	//494 Soprano::Query::QueryLanguageSerql
	{47, 193, 531},	//495 Soprano::Query::QueryLanguageSparql
	{47, 194, 534},	//496 Soprano::Query::QueryLanguageUser
	{47, 807, 542},	//497 Soprano::Query::queryLanguageFromString$
	{47, 809, 541},	//498 Soprano::Query::queryLanguageToString$
	{47, 810, 540},	//499 Soprano::Query::queryLanguageToString$$
	{48, 195, 543},	//500 Soprano::QueryResultIterator::QueryResultIterator
	{48, 196, 544},	//501 Soprano::QueryResultIterator::QueryResultIterator#
	{48, 197, 545},	//502 Soprano::QueryResultIterator::QueryResultIterator?
	{48, 305, 560},	//503 Soprano::QueryResultIterator::allBindings
	{48, 347, -62},	//504 Soprano::QueryResultIterator::binding$
	{48, 348, 555},	//505 Soprano::QueryResultIterator::bindingCount
	{48, 349, 556},	//506 Soprano::QueryResultIterator::bindingNames
	{48, 352, 550},	//507 Soprano::QueryResultIterator::boolValue
	{48, 448, 549},	//508 Soprano::QueryResultIterator::currentBindings
	{48, 449, 548},	//509 Soprano::QueryResultIterator::currentStatement
	{48, 603, 558},	//510 Soprano::QueryResultIterator::isBinding
	{48, 605, 559},	//511 Soprano::QueryResultIterator::isBool
	{48, 623, 557},	//512 Soprano::QueryResultIterator::isGraph
	{48, 657, -65},	//513 Soprano::QueryResultIterator::iterateBindings$
	{48, 661, 561},	//514 Soprano::QueryResultIterator::iterateStatements
	{48, 663, 566},	//515 Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
	{48, 664, 565},	//516 Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
	{48, 665, 564},	//517 Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
	{48, 749, 547},	//518 Soprano::QueryResultIterator::operator=#
	{48, 755, -68},	//519 Soprano::QueryResultIterator::operator[]$
	{48, 1104, 546},	//520 Soprano::QueryResultIterator::~QueryResultIterator
	{49, 201, 568},	//521 Soprano::RdfSchemaModel::RdfSchemaModel
	{49, 202, 567},	//522 Soprano::RdfSchemaModel::RdfSchemaModel#
	{49, 370, 570},	//523 Soprano::RdfSchemaModel::classes
	{49, 473, 572},	//524 Soprano::RdfSchemaModel::directSubClassOf#
	{49, 474, 571},	//525 Soprano::RdfSchemaModel::directSubClassOf##
	{49, 476, 574},	//526 Soprano::RdfSchemaModel::directSubPropertyOf#
	{49, 477, 573},	//527 Soprano::RdfSchemaModel::directSubPropertyOf##
	{49, 479, 575},	//528 Soprano::RdfSchemaModel::directType##
	{49, 505, 576},	//529 Soprano::RdfSchemaModel::domain##
	{49, 608, 584},	//530 Soprano::RdfSchemaModel::isClass#
	{49, 614, 586},	//531 Soprano::RdfSchemaModel::isDirectSubClassOf##
	{49, 616, 587},	//532 Soprano::RdfSchemaModel::isDirectSubPropertyOf##
	{49, 618, 588},	//533 Soprano::RdfSchemaModel::isDirectType##
	{49, 635, 585},	//534 Soprano::RdfSchemaModel::isProperty#
	{49, 643, 589},	//535 Soprano::RdfSchemaModel::isSubClassOf##
	{49, 645, 590},	//536 Soprano::RdfSchemaModel::isSubPropertyOf##
	{49, 650, 591},	//537 Soprano::RdfSchemaModel::isType##
	{49, 803, 577},	//538 Soprano::RdfSchemaModel::properties
	{49, 813, 578},	//539 Soprano::RdfSchemaModel::range##
	{49, 975, 580},	//540 Soprano::RdfSchemaModel::subClassOf#
	{49, 976, 579},	//541 Soprano::RdfSchemaModel::subClassOf##
	{49, 979, 582},	//542 Soprano::RdfSchemaModel::subPropertyOf#
	{49, 980, 581},	//543 Soprano::RdfSchemaModel::subPropertyOf##
	{49, 1022, 583},	//544 Soprano::RdfSchemaModel::type##
	{49, 1105, 569},	//545 Soprano::RdfSchemaModel::~RdfSchemaModel
	{50, 235, 599},	//546 Soprano::Serializer::Serializer$
	{50, 885, 598},	//547 Soprano::Serializer::serialize##$
	{50, 886, 597},	//548 Soprano::Serializer::serialize##$$
	{50, 987, 593},	//549 Soprano::Serializer::supportedSerializations
	{50, 989, 594},	//550 Soprano::Serializer::supportedUserSerializations
	{50, 994, 596},	//551 Soprano::Serializer::supportsSerialization$
	{50, 995, 595},	//552 Soprano::Serializer::supportsSerialization$$
	{50, 1110, 592},	//553 Soprano::Serializer::~Serializer
	{52, 53, -71},	//554 Soprano::Server::DBusExportIterator::DBusExportIterator#
	{52, 54, -75},	//555 Soprano::Server::DBusExportIterator::DBusExportIterator##
	{52, 458, 612},	//556 Soprano::Server::DBusExportIterator::dbusObjectPath
	{52, 466, 613},	//557 Soprano::Server::DBusExportIterator::deleteOnClose
	{52, 716, 600},	//558 Soprano::Server::DBusExportIterator::metaObject
	{52, 733, 610},	//559 Soprano::Server::DBusExportIterator::nodeIterator
	{52, 805, 601},	//560 Soprano::Server::DBusExportIterator::qt_metacall$$?
	{52, 811, 611},	//561 Soprano::Server::DBusExportIterator::queryResultIterator
	{52, 824, 616},	//562 Soprano::Server::DBusExportIterator::registerIterator$
	{52, 825, 615},	//563 Soprano::Server::DBusExportIterator::registerIterator$$
	{52, 906, 614},	//564 Soprano::Server::DBusExportIterator::setDeleteOnClose$
	{52, 965, 609},	//565 Soprano::Server::DBusExportIterator::statementIterator
	{52, 970, 618},	//566 Soprano::Server::DBusExportIterator::staticMetaObject
	{52, 1026, 617},	//567 Soprano::Server::DBusExportIterator::unregisterIterator
	{52, 1082, 608},	//568 Soprano::Server::DBusExportIterator::~DBusExportIterator
	{53, 55, 622},	//569 Soprano::Server::DBusExportModel::DBusExportModel
	{53, 56, 621},	//570 Soprano::Server::DBusExportModel::DBusExportModel#
	{53, 458, 626},	//571 Soprano::Server::DBusExportModel::dbusObjectPath
	{53, 716, 619},	//572 Soprano::Server::DBusExportModel::metaObject
	{53, 805, 620},	//573 Soprano::Server::DBusExportModel::qt_metacall$$?
	{53, 827, 624},	//574 Soprano::Server::DBusExportModel::registerModel$
	{53, 970, 627},	//575 Soprano::Server::DBusExportModel::staticMetaObject
	{53, 1027, 625},	//576 Soprano::Server::DBusExportModel::unregisterModel
	{53, 1083, 623},	//577 Soprano::Server::DBusExportModel::~DBusExportModel
	{54, 66, 647},	//578 Soprano::Server::ServerCore::DEFAULT_PORT
	{54, 236, 631},	//579 Soprano::Server::ServerCore::ServerCore
	{54, 237, 630},	//580 Soprano::Server::ServerCore::ServerCore#
	{54, 306, 638},	//581 Soprano::Server::ServerCore::allModels
	{54, 335, 634},	//582 Soprano::Server::ServerCore::backend
	{54, 436, 648},	//583 Soprano::Server::ServerCore::createModel?
	{54, 693, 642},	//584 Soprano::Server::ServerCore::listen
	{54, 694, 641},	//585 Soprano::Server::ServerCore::listen$
	{54, 716, 628},	//586 Soprano::Server::ServerCore::metaObject
	{54, 724, 636},	//587 Soprano::Server::ServerCore::model$
	{54, 805, 629},	//588 Soprano::Server::ServerCore::qt_metacall$$?
	{54, 821, 645},	//589 Soprano::Server::ServerCore::registerAsDBusObject
	{54, 822, 644},	//590 Soprano::Server::ServerCore::registerAsDBusObject$
	{54, 844, 637},	//591 Soprano::Server::ServerCore::removeModel$
	{54, 887, 643},	//592 Soprano::Server::ServerCore::serverPort
	{54, 891, 633},	//593 Soprano::Server::ServerCore::setBackend#
	{54, 893, 635},	//594 Soprano::Server::ServerCore::setBackendSettings?
	{54, 958, 640},	//595 Soprano::Server::ServerCore::start
	{54, 959, 639},	//596 Soprano::Server::ServerCore::start$
	{54, 970, 646},	//597 Soprano::Server::ServerCore::staticMetaObject
	{54, 1111, 632},	//598 Soprano::Server::ServerCore::~ServerCore
	{55, 253, 649},	//599 Soprano::Statement::Statement
	{55, 254, 652},	//600 Soprano::Statement::Statement#
	{55, 255, 651},	//601 Soprano::Statement::Statement###
	{55, 256, 650},	//602 Soprano::Statement::Statement####
	{55, 420, 662},	//603 Soprano::Statement::context
	{55, 653, 658},	//604 Soprano::Statement::isValid
	{55, 706, 657},	//605 Soprano::Statement::matches#
	{55, 737, 661},	//606 Soprano::Statement::object
	{55, 747, 656},	//607 Soprano::Statement::operator!=#
	{55, 749, 654},	//608 Soprano::Statement::operator=#
	{55, 752, 655},	//609 Soprano::Statement::operator==#
	{55, 796, 660},	//610 Soprano::Statement::predicate
	{55, 903, 666},	//611 Soprano::Statement::setContext#
	{55, 923, 665},	//612 Soprano::Statement::setObject#
	{55, 931, 664},	//613 Soprano::Statement::setPredicate#
	{55, 936, 663},	//614 Soprano::Statement::setSubject#
	{55, 981, 659},	//615 Soprano::Statement::subject
	{55, 1115, 653},	//616 Soprano::Statement::~Statement
	{56, 257, 667},	//617 Soprano::StatementIterator::StatementIterator
	{56, 258, 668},	//618 Soprano::StatementIterator::StatementIterator#
	{56, 311, 671},	//619 Soprano::StatementIterator::allStatements
	{56, 658, 675},	//620 Soprano::StatementIterator::iterateContexts
	{56, 659, 674},	//621 Soprano::StatementIterator::iterateObjects
	{56, 660, 673},	//622 Soprano::StatementIterator::iteratePredicates
	{56, 666, 672},	//623 Soprano::StatementIterator::iterateSubjects
	{56, 749, 670},	//624 Soprano::StatementIterator::operator=#
	{56, 1116, 669},	//625 Soprano::StatementIterator::~StatementIterator
	{57, 263, 685},	//626 Soprano::StorageModel::StorageModel#
	{57, 335, 683},	//627 Soprano::StorageModel::backend
	{57, 398, 681},	//628 Soprano::StorageModel::containsAnyStatement#
	{57, 408, 680},	//629 Soprano::StorageModel::containsStatement#
	{57, 620, 679},	//630 Soprano::StorageModel::isEmpty
	{57, 716, 676},	//631 Soprano::StorageModel::metaObject
	{57, 805, 677},	//632 Soprano::StorageModel::qt_metacall$$?
	{57, 834, 682},	//633 Soprano::StorageModel::removeAllStatements#
	{57, 970, 684},	//634 Soprano::StorageModel::staticMetaObject
	{57, 1118, 678},	//635 Soprano::StorageModel::~StorageModel
	{59, 8, 691},	//636 Soprano::Util::AsyncModel::AsyncModel
	{59, 9, 690},	//637 Soprano::Util::AsyncModel::AsyncModel#
	{59, 141, 687},	//638 Soprano::Util::AsyncModel::MultiThreaded
	{59, 243, 686},	//639 Soprano::Util::AsyncModel::SingleThreaded
	{59, 292, 695},	//640 Soprano::Util::AsyncModel::addStatementAsync#
	{59, 293, 697},	//641 Soprano::Util::AsyncModel::addStatementAsync###
	{59, 294, 696},	//642 Soprano::Util::AsyncModel::addStatementAsync####
	{59, 298, 698},	//643 Soprano::Util::AsyncModel::addStatementsAsync?
	{59, 402, 718},	//644 Soprano::Util::AsyncModel::containsAnyStatementAsync#
	{59, 403, 720},	//645 Soprano::Util::AsyncModel::containsAnyStatementAsync###
	{59, 404, 719},	//646 Soprano::Util::AsyncModel::containsAnyStatementAsync####
	{59, 412, 715},	//647 Soprano::Util::AsyncModel::containsStatementAsync#
	{59, 413, 717},	//648 Soprano::Util::AsyncModel::containsStatementAsync###
	{59, 414, 716},	//649 Soprano::Util::AsyncModel::containsStatementAsync####
	{59, 429, 721},	//650 Soprano::Util::AsyncModel::createBlankNodeAsync
	{59, 531, 714},	//651 Soprano::Util::AsyncModel::executeQueryAsync$$
	{59, 532, 713},	//652 Soprano::Util::AsyncModel::executeQueryAsync$$$
	{59, 621, 706},	//653 Soprano::Util::AsyncModel::isEmptyAsync
	{59, 682, 712},	//654 Soprano::Util::AsyncModel::listContextsAsync
	{59, 687, 711},	//655 Soprano::Util::AsyncModel::listStatementsAsync
	{59, 688, 708},	//656 Soprano::Util::AsyncModel::listStatementsAsync#
	{59, 689, 710},	//657 Soprano::Util::AsyncModel::listStatementsAsync###
	{59, 690, 709},	//658 Soprano::Util::AsyncModel::listStatementsAsync####
	{59, 716, 688},	//659 Soprano::Util::AsyncModel::metaObject
	{59, 722, 694},	//660 Soprano::Util::AsyncModel::mode
	{59, 805, 689},	//661 Soprano::Util::AsyncModel::qt_metacall$$?
	{59, 838, 703},	//662 Soprano::Util::AsyncModel::removeAllStatementsAsync#
	{59, 839, 705},	//663 Soprano::Util::AsyncModel::removeAllStatementsAsync###
	{59, 840, 704},	//664 Soprano::Util::AsyncModel::removeAllStatementsAsync####
	{59, 850, 699},	//665 Soprano::Util::AsyncModel::removeStatementAsync#
	{59, 851, 701},	//666 Soprano::Util::AsyncModel::removeStatementAsync###
	{59, 852, 700},	//667 Soprano::Util::AsyncModel::removeStatementAsync####
	{59, 856, 702},	//668 Soprano::Util::AsyncModel::removeStatementsAsync?
	{59, 921, 693},	//669 Soprano::Util::AsyncModel::setMode$
	{59, 964, 707},	//670 Soprano::Util::AsyncModel::statementCountAsync
	{59, 970, 722},	//671 Soprano::Util::AsyncModel::staticMetaObject
	{59, 1075, 692},	//672 Soprano::Util::AsyncModel::~AsyncModel
	{60, 439, 731},	//673 Soprano::Util::AsyncResult::createResult
	{60, 518, 726},	//674 Soprano::Util::AsyncResult::errorCode
	{60, 716, 723},	//675 Soprano::Util::AsyncResult::metaObject
	{60, 732, 730},	//676 Soprano::Util::AsyncResult::node
	{60, 733, 728},	//677 Soprano::Util::AsyncResult::nodeIterator
	{60, 805, 724},	//678 Soprano::Util::AsyncResult::qt_metacall$$?
	{60, 811, 729},	//679 Soprano::Util::AsyncResult::queryResultIterator
	{60, 965, 727},	//680 Soprano::Util::AsyncResult::statementIterator
	{60, 970, 732},	//681 Soprano::Util::AsyncResult::staticMetaObject
	{60, 1041, 725},	//682 Soprano::Util::AsyncResult::value
	{61, 144, 739},	//683 Soprano::Util::MutexModel::MutexModel$
	{61, 145, 738},	//684 Soprano::Util::MutexModel::MutexModel$#
	{61, 175, 733},	//685 Soprano::Util::MutexModel::PlainMultiThreading
	{61, 205, 734},	//686 Soprano::Util::MutexModel::ReadWriteMultiThreading
	{61, 206, 735},	//687 Soprano::Util::MutexModel::ReadWriteSingleThreading
	{61, 288, 741},	//688 Soprano::Util::MutexModel::addStatement#
	{61, 398, 749},	//689 Soprano::Util::MutexModel::containsAnyStatement#
	{61, 408, 748},	//690 Soprano::Util::MutexModel::containsStatement#
	{61, 527, 747},	//691 Soprano::Util::MutexModel::executeQuery$$
	{61, 528, 746},	//692 Soprano::Util::MutexModel::executeQuery$$$
	{61, 620, 750},	//693 Soprano::Util::MutexModel::isEmpty
	{61, 681, 745},	//694 Soprano::Util::MutexModel::listContexts
	{61, 684, 744},	//695 Soprano::Util::MutexModel::listStatements#
	{61, 716, 736},	//696 Soprano::Util::MutexModel::metaObject
	{61, 805, 737},	//697 Soprano::Util::MutexModel::qt_metacall$$?
	{61, 834, 743},	//698 Soprano::Util::MutexModel::removeAllStatements#
	{61, 846, 742},	//699 Soprano::Util::MutexModel::removeStatement#
	{61, 963, 751},	//700 Soprano::Util::MutexModel::statementCount
	{61, 970, 752},	//701 Soprano::Util::MutexModel::staticMetaObject
	{61, 1095, 740},	//702 Soprano::Util::MutexModel::~MutexModel
	{62, 203, 756},	//703 Soprano::Util::ReadOnlyModel::ReadOnlyModel
	{62, 204, 755},	//704 Soprano::Util::ReadOnlyModel::ReadOnlyModel#
	{62, 288, 767},	//705 Soprano::Util::ReadOnlyModel::addStatement#
	{62, 398, 764},	//706 Soprano::Util::ReadOnlyModel::containsAnyStatement#
	{62, 408, 763},	//707 Soprano::Util::ReadOnlyModel::containsStatement#
	{62, 427, 770},	//708 Soprano::Util::ReadOnlyModel::createBlankNode
	{62, 527, 762},	//709 Soprano::Util::ReadOnlyModel::executeQuery$$
	{62, 528, 761},	//710 Soprano::Util::ReadOnlyModel::executeQuery$$$
	{62, 620, 765},	//711 Soprano::Util::ReadOnlyModel::isEmpty
	{62, 681, 760},	//712 Soprano::Util::ReadOnlyModel::listContexts
	{62, 684, 759},	//713 Soprano::Util::ReadOnlyModel::listStatements#
	{62, 716, 753},	//714 Soprano::Util::ReadOnlyModel::metaObject
	{62, 805, 754},	//715 Soprano::Util::ReadOnlyModel::qt_metacall$$?
	{62, 834, 769},	//716 Soprano::Util::ReadOnlyModel::removeAllStatements#
	{62, 846, 768},	//717 Soprano::Util::ReadOnlyModel::removeStatement#
	{62, 927, 758},	//718 Soprano::Util::ReadOnlyModel::setParentModel#
	{62, 963, 766},	//719 Soprano::Util::ReadOnlyModel::statementCount
	{62, 970, 771},	//720 Soprano::Util::ReadOnlyModel::staticMetaObject
	{62, 1106, 757},	//721 Soprano::Util::ReadOnlyModel::~ReadOnlyModel
	{63, 238, 775},	//722 Soprano::Util::SignalCacheModel::SignalCacheModel
	{63, 239, 774},	//723 Soprano::Util::SignalCacheModel::SignalCacheModel#
	{63, 356, 777},	//724 Soprano::Util::SignalCacheModel::cacheTime
	{63, 716, 772},	//725 Soprano::Util::SignalCacheModel::metaObject
	{63, 772, 780},	//726 Soprano::Util::SignalCacheModel::parentStatementsAdded
	{63, 773, 781},	//727 Soprano::Util::SignalCacheModel::parentStatementsRemoved
	{63, 805, 773},	//728 Soprano::Util::SignalCacheModel::qt_metacall$$?
	{63, 897, 778},	//729 Soprano::Util::SignalCacheModel::setCacheTime$
	{63, 970, 779},	//730 Soprano::Util::SignalCacheModel::staticMetaObject
	{63, 999, 782},	//731 Soprano::Util::SignalCacheModel::timerEvent#
	{63, 1112, 776},	//732 Soprano::Util::SignalCacheModel::~SignalCacheModel
	{64, 240, 783},	//733 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
	{64, 241, 785},	//734 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
	{64, 242, 784},	//735 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
	{64, 749, 788},	//736 Soprano::Util::SimpleNodeIterator::operator=#
	{64, 753, 787},	//737 Soprano::Util::SimpleNodeIterator::operator=?
	{64, 1113, 786},	//738 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
	{66, 102, 790},	//739 Soprano::Vocabulary::NAO::FreeDesktopIcon
	{66, 171, 791},	//740 Soprano::Vocabulary::NAO::Party
	{66, 264, 792},	//741 Soprano::Vocabulary::NAO::Symbol
	{66, 267, 793},	//742 Soprano::Vocabulary::NAO::Tag
	{66, 313, 794},	//743 Soprano::Vocabulary::NAO::altLabel
	{66, 314, 795},	//744 Soprano::Vocabulary::NAO::altSymbol
	{66, 315, 796},	//745 Soprano::Vocabulary::NAO::annotation
	{66, 421, 797},	//746 Soprano::Vocabulary::NAO::contributor
	{66, 446, 798},	//747 Soprano::Vocabulary::NAO::created
	{66, 447, 799},	//748 Soprano::Vocabulary::NAO::creator
	{66, 470, 800},	//749 Soprano::Vocabulary::NAO::description
	{66, 514, 801},	//750 Soprano::Vocabulary::NAO::engineeringTool
	{66, 565, 802},	//751 Soprano::Vocabulary::NAO::hasDefaultNamespace
	{66, 566, 803},	//752 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
	{66, 569, 804},	//753 Soprano::Vocabulary::NAO::hasSubResource
	{66, 570, 805},	//754 Soprano::Vocabulary::NAO::hasSuperResource
	{66, 571, 806},	//755 Soprano::Vocabulary::NAO::hasSymbol
	{66, 572, 807},	//756 Soprano::Vocabulary::NAO::hasTag
	{66, 573, 808},	//757 Soprano::Vocabulary::NAO::hasTopic
	{66, 583, 809},	//758 Soprano::Vocabulary::NAO::iconName
	{66, 585, 810},	//759 Soprano::Vocabulary::NAO::identifier
	{66, 638, 811},	//760 Soprano::Vocabulary::NAO::isRelated
	{66, 646, 812},	//761 Soprano::Vocabulary::NAO::isTagFor
	{66, 648, 813},	//762 Soprano::Vocabulary::NAO::isTopicOf
	{66, 672, 814},	//763 Soprano::Vocabulary::NAO::lastModified
	{66, 725, 815},	//764 Soprano::Vocabulary::NAO::modified
	{66, 728, 789},	//765 Soprano::Vocabulary::NAO::naoNamespace
	{66, 736, 816},	//766 Soprano::Vocabulary::NAO::numericRating
	{66, 788, 817},	//767 Soprano::Vocabulary::NAO::personalIdentifier
	{66, 793, 818},	//768 Soprano::Vocabulary::NAO::pluralPrefLabel
	{66, 798, 819},	//769 Soprano::Vocabulary::NAO::prefLabel
	{66, 799, 820},	//770 Soprano::Vocabulary::NAO::prefSymbol
	{66, 814, 821},	//771 Soprano::Vocabulary::NAO::rating
	{66, 874, 822},	//772 Soprano::Vocabulary::NAO::score
	{66, 875, 823},	//773 Soprano::Vocabulary::NAO::scoreParameter
	{66, 880, 824},	//774 Soprano::Vocabulary::NAO::serializationLanguage
	{66, 971, 825},	//775 Soprano::Vocabulary::NAO::status
	{66, 1048, 826},	//776 Soprano::Vocabulary::NAO::version
	{67, 7, 828},	//777 Soprano::Vocabulary::NRL::AsymmetricProperty
	{67, 43, 829},	//778 Soprano::Vocabulary::NRL::Configuration
	{67, 67, 830},	//779 Soprano::Vocabulary::NRL::Data
	{67, 72, 831},	//780 Soprano::Vocabulary::NRL::DefaultGraph
	{67, 77, 832},	//781 Soprano::Vocabulary::NRL::DocumentGraph
	{67, 95, 833},	//782 Soprano::Vocabulary::NRL::ExternalViewSpecification
	{67, 103, 834},	//783 Soprano::Vocabulary::NRL::FunctionalProperty
	{67, 104, 835},	//784 Soprano::Vocabulary::NRL::Graph
	{67, 105, 836},	//785 Soprano::Vocabulary::NRL::GraphMetadata
	{67, 106, 837},	//786 Soprano::Vocabulary::NRL::GraphView
	{67, 119, 838},	//787 Soprano::Vocabulary::NRL::InstanceBase
	{67, 120, 839},	//788 Soprano::Vocabulary::NRL::InverseFunctionalProperty
	{67, 121, 840},	//789 Soprano::Vocabulary::NRL::KnowledgeBase
	{67, 161, 841},	//790 Soprano::Vocabulary::NRL::Ontology
	{67, 207, 842},	//791 Soprano::Vocabulary::NRL::ReflexiveProperty
	{67, 222, 843},	//792 Soprano::Vocabulary::NRL::RuleViewSpecification
	{67, 223, 844},	//793 Soprano::Vocabulary::NRL::Schema
	{67, 224, 845},	//794 Soprano::Vocabulary::NRL::Semantics
	{67, 265, 846},	//795 Soprano::Vocabulary::NRL::SymmetricProperty
	{67, 271, 847},	//796 Soprano::Vocabulary::NRL::TransitiveProperty
	{67, 274, 848},	//797 Soprano::Vocabulary::NRL::ViewSpecification
	{67, 359, 849},	//798 Soprano::Vocabulary::NRL::cardinality
	{67, 425, 850},	//799 Soprano::Vocabulary::NRL::coreGraphMetadataFor
	{67, 516, 851},	//800 Soprano::Vocabulary::NRL::equivalentGraph
	{67, 536, 852},	//801 Soprano::Vocabulary::NRL::externalRealizer
	{67, 563, 853},	//802 Soprano::Vocabulary::NRL::graphMetadataFor
	{67, 567, 854},	//803 Soprano::Vocabulary::NRL::hasSemantics
	{67, 568, 855},	//804 Soprano::Vocabulary::NRL::hasSpecification
	{67, 587, 856},	//805 Soprano::Vocabulary::NRL::imports
	{67, 600, 857},	//806 Soprano::Vocabulary::NRL::inverseProperty
	{67, 707, 858},	//807 Soprano::Vocabulary::NRL::maxCardinality
	{67, 721, 859},	//808 Soprano::Vocabulary::NRL::minCardinality
	{67, 735, 827},	//809 Soprano::Vocabulary::NRL::nrlNamespace
	{67, 817, 860},	//810 Soprano::Vocabulary::NRL::realizes
	{67, 865, 861},	//811 Soprano::Vocabulary::NRL::rule
	{67, 867, 862},	//812 Soprano::Vocabulary::NRL::ruleLanguage
	{67, 879, 863},	//813 Soprano::Vocabulary::NRL::semanticsDefinedBy
	{67, 977, 864},	//814 Soprano::Vocabulary::NRL::subGraphOf
	{67, 984, 865},	//815 Soprano::Vocabulary::NRL::superGraphOf
	{67, 1031, 866},	//816 Soprano::Vocabulary::NRL::updatable
	{67, 1058, 867},	//817 Soprano::Vocabulary::NRL::viewOn
	{68, 1, 869},	//818 Soprano::Vocabulary::OWL::AllDifferent
	{68, 4, 870},	//819 Soprano::Vocabulary::OWL::AnnotationProperty
	{68, 41, 871},	//820 Soprano::Vocabulary::OWL::Class
	{68, 69, 872},	//821 Soprano::Vocabulary::OWL::DataRange
	{68, 71, 873},	//822 Soprano::Vocabulary::OWL::DatatypeProperty
	{68, 74, 874},	//823 Soprano::Vocabulary::OWL::DeprecatedClass
	{68, 75, 875},	//824 Soprano::Vocabulary::OWL::DeprecatedProperty
	{68, 103, 876},	//825 Soprano::Vocabulary::OWL::FunctionalProperty
	{68, 120, 877},	//826 Soprano::Vocabulary::OWL::InverseFunctionalProperty
	{68, 158, 878},	//827 Soprano::Vocabulary::OWL::Nothing
	{68, 159, 879},	//828 Soprano::Vocabulary::OWL::ObjectProperty
	{68, 161, 880},	//829 Soprano::Vocabulary::OWL::Ontology
	{68, 162, 881},	//830 Soprano::Vocabulary::OWL::OntologyProperty
	{68, 213, 882},	//831 Soprano::Vocabulary::OWL::Restriction
	{68, 265, 883},	//832 Soprano::Vocabulary::OWL::SymmetricProperty
	{68, 270, 884},	//833 Soprano::Vocabulary::OWL::Thing
	{68, 271, 885},	//834 Soprano::Vocabulary::OWL::TransitiveProperty
	{68, 312, 886},	//835 Soprano::Vocabulary::OWL::allValuesFrom
	{68, 336, 887},	//836 Soprano::Vocabulary::OWL::backwardCompatibleWith
	{68, 359, 888},	//837 Soprano::Vocabulary::OWL::cardinality
	{68, 385, 889},	//838 Soprano::Vocabulary::OWL::complementOf
	{68, 471, 890},	//839 Soprano::Vocabulary::OWL::differentFrom
	{68, 499, 891},	//840 Soprano::Vocabulary::OWL::disjointWith
	{68, 500, 892},	//841 Soprano::Vocabulary::OWL::distinctMembers
	{68, 515, 893},	//842 Soprano::Vocabulary::OWL::equivalentClass
	{68, 517, 894},	//843 Soprano::Vocabulary::OWL::equivalentProperty
	{68, 574, 895},	//844 Soprano::Vocabulary::OWL::hasValue
	{68, 587, 896},	//845 Soprano::Vocabulary::OWL::imports
	{68, 589, 897},	//846 Soprano::Vocabulary::OWL::incompatibleWith
	{68, 598, 898},	//847 Soprano::Vocabulary::OWL::intersectionOf
	{68, 599, 899},	//848 Soprano::Vocabulary::OWL::inverseOf
	{68, 707, 900},	//849 Soprano::Vocabulary::OWL::maxCardinality
	{68, 721, 901},	//850 Soprano::Vocabulary::OWL::minCardinality
	{68, 740, 902},	//851 Soprano::Vocabulary::OWL::onProperty
	{68, 741, 903},	//852 Soprano::Vocabulary::OWL::oneOf
	{68, 763, 868},	//853 Soprano::Vocabulary::OWL::owlNamespace
	{68, 801, 904},	//854 Soprano::Vocabulary::OWL::priorVersion
	{68, 870, 905},	//855 Soprano::Vocabulary::OWL::sameAs
	{68, 952, 906},	//856 Soprano::Vocabulary::OWL::someValuesFrom
	{68, 1025, 907},	//857 Soprano::Vocabulary::OWL::unionOf
	{68, 1049, 908},	//858 Soprano::Vocabulary::OWL::versionInfo
	{69, 2, 910},	//859 Soprano::Vocabulary::RDF::Alt
	{69, 33, 911},	//860 Soprano::Vocabulary::RDF::Bag
	{69, 122, 912},	//861 Soprano::Vocabulary::RDF::List
	{69, 181, 913},	//862 Soprano::Vocabulary::RDF::Property
	{69, 225, 914},	//863 Soprano::Vocabulary::RDF::Seq
	{69, 253, 915},	//864 Soprano::Vocabulary::RDF::Statement
	{69, 277, 916},	//865 Soprano::Vocabulary::RDF::XMLLiteral
	{69, 543, 917},	//866 Soprano::Vocabulary::RDF::first
	{69, 731, 918},	//867 Soprano::Vocabulary::RDF::nil
	{69, 737, 919},	//868 Soprano::Vocabulary::RDF::object
	{69, 796, 920},	//869 Soprano::Vocabulary::RDF::predicate
	{69, 815, 909},	//870 Soprano::Vocabulary::RDF::rdfNamespace
	{69, 860, 921},	//871 Soprano::Vocabulary::RDF::rest
	{69, 981, 922},	//872 Soprano::Vocabulary::RDF::subject
	{69, 1021, 923},	//873 Soprano::Vocabulary::RDF::type
	{69, 1041, 924},	//874 Soprano::Vocabulary::RDF::value
	{70, 41, 926},	//875 Soprano::Vocabulary::RDFS::Class
	{70, 46, 927},	//876 Soprano::Vocabulary::RDFS::Container
	{70, 47, 928},	//877 Soprano::Vocabulary::RDFS::ContainerMembershipProperty
	{70, 70, 929},	//878 Soprano::Vocabulary::RDFS::Datatype
	{70, 123, 930},	//879 Soprano::Vocabulary::RDFS::Literal
	{70, 211, 931},	//880 Soprano::Vocabulary::RDFS::Resource
	{70, 381, 932},	//881 Soprano::Vocabulary::RDFS::comment
	{70, 504, 933},	//882 Soprano::Vocabulary::RDFS::domain
	{70, 612, 934},	//883 Soprano::Vocabulary::RDFS::isDefinedBy
	{70, 670, 935},	//884 Soprano::Vocabulary::RDFS::label
	{70, 713, 936},	//885 Soprano::Vocabulary::RDFS::member
	{70, 812, 937},	//886 Soprano::Vocabulary::RDFS::range
	{70, 816, 925},	//887 Soprano::Vocabulary::RDFS::rdfsNamespace
	{70, 877, 938},	//888 Soprano::Vocabulary::RDFS::seeAlso
	{70, 974, 939},	//889 Soprano::Vocabulary::RDFS::subClassOf
	{70, 978, 940},	//890 Soprano::Vocabulary::RDFS::subPropertyOf
	{71, 115, 943},	//891 Soprano::Vocabulary::SIL::InferenceGraph
	{71, 116, 942},	//892 Soprano::Vocabulary::SIL::InferenceMetaData
	{71, 420, 945},	//893 Soprano::Vocabulary::SIL::context
	{71, 950, 941},	//894 Soprano::Vocabulary::SIL::silNamespace
	{71, 955, 944},	//895 Soprano::Vocabulary::SIL::sourceStatement
	{72, 337, 964},	//896 Soprano::Vocabulary::XMLSchema::base64Binary
	{72, 353, 960},	//897 Soprano::Vocabulary::XMLSchema::boolean
	{72, 456, 961},	//898 Soprano::Vocabulary::XMLSchema::date
	{72, 457, 962},	//899 Soprano::Vocabulary::XMLSchema::dateTime
	{72, 459, 951},	//900 Soprano::Vocabulary::XMLSchema::decimal
	{72, 595, 948},	//901 Soprano::Vocabulary::XMLSchema::integer
	{72, 729, 949},	//902 Soprano::Vocabulary::XMLSchema::negativeInteger
	{72, 734, 950},	//903 Soprano::Vocabulary::XMLSchema::nonNegativeInteger
	{72, 973, 957},	//904 Soprano::Vocabulary::XMLSchema::string
	{72, 997, 963},	//905 Soprano::Vocabulary::XMLSchema::time
	{72, 1028, 954},	//906 Soprano::Vocabulary::XMLSchema::unsignedInt
	{72, 1029, 956},	//907 Soprano::Vocabulary::XMLSchema::unsignedLong
	{72, 1030, 955},	//908 Soprano::Vocabulary::XMLSchema::unsignedShort
	{72, 1069, 959},	//909 Soprano::Vocabulary::XMLSchema::xsdDouble
	{72, 1070, 958},	//910 Soprano::Vocabulary::XMLSchema::xsdFloat
	{72, 1071, 947},	//911 Soprano::Vocabulary::XMLSchema::xsdInt
	{72, 1072, 953},	//912 Soprano::Vocabulary::XMLSchema::xsdLong
	{72, 1073, 946},	//913 Soprano::Vocabulary::XMLSchema::xsdNamespace
	{72, 1074, 952},	//914 Soprano::Vocabulary::XMLSchema::xsdShort
	{73, 3, 967},	//915 Soprano::Vocabulary::Xesam::Annotation
	{73, 5, 968},	//916 Soprano::Vocabulary::Xesam::Archive
	{73, 6, 969},	//917 Soprano::Vocabulary::Xesam::ArchivedFile
	{73, 10, 970},	//918 Soprano::Vocabulary::Xesam::Audio
	{73, 11, 971},	//919 Soprano::Vocabulary::Xesam::AudioList
	{73, 37, 972},	//920 Soprano::Vocabulary::Xesam::BlockDevice
	{73, 38, 973},	//921 Soprano::Vocabulary::Xesam::Bookmark
	{73, 42, 974},	//922 Soprano::Vocabulary::Xesam::CommunicationChannel
	{73, 44, 975},	//923 Soprano::Vocabulary::Xesam::Contact
	{73, 45, 976},	//924 Soprano::Vocabulary::Xesam::ContactGroup
	{73, 48, 977},	//925 Soprano::Vocabulary::Xesam::Content
	{73, 68, 978},	//926 Soprano::Vocabulary::Xesam::DataObject
	{73, 73, 979},	//927 Soprano::Vocabulary::Xesam::DeletedFile
	{73, 76, 980},	//928 Soprano::Vocabulary::Xesam::Document
	{73, 78, 981},	//929 Soprano::Vocabulary::Xesam::Documentation
	{73, 79, 982},	//930 Soprano::Vocabulary::Xesam::Email
	{73, 80, 983},	//931 Soprano::Vocabulary::Xesam::EmailAttachment
	{73, 81, 984},	//932 Soprano::Vocabulary::Xesam::EmbeddedObject
	{73, 96, 985},	//933 Soprano::Vocabulary::Xesam::File
	{73, 97, 986},	//934 Soprano::Vocabulary::Xesam::FileSystem
	{73, 98, 987},	//935 Soprano::Vocabulary::Xesam::Filelike
	{73, 101, 988},	//936 Soprano::Vocabulary::Xesam::Folder
	{73, 107, 989},	//937 Soprano::Vocabulary::Xesam::IMAP4Message
	{73, 108, 990},	//938 Soprano::Vocabulary::Xesam::IMMessage
	{73, 109, 991},	//939 Soprano::Vocabulary::Xesam::Image
	{73, 134, 992},	//940 Soprano::Vocabulary::Xesam::MailingList
	{73, 135, 993},	//941 Soprano::Vocabulary::Xesam::MailingListEmail
	{73, 136, 994},	//942 Soprano::Vocabulary::Xesam::Media
	{73, 137, 995},	//943 Soprano::Vocabulary::Xesam::MediaList
	{73, 138, 996},	//944 Soprano::Vocabulary::Xesam::Message
	{73, 139, 997},	//945 Soprano::Vocabulary::Xesam::MessageboxMessage
	{73, 142, 998},	//946 Soprano::Vocabulary::Xesam::Music
	{73, 147, 999},	//947 Soprano::Vocabulary::Xesam::NewsGroup
	{73, 148, 1000},	//948 Soprano::Vocabulary::Xesam::NewsGroupEmail
	{73, 160, 1001},	//949 Soprano::Vocabulary::Xesam::OfflineMedia
	{73, 163, 1002},	//950 Soprano::Vocabulary::Xesam::Organization
	{73, 164, 1003},	//951 Soprano::Vocabulary::Xesam::POP3Message
	{73, 172, 1004},	//952 Soprano::Vocabulary::Xesam::Person
	{73, 173, 1005},	//953 Soprano::Vocabulary::Xesam::PersonalEmail
	{73, 174, 1006},	//954 Soprano::Vocabulary::Xesam::Photo
	{73, 179, 1007},	//955 Soprano::Vocabulary::Xesam::Presentation
	{73, 180, 1008},	//956 Soprano::Vocabulary::Xesam::Project
	{73, 199, 1009},	//957 Soprano::Vocabulary::Xesam::RSSFeed
	{73, 200, 1010},	//958 Soprano::Vocabulary::Xesam::RSSMessage
	{73, 208, 1011},	//959 Soprano::Vocabulary::Xesam::RemoteFile
	{73, 209, 1012},	//960 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
	{73, 210, 1013},	//961 Soprano::Vocabulary::Xesam::RemoteResource
	{73, 214, 1014},	//962 Soprano::Vocabulary::Xesam::RevisionControlledFile
	{73, 215, 1015},	//963 Soprano::Vocabulary::Xesam::RevisionControlledRepository
	{73, 244, 1016},	//964 Soprano::Vocabulary::Xesam::SoftwarePackage
	{73, 245, 1017},	//965 Soprano::Vocabulary::Xesam::Source
	{73, 246, 1018},	//966 Soprano::Vocabulary::Xesam::SourceCode
	{73, 252, 1019},	//967 Soprano::Vocabulary::Xesam::Spreadsheet
	{73, 266, 1020},	//968 Soprano::Vocabulary::Xesam::SystemResource
	{73, 267, 1021},	//969 Soprano::Vocabulary::Xesam::Tag
	{73, 268, 1022},	//970 Soprano::Vocabulary::Xesam::Text
	{73, 269, 1023},	//971 Soprano::Vocabulary::Xesam::TextDocument
	{73, 272, 1024},	//972 Soprano::Vocabulary::Xesam::UncategorizedText
	{73, 273, 1025},	//973 Soprano::Vocabulary::Xesam::Video
	{73, 275, 1026},	//974 Soprano::Vocabulary::Xesam::Visual
	{73, 276, 1027},	//975 Soprano::Vocabulary::Xesam::XML
	{73, 278, 1028},	//976 Soprano::Vocabulary::Xesam::acl
	{73, 299, 1029},	//977 Soprano::Vocabulary::Xesam::album
	{73, 300, 1030},	//978 Soprano::Vocabulary::Xesam::albumArtist
	{73, 301, 1031},	//979 Soprano::Vocabulary::Xesam::albumGain
	{73, 302, 1032},	//980 Soprano::Vocabulary::Xesam::albumPeakGain
	{73, 303, 1033},	//981 Soprano::Vocabulary::Xesam::albumTrackCount
	{73, 316, 1034},	//982 Soprano::Vocabulary::Xesam::aperture
	{73, 317, 1035},	//983 Soprano::Vocabulary::Xesam::artist
	{73, 318, 1036},	//984 Soprano::Vocabulary::Xesam::asText
	{73, 319, 1037},	//985 Soprano::Vocabulary::Xesam::aspectRatio
	{73, 323, 1038},	//986 Soprano::Vocabulary::Xesam::attachmentEncoding
	{73, 324, 1039},	//987 Soprano::Vocabulary::Xesam::audioBPM
	{73, 325, 1040},	//988 Soprano::Vocabulary::Xesam::audioBitrate
	{73, 326, 1041},	//989 Soprano::Vocabulary::Xesam::audioChannels
	{73, 327, 1042},	//990 Soprano::Vocabulary::Xesam::audioCodec
	{73, 328, 1043},	//991 Soprano::Vocabulary::Xesam::audioCodecType
	{73, 329, 1044},	//992 Soprano::Vocabulary::Xesam::audioSampleBitDepth
	{73, 330, 1045},	//993 Soprano::Vocabulary::Xesam::audioSampleCount
	{73, 331, 1046},	//994 Soprano::Vocabulary::Xesam::audioSampleDataType
	{73, 332, 1047},	//995 Soprano::Vocabulary::Xesam::audioSampleRate
	{73, 333, 1048},	//996 Soprano::Vocabulary::Xesam::author
	{73, 334, 1049},	//997 Soprano::Vocabulary::Xesam::autoRating
	{73, 338, 1050},	//998 Soprano::Vocabulary::Xesam::baseRevisionID
	{73, 339, 1051},	//999 Soprano::Vocabulary::Xesam::bcc
	{73, 350, 1052},	//1000 Soprano::Vocabulary::Xesam::birthDate
	{73, 351, 1053},	//1001 Soprano::Vocabulary::Xesam::blogContactURL
	{73, 357, 1054},	//1002 Soprano::Vocabulary::Xesam::cameraManufacturer
	{73, 358, 1055},	//1003 Soprano::Vocabulary::Xesam::cameraModel
	{73, 360, 1056},	//1004 Soprano::Vocabulary::Xesam::cc
	{73, 361, 1057},	//1005 Soprano::Vocabulary::Xesam::ccdWidth
	{73, 362, 1058},	//1006 Soprano::Vocabulary::Xesam::cellPhoneNumber
	{73, 363, 1059},	//1007 Soprano::Vocabulary::Xesam::changeCommitTime
	{73, 364, 1060},	//1008 Soprano::Vocabulary::Xesam::changeCommitter
	{73, 365, 1061},	//1009 Soprano::Vocabulary::Xesam::characterCount
	{73, 366, 1062},	//1010 Soprano::Vocabulary::Xesam::charset
	{73, 367, 1063},	//1011 Soprano::Vocabulary::Xesam::chatRoom
	{73, 377, 1064},	//1012 Soprano::Vocabulary::Xesam::colorCount
	{73, 378, 1065},	//1013 Soprano::Vocabulary::Xesam::colorSpace
	{73, 380, 1066},	//1014 Soprano::Vocabulary::Xesam::columnCount
	{73, 381, 1067},	//1015 Soprano::Vocabulary::Xesam::comment
	{73, 382, 1068},	//1016 Soprano::Vocabulary::Xesam::commentCharacterCount
	{73, 383, 1069},	//1017 Soprano::Vocabulary::Xesam::commitDiff
	{73, 384, 1070},	//1018 Soprano::Vocabulary::Xesam::communicationChannel
	{73, 386, 1071},	//1019 Soprano::Vocabulary::Xesam::composer
	{73, 387, 1072},	//1020 Soprano::Vocabulary::Xesam::compressionAlgorithm
	{73, 388, 1073},	//1021 Soprano::Vocabulary::Xesam::compressionLevel
	{73, 389, 1074},	//1022 Soprano::Vocabulary::Xesam::conflicts
	{73, 392, 1075},	//1023 Soprano::Vocabulary::Xesam::contactMedium
	{73, 393, 1076},	//1024 Soprano::Vocabulary::Xesam::contactNick
	{73, 394, 1077},	//1025 Soprano::Vocabulary::Xesam::contactURL
	{73, 395, 1078},	//1026 Soprano::Vocabulary::Xesam::contains
	{73, 415, 1079},	//1027 Soprano::Vocabulary::Xesam::contentComment
	{73, 416, 1080},	//1028 Soprano::Vocabulary::Xesam::contentCreated
	{73, 417, 1081},	//1029 Soprano::Vocabulary::Xesam::contentKeyword
	{73, 418, 1082},	//1030 Soprano::Vocabulary::Xesam::contentModified
	{73, 419, 1083},	//1031 Soprano::Vocabulary::Xesam::contentType
	{73, 421, 1084},	//1032 Soprano::Vocabulary::Xesam::contributor
	{73, 424, 1085},	//1033 Soprano::Vocabulary::Xesam::copyright
	{73, 447, 1086},	//1034 Soprano::Vocabulary::Xesam::creator
	{73, 461, 1087},	//1035 Soprano::Vocabulary::Xesam::definesClass
	{73, 462, 1088},	//1036 Soprano::Vocabulary::Xesam::definesFunction
	{73, 463, 1089},	//1037 Soprano::Vocabulary::Xesam::definesGlobalVariable
	{73, 467, 1090},	//1038 Soprano::Vocabulary::Xesam::deletionTime
	{73, 468, 1091},	//1039 Soprano::Vocabulary::Xesam::depends
	{73, 469, 1092},	//1040 Soprano::Vocabulary::Xesam::derivedFrom
	{73, 470, 1093},	//1041 Soprano::Vocabulary::Xesam::description
	{73, 480, 1094},	//1042 Soprano::Vocabulary::Xesam::discNumber
	{73, 481, 1095},	//1043 Soprano::Vocabulary::Xesam::disclaimer
	{73, 501, 1096},	//1044 Soprano::Vocabulary::Xesam::documentCategory
	{73, 509, 1097},	//1045 Soprano::Vocabulary::Xesam::emailAddress
	{73, 533, 1098},	//1046 Soprano::Vocabulary::Xesam::exposureBias
	{73, 534, 1099},	//1047 Soprano::Vocabulary::Xesam::exposureProgram
	{73, 535, 1100},	//1048 Soprano::Vocabulary::Xesam::exposureTime
	{73, 537, 1101},	//1049 Soprano::Vocabulary::Xesam::familyName
	{73, 538, 1102},	//1050 Soprano::Vocabulary::Xesam::faxPhoneNumber
	{73, 539, 1103},	//1051 Soprano::Vocabulary::Xesam::fileExtension
	{73, 541, 1104},	//1052 Soprano::Vocabulary::Xesam::fileSystemType
	{73, 542, 1105},	//1053 Soprano::Vocabulary::Xesam::fingerprint
	{73, 544, 1106},	//1054 Soprano::Vocabulary::Xesam::firstUsed
	{73, 545, 1107},	//1055 Soprano::Vocabulary::Xesam::flashUsed
	{73, 546, 1108},	//1056 Soprano::Vocabulary::Xesam::focalLength
	{73, 547, 1109},	//1057 Soprano::Vocabulary::Xesam::focusDistance
	{73, 549, 1110},	//1058 Soprano::Vocabulary::Xesam::formatSubtype
	{73, 550, 1111},	//1059 Soprano::Vocabulary::Xesam::frameCount
	{73, 551, 1112},	//1060 Soprano::Vocabulary::Xesam::frameRate
	{73, 552, 1113},	//1061 Soprano::Vocabulary::Xesam::freeSpace
	{73, 556, 1114},	//1062 Soprano::Vocabulary::Xesam::gender
	{73, 557, 1115},	//1063 Soprano::Vocabulary::Xesam::generator
	{73, 558, 1116},	//1064 Soprano::Vocabulary::Xesam::generatorOptions
	{73, 559, 1117},	//1065 Soprano::Vocabulary::Xesam::genre
	{73, 562, 1118},	//1066 Soprano::Vocabulary::Xesam::givenName
	{73, 564, 1119},	//1067 Soprano::Vocabulary::Xesam::group
	{73, 575, 1120},	//1068 Soprano::Vocabulary::Xesam::height
	{73, 576, 1121},	//1069 Soprano::Vocabulary::Xesam::homeEmailAddress
	{73, 577, 1122},	//1070 Soprano::Vocabulary::Xesam::homePhoneNumber
	{73, 578, 1123},	//1071 Soprano::Vocabulary::Xesam::homePostalAddress
	{73, 579, 1124},	//1072 Soprano::Vocabulary::Xesam::homepageContactURL
	{73, 580, 1125},	//1073 Soprano::Vocabulary::Xesam::honorificPrefix
	{73, 581, 1126},	//1074 Soprano::Vocabulary::Xesam::honorificSuffix
	{73, 582, 1127},	//1075 Soprano::Vocabulary::Xesam::horizontalResolution
	{73, 584, 1128},	//1076 Soprano::Vocabulary::Xesam::id
	{73, 586, 1129},	//1077 Soprano::Vocabulary::Xesam::imContactMedium
	{73, 588, 1130},	//1078 Soprano::Vocabulary::Xesam::inReplyTo
	{73, 596, 1131},	//1079 Soprano::Vocabulary::Xesam::interest
	{73, 597, 1132},	//1080 Soprano::Vocabulary::Xesam::interlaceMode
	{73, 601, 1133},	//1081 Soprano::Vocabulary::Xesam::ircContactMedium
	{73, 609, 1134},	//1082 Soprano::Vocabulary::Xesam::isContentEncrypted
	{73, 622, 1135},	//1083 Soprano::Vocabulary::Xesam::isEncrypted
	{73, 624, 1136},	//1084 Soprano::Vocabulary::Xesam::isImportant
	{73, 625, 1137},	//1085 Soprano::Vocabulary::Xesam::isInProgress
	{73, 636, 1138},	//1086 Soprano::Vocabulary::Xesam::isPublicChannel
	{73, 637, 1139},	//1087 Soprano::Vocabulary::Xesam::isRead
	{73, 640, 1140},	//1088 Soprano::Vocabulary::Xesam::isSourceEncrypted
	{73, 655, 1141},	//1089 Soprano::Vocabulary::Xesam::isoEquivalent
	{73, 667, 1142},	//1090 Soprano::Vocabulary::Xesam::jabberContactMedium
	{73, 668, 1143},	//1091 Soprano::Vocabulary::Xesam::keyword
	{73, 669, 1144},	//1092 Soprano::Vocabulary::Xesam::knows
	{73, 671, 1145},	//1093 Soprano::Vocabulary::Xesam::language
	{73, 673, 1146},	//1094 Soprano::Vocabulary::Xesam::lastRefreshed
	{73, 674, 1147},	//1095 Soprano::Vocabulary::Xesam::lastUsed
	{73, 675, 1148},	//1096 Soprano::Vocabulary::Xesam::legal
	{73, 676, 1149},	//1097 Soprano::Vocabulary::Xesam::license
	{73, 677, 1150},	//1098 Soprano::Vocabulary::Xesam::licenseType
	{73, 679, 1151},	//1099 Soprano::Vocabulary::Xesam::lineCount
	{73, 680, 1152},	//1100 Soprano::Vocabulary::Xesam::links
	{73, 696, 1153},	//1101 Soprano::Vocabulary::Xesam::localRevision
	{73, 698, 1154},	//1102 Soprano::Vocabulary::Xesam::lyricist
	{73, 699, 1155},	//1103 Soprano::Vocabulary::Xesam::mailingList
	{73, 700, 1156},	//1104 Soprano::Vocabulary::Xesam::mailingPostalAddress
	{73, 701, 1157},	//1105 Soprano::Vocabulary::Xesam::maintainer
	{73, 702, 1158},	//1106 Soprano::Vocabulary::Xesam::markupCharacterCount
	{73, 708, 1159},	//1107 Soprano::Vocabulary::Xesam::md5Hash
	{73, 709, 1160},	//1108 Soprano::Vocabulary::Xesam::mediaBitrate
	{73, 710, 1161},	//1109 Soprano::Vocabulary::Xesam::mediaCodec
	{73, 711, 1162},	//1110 Soprano::Vocabulary::Xesam::mediaCodecType
	{73, 712, 1163},	//1111 Soprano::Vocabulary::Xesam::mediaDuration
	{73, 714, 1164},	//1112 Soprano::Vocabulary::Xesam::mergeConflict
	{73, 717, 1165},	//1113 Soprano::Vocabulary::Xesam::meteringMode
	{73, 718, 1166},	//1114 Soprano::Vocabulary::Xesam::mimeType
	{73, 726, 1167},	//1115 Soprano::Vocabulary::Xesam::mountPoint
	{73, 727, 1168},	//1116 Soprano::Vocabulary::Xesam::name
	{73, 730, 1169},	//1117 Soprano::Vocabulary::Xesam::newsGroup
	{73, 739, 1170},	//1118 Soprano::Vocabulary::Xesam::occupiedSpace
	{73, 759, 1171},	//1119 Soprano::Vocabulary::Xesam::orientation
	{73, 760, 1172},	//1120 Soprano::Vocabulary::Xesam::originURL
	{73, 761, 1173},	//1121 Soprano::Vocabulary::Xesam::originalLocation
	{73, 762, 1174},	//1122 Soprano::Vocabulary::Xesam::otherName
	{73, 764, 1175},	//1123 Soprano::Vocabulary::Xesam::owner
	{73, 765, 1176},	//1124 Soprano::Vocabulary::Xesam::pageCount
	{73, 766, 1177},	//1125 Soprano::Vocabulary::Xesam::paragraphCount
	{73, 785, 1178},	//1126 Soprano::Vocabulary::Xesam::performer
	{73, 786, 1179},	//1127 Soprano::Vocabulary::Xesam::permissions
	{73, 787, 1180},	//1128 Soprano::Vocabulary::Xesam::personPhoto
	{73, 789, 1181},	//1129 Soprano::Vocabulary::Xesam::phoneNumber
	{73, 790, 1182},	//1130 Soprano::Vocabulary::Xesam::pixelDataBitDepth
	{73, 791, 1183},	//1131 Soprano::Vocabulary::Xesam::pixelDataType
	{73, 794, 1184},	//1132 Soprano::Vocabulary::Xesam::postalAddress
	{73, 800, 1185},	//1133 Soprano::Vocabulary::Xesam::primaryRecipient
	{73, 802, 1186},	//1134 Soprano::Vocabulary::Xesam::programmingLanguage
	{73, 819, 1187},	//1135 Soprano::Vocabulary::Xesam::receptionTime
	{73, 820, 1188},	//1136 Soprano::Vocabulary::Xesam::recipient
	{73, 828, 1189},	//1137 Soprano::Vocabulary::Xesam::related
	{73, 829, 1190},	//1138 Soprano::Vocabulary::Xesam::remotePassword
	{73, 830, 1191},	//1139 Soprano::Vocabulary::Xesam::remotePort
	{73, 831, 1192},	//1140 Soprano::Vocabulary::Xesam::remoteServer
	{73, 832, 1193},	//1141 Soprano::Vocabulary::Xesam::remoteUser
	{73, 857, 1194},	//1142 Soprano::Vocabulary::Xesam::replyTo
	{73, 863, 1195},	//1143 Soprano::Vocabulary::Xesam::rowCount
	{73, 864, 1196},	//1144 Soprano::Vocabulary::Xesam::rssFeed
	{73, 871, 1197},	//1145 Soprano::Vocabulary::Xesam::sampleConfiguration
	{73, 872, 1198},	//1146 Soprano::Vocabulary::Xesam::sampleDataBitDepth
	{73, 873, 1199},	//1147 Soprano::Vocabulary::Xesam::sampleDataType
	{73, 876, 1200},	//1148 Soprano::Vocabulary::Xesam::secondaryRecipient
	{73, 878, 1201},	//1149 Soprano::Vocabulary::Xesam::seenAttachedAs
	{73, 904, 1202},	//1150 Soprano::Vocabulary::Xesam::setCount
	{73, 932, 1203},	//1151 Soprano::Vocabulary::Xesam::setRate
	{73, 949, 1204},	//1152 Soprano::Vocabulary::Xesam::sha1Hash
	{73, 951, 1205},	//1153 Soprano::Vocabulary::Xesam::size
	{73, 953, 1206},	//1154 Soprano::Vocabulary::Xesam::sourceCreated
	{73, 954, 1207},	//1155 Soprano::Vocabulary::Xesam::sourceModified
	{73, 972, 1208},	//1156 Soprano::Vocabulary::Xesam::storageSize
	{73, 981, 1209},	//1157 Soprano::Vocabulary::Xesam::subject
	{73, 983, 1210},	//1158 Soprano::Vocabulary::Xesam::summary
	{73, 985, 1211},	//1159 Soprano::Vocabulary::Xesam::supercedes
	{73, 996, 1212},	//1160 Soprano::Vocabulary::Xesam::targetQuality
	{73, 1000, 1213},	//1161 Soprano::Vocabulary::Xesam::title
	{73, 1001, 1214},	//1162 Soprano::Vocabulary::Xesam::to
	{73, 1015, 1215},	//1163 Soprano::Vocabulary::Xesam::totalSpace
	{73, 1016, 1216},	//1164 Soprano::Vocabulary::Xesam::totalUncompressedSize
	{73, 1017, 1217},	//1165 Soprano::Vocabulary::Xesam::trackGain
	{73, 1018, 1218},	//1166 Soprano::Vocabulary::Xesam::trackNumber
	{73, 1019, 1219},	//1167 Soprano::Vocabulary::Xesam::trackPeakGain
	{73, 1033, 1220},	//1168 Soprano::Vocabulary::Xesam::url
	{73, 1034, 1221},	//1169 Soprano::Vocabulary::Xesam::useCount
	{73, 1036, 1222},	//1170 Soprano::Vocabulary::Xesam::userComment
	{73, 1037, 1223},	//1171 Soprano::Vocabulary::Xesam::userKeyword
	{73, 1039, 1224},	//1172 Soprano::Vocabulary::Xesam::userRating
	{73, 1040, 1225},	//1173 Soprano::Vocabulary::Xesam::usesNamespace
	{73, 1048, 1226},	//1174 Soprano::Vocabulary::Xesam::version
	{73, 1054, 1227},	//1175 Soprano::Vocabulary::Xesam::verticalResolution
	{73, 1055, 1228},	//1176 Soprano::Vocabulary::Xesam::videoBitrate
	{73, 1056, 1229},	//1177 Soprano::Vocabulary::Xesam::videoCodec
	{73, 1057, 1230},	//1178 Soprano::Vocabulary::Xesam::videoCodecType
	{73, 1059, 1231},	//1179 Soprano::Vocabulary::Xesam::whiteBalance
	{73, 1060, 1232},	//1180 Soprano::Vocabulary::Xesam::width
	{73, 1061, 1233},	//1181 Soprano::Vocabulary::Xesam::wordCount
	{73, 1062, 1234},	//1182 Soprano::Vocabulary::Xesam::workEmailAddress
	{73, 1063, 1235},	//1183 Soprano::Vocabulary::Xesam::workPhoneNumber
	{73, 1064, 1236},	//1184 Soprano::Vocabulary::Xesam::workPostalAddress
	{73, 1067, 966},	//1185 Soprano::Vocabulary::Xesam::xesam35mmEquivalent
	{73, 1068, 965},	//1186 Soprano::Vocabulary::Xesam::xesamNamespace
};

static Smoke::Index soprano_ambiguousMethodList[] = {
    0,
    64,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    63,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    0,
    78,  // Soprano::BindingSet::operator[](const QString) const
    77,  // Soprano::BindingSet::operator[](int) const
    0,
    79,  // Soprano::BindingSet::value(int) const
    80,  // Soprano::BindingSet::value(const QString&) const
    0,
    191,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    196,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    192,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    0,
    301,  // Soprano::Inference::NodePattern::NodePattern(const Soprano::Inference::NodePattern&)
    299,  // Soprano::Inference::NodePattern::NodePattern(const Soprano::Node&)
    0,
    337,  // Soprano::Inference::RuleSet::operator[](int) const
    339,  // Soprano::Inference::RuleSet::operator[](const QString&) const
    0,
    367,  // Soprano::LiteralValue::LiteralValue(const QTime&)
    369,  // Soprano::LiteralValue::LiteralValue(const QByteArray&)
    356,  // Soprano::LiteralValue::LiteralValue(const QVariant&)
    366,  // Soprano::LiteralValue::LiteralValue(const QDate&)
    355,  // Soprano::LiteralValue::LiteralValue(const Soprano::LiteralValue&)
    368,  // Soprano::LiteralValue::LiteralValue(const QDateTime&)
    0,
    365,  // Soprano::LiteralValue::LiteralValue(const QString&)
    363,  // Soprano::LiteralValue::LiteralValue(const char*)
    362,  // Soprano::LiteralValue::LiteralValue(double)
    357,  // Soprano::LiteralValue::LiteralValue(int)
    360,  // Soprano::LiteralValue::LiteralValue(qulonglong)
    361,  // Soprano::LiteralValue::LiteralValue(bool)
    358,  // Soprano::LiteralValue::LiteralValue(qlonglong)
    359,  // Soprano::LiteralValue::LiteralValue(uint)
    0,
    379,  // Soprano::LiteralValue::operator=(const QDate&)
    382,  // Soprano::LiteralValue::operator=(const QByteArray&)
    370,  // Soprano::LiteralValue::operator=(const Soprano::LiteralValue&)
    380,  // Soprano::LiteralValue::operator=(const QTime&)
    381,  // Soprano::LiteralValue::operator=(const QDateTime&)
    0,
    371,  // Soprano::LiteralValue::operator=(int)
    375,  // Soprano::LiteralValue::operator=(bool)
    376,  // Soprano::LiteralValue::operator=(double)
    372,  // Soprano::LiteralValue::operator=(qlonglong)
    373,  // Soprano::LiteralValue::operator=(uint)
    377,  // Soprano::LiteralValue::operator=(const QString&)
    374,  // Soprano::LiteralValue::operator=(qulonglong)
    0,
    461,  // Soprano::Node::Node(const QUrl&)
    465,  // Soprano::Node::Node(const Soprano::Node&)
    464,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    0,
    468,  // Soprano::Node::operator=(const QUrl&)
    469,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    467,  // Soprano::Node::operator=(const Soprano::Node&)
    0,
    470,  // Soprano::Node::operator==(const Soprano::Node&) const
    472,  // Soprano::Node::operator==(const QUrl&) const
    473,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    553,  // Soprano::QueryResultIterator::binding(const QString&) const
    554,  // Soprano::QueryResultIterator::binding(int) const
    0,
    562,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    563,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    552,  // Soprano::QueryResultIterator::operator[](const QString) const
    551,  // Soprano::QueryResultIterator::operator[](int) const
    0,
    603,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    607,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    605,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    0,
    604,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    606,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    602,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    soprano_Smoke = new Smoke(
        "soprano",
        soprano_classes, 75,
        soprano_methods, 1237,
        soprano_methodMaps, 1186,
        soprano_methodNames, 1118,
        soprano_types, 324,
        soprano_inheritanceList,
        soprano_argumentList,
        soprano_ambiguousMethodList,
        soprano_cast );
    initialized = true;
}
